/*
Actors:
Prost1
Hung
SubGirl1
SubGirl2
Layya
*/

///////////////////////
///////////////////////
///////////////////////
///////////////////////
///////////////////////
///////////////////////
///////////////////////

Actor(VictimFeMale)
{
		file(VictimFeMaleHeader);
		rank(_RankGeneral);

		startstate(statenormal);
		startaction(copidleNoGun);

		//BELOW : just in case the victim has to follow a path, here's the script. BUT DON 'T
		//UNCOMMENT IT OUT before talking to Msika first.
		
		/*
		if(vaicon!=0)
		{
			Direction(_clr,_DIRaiRemoveFlags);

			call(AIPickdest,10);
			if(vtrigger==_DIRtempflag)
			{
				call(PickNewNode);
			}
			CallSub(Sub_AI1WayAlignToPickDestAngle);
			if(VTrigger==_DIRleft)
			{
				turn(0,-40,0);
			}
			elseif(VTrigger==_DIRright)
			{
				turn(0,40,0);
			}
			if(vpickdestanglecorr>512 || vpickdestanglecorr<-512)	//might need bigger numbers
			{
				direction(_set,_DIRForward);
			}
			else
			{
				move(0,0,-10);
			}
		}
		*/
		callsub(BackGroundTriggerChecks);
}

Actor(prost1)
{
		file(ProstituteHeader);
		rank(_RankGeneral);

		startstate(statenormal);
		startaction(Prost1IdleNoGun);

		//AI variables. All characters using copgen.hxx needs these defined to work properly
		float(_declare,AIControl,0);
		float(_declare,AIHideControl,_AIHCInRoute);
		float(_declare,AIUsage,_AIUHideForRetreat|_AIUHideForAttack|_AIUHideAttackDefensive|_AIUHideRetreatOffensive|_AIUHideLeanOutRetreat|_AIUHideLeanOutAttack);
		float(_declare,AIAbility,_AIAClimb|_AIAJump|_AIAPickUpWeapon);
		float(_declare,AIManPowerThreshold,1);
		float(_declare,AIPowerRatingThreshold,50);
		float(_declare,AIGrenadeThrowThreshold,10);

		#include	"messiahscripts\enemies\copgen.hxx"
}

Actor(prost1Sit)
{
		file(prost1sitHeader);
		rank(_RankGeneral);

		startstate(statenormal);
		startaction(female1sitting);

		//AI variables. All characters using copgen.hxx needs these defined to work properly
		float(_declare,AIControl,0);
		float(_declare,AIHideControl,_AIHCInRoute);
		float(_declare,AIUsage,_AIUHideForRetreat|_AIUHideForAttack|_AIUHideAttackDefensive|_AIUHideRetreatOffensive|_AIUHideLeanOutRetreat|_AIUHideLeanOutAttack);
		float(_declare,AIAbility,_AIAClimb|_AIAJump|_AIAPickUpWeapon);
		float(_declare,AIManPowerThreshold,1);
		float(_declare,AIPowerRatingThreshold,50);
		float(_declare,AIGrenadeThrowThreshold,10);

		#include	"messiahscripts\enemies\copgen.hxx"
}

Actor(hung)
{
		file(HungHeader);
		rank(_RankGeneral);

		startstate(statenormal);
		startaction(Prost1IdleNoGun);

		//AI variables. All characters using copgen.hxx needs these defined to work properly
		float(_declare,AIControl,0);
		float(_declare,AIHideControl,_AIHCInRoute);
		float(_declare,AIUsage,_AIUHideForRetreat|_AIUHideForAttack|_AIUHideAttackDefensive|_AIUHideRetreatOffensive|_AIUHideLeanOutRetreat|_AIUHideLeanOutAttack);
		float(_declare,AIAbility,_AIAClimb|_AIAHideWeapon|_AIAPickUpWeapon);
		float(_declare,AIManPowerThreshold,1);
		float(_declare,AIPowerRatingThreshold,50);
		float(_declare,AIGrenadeThrowThreshold,10);

		#include	"messiahscripts\enemies\copgen.hxx"
}

Actor(subgirl1)
{
		file(subgirl1Header);

		rank(_RankCommander);

		startstate(statenormal);
		//startaction(SubGirlIdleNoGun);
		startaction(Prost1IdleNoGun);

		//AI variables. All characters using copgen.hxx needs these defined to work properly
		float(_declare,AIControl,0);
		float(_declare,AIHideControl,_AIHCInRoute);
		float(_declare,AIUsage,_AIUAdvanceIfEnemyUnseen|_AIUAlwaysRun);
		float(_declare,AIAbility,_AIAJump|_AIAFakeWeapon);
		float(_declare,AIManPowerThreshold,1);
		float(_declare,AIPowerRatingThreshold,50);
		float(_declare,AIGrenadeThrowThreshold,10);

		#include	"messiahscripts\enemies\copgen.hxx"
}

Actor(subgirl2)
{
		file(subgirl2Header);

		rank(_RankCommander);

		startstate(statenormal);
		startaction(Prost1IdleNoGun);

		//AI variables. All characters using copgen.hxx needs these defined to work properly
		float(_declare,AIControl,0);
		float(_declare,AIHideControl,_AIHCInRoute);
		float(_declare,AIUsage,_AIUAdvanceIfEnemyUnseen|_AIUAlwaysRun);
		float(_declare,AIAbility,_AIAJump|_AIAFakeWeapon);
		float(_declare,AIManPowerThreshold,1);
		float(_declare,AIPowerRatingThreshold,50);
		float(_declare,AIGrenadeThrowThreshold,10);

		#include	"messiahscripts\enemies\copgen.hxx"
}

Actor(Layya)
{
		file(LayyaHeader);

		rank(_RankCommander);

		startstate(statenormal);
		startaction(Prost1IdleNoGun);

		//AI variables. All characters using copgen.hxx needs these defined to work properly
		float(_declare,AIControl,0);
		float(_declare,AIHideControl,_AIHCInRoute);
		float(_declare,AIUsage,_AIUHideForRetreat|_AIUHideForAttack|_AIUHideAttackDefensive|_AIUHideRetreatOffensive|_AIUHideLeanOutRetreat|_AIUHideLeanOutAttack);
		float(_declare,AIAbility,_AIAClimb|_AIAHideWeapon|_AIAPickUpWeapon);
		float(_declare,AIManPowerThreshold,1);
		float(_declare,AIPowerRatingThreshold,50);
		float(_declare,AIGrenadeThrowThreshold,10);

		#include	"messiahscripts\enemies\copgen.hxx"
}


Actor(prost2)
{
		file(prozzyHeader);

		rank(_RankCommander);

		startstate(statenormal);
		startaction(Prost1IdleNoGun);

//		#include	"messiahscripts\enemies\femgen.hxx"
}


Actor(pimp)
{
		file(pimpHeader);

		rank(_RankCommander);

		startstate(statenormal);
		startaction(CopIdleNoGun);

		//AI variables. All characters using copgen.hxx needs these defined to work properly
		float(_declare,AIControl,0);
		float(_declare,AIHideControl,_AIHCInRoute);
		float(_declare,AIUsage,_AIUHideForRetreat|_AIUHideForAttack|_AIUHideAttackDefensive|_AIUHideRetreatOffensive|_AIUHideLeanOutRetreat|_AIUHideLeanOutAttack);
		float(_declare,AIAbility,_AIAClimb|_AIAJump|_AIAHideWeapon|_AIAPickUpWeapon);
		float(_declare,AIManPowerThreshold,1);
		float(_declare,AIPowerRatingThreshold,50);
		float(_declare,AIGrenadeThrowThreshold,10);

		#include	"messiahscripts\enemies\copgen.hxx"
}

