//VarKey21	-   controls help text and various events
//				0	triggers the Objectives message at the beginning (Stor_04)
//				1	console system explanation (War_ent) 
//				2	lift system explanation (from War_03 or Stor_02)
//				3   Objectives messages at the beginning of Annex (Annx_01)
//VarKey22	- level progress indicator (doors locked, flic states, etc.)
//				0	war_ent, entered for the first time
//				1	war_ent, open door flic segment has been set
//				2	war_ent, door to war_03 has been opened
//				3	war_ent, stor_02, elevator power is now on
//				4	elevator power on flic initiated
//				12	War_rad, Door to annex unlocked
//				13	annx_10, Open door.
//VarKey23	- has the alarm in stor_02 been set (elevator power been restored), also a delay
//				for the cops that come up the elevator
//VarKey24	- has the worked been mashed in stor_01? 
//				0	worker is ok, set lower tank button to be green
//				1	lower tank button has been pressed, set button to be red
//				2	the worker has been crushed
//				3	medic should be spawned in war_ent
//				4	medic has been spawned
//VarKey25	- delay from when worker has been crushed to when medic comes in
//VarKey26	- War_rad timer for ending sequence.
//			- 1 If a weapon has been taken in Annx_06
//			- 2 if both weapon were taken in Annx_06
//VarKey27	- Anim synch for droid
//VarKey28	- Annex Objective Completion
//			  0		Lasers turned off (Annx_06)
//			  1		Power console Activated	(Annx_07)
//VarKey29	- Polyvalent variable used to determine sample/frame synchro.
//VarKey30	- Check progression of the droid down EL_X03

SubRoutine(InitSceneSound5)
{
			//ambient sound Fx
			#include	"messiahscripts\stages\scene5sfx.hxx"
}


SubRoutine(InitScene5)
{
			vector(_set,Gactorangle,0,1024,0);
			InitActor(Bob1,0,Gactorangle,"stor_04");
			
			// Mike's enemies :
			
			#include "messiahscripts\enemies\mike.spt"
			#include "messiahscripts\enemies\mikeware.spt"
			#include "messiahscripts\enemies\convey.spt"

			// Reset all the variables
			float(_set,VarKey21,0);
			float(_set,VarKey22,0);
			float(_set,VarKey23,0);
			float(_set,VarKey24,0);
			float(_set,VarKey25,0);
			float(_set,VarKey26,0);
			float(_set,VarKey27,0);
			float(_set,VarKey28,0);
			float(_set,VarKey29,0);
			float(_set,VarKey30,0);
			float(_set,CameraPan,0);
			float(_set,MaxNrSpawn,5);
			float(_set,LiftMsg,0)
			float(_set,timer,0);
			float(_set,timer2,0);
			float(_set,timer3,0);


			callsub(InitSceneSound5);
}

SubRoutine(MainScene5)
{
		//cheat to trigger the fog in all the War_xxx rooms
		if(VKey==KEY_B && VKey==KEY_RSHIFT)
		{
			float(_set,VarKey27,12);
		}

		//check if only one cop left in Stor_02. if TRUE then get out of the loop.
		if(VarKey23>=370 && VarKey23<=600)
		{
			GetNumbActorsInSet("Stor_02",_AIClassCop,TmpFloat);
			if(TmpFloat<=1)
			{
				float(_set,VarKey23,601);
			}
		}

		//timer when only one cop left and Bob possess that cop (2 seconds)...
		if(VarKey23>=602 && VarKey23<=660)
		{
			float(_add,VarKey23,1);
		}
		//...then reset the alarm and stop the sample
		if(VarKey23==661)
		{
			vector(_set,Gactorpos,-12789,25593,26250);
			KillLight(Lplanelight,Gactorpos,32); //Light Id,Position,Fade time (0=kills instantly)
			sample(SFXAlertReset,Gactorpos);
			samplestop(SFXSirenAlert,Gactorpos);
			CurEnvTrigger("siren");
			setkeyframe("stor_02","siren",0);
			float(_set,TmpFloat,0xffffff);
			call(expset1,1,TmpFloat,0);
			float(_set,VarKey23,670);
		}
		//Radiation Sequence
		if(VarKey27>9 && VarKey27<14)
		{
			float(_add,timer3,1);
			if(timer3==5)
			{
				vector(_set,tmpvector,-50,-180,-50);
				vector(_set,Gactorpos,-14726,22487,26398);
				spawnlight(LightPulseOmni2,-1,Gactorpos,tmpvector,EmptyVector,600);
			}
			if(timer3>=60)
			{
				float(_set,timer3,0)
			}

			if(vrnd<50) // green smoke
			{
				//War_rad
				if(VSetActive=="war_rad")
				{
					call(SetParticleSetID,"war_rad");
					vector(_set,Gactorpos,-14838,22432,26888);
					vector(_set,Gactorine,0,0,-20);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,22402,26888);
					vector(_set,Gactorine,0,0,-20);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,22369,26888);
					vector(_set,Gactorine,0,0,-20);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,22338,26888);
					vector(_set,Gactorine,0,0,-20);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14312,23630,26027);
					vector(_set,Gactorine,-10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);
				}
				if(VSetActive=="war_04")
				{
					call(SetParticleSetID,"war_04");
					vector(_set,Gactorpos,-14312,23630,26027);
					vector(_set,Gactorine,-10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14312,23600,26027);
					vector(_set,Gactorine,-10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14312,23568,26027);
					vector(_set,Gactorine,-10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14312,23535,26027);
					vector(_set,Gactorine,-10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16270,23631,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16270,23600,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16270,23568,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16270,23535,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);
				}
				if(VSetActive=="war_03")
				{
					call(SetParticleSetID,"war_03");
					vector(_set,Gactorpos,-16270,24830,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16270,24800,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16270,24768,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16270,24735,26766);
					vector(_set,Gactorine,10,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16258,24830,26020);
					vector(_set,Gactorine,10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16258,24800,26020);
					vector(_set,Gactorine,10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16258,24768,26020);
					vector(_set,Gactorine,10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-16258,24735,26020);
					vector(_set,Gactorine,10,0,10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);
				}
				if(VSetActive=="war_02")
				{
					call(SetParticleSetID,"war_02");
					vector(_set,Gactorpos,-14838,26033,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,26000,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,25970,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,25940,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);
				}
				if(VSetActive=="war_01")
				{
					call(SetParticleSetID,"war_01");
					vector(_set,Gactorpos,-14838,27232,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,27202,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,27170,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);

					vector(_set,Gactorpos,-14838,27140,26893);
					vector(_set,Gactorine,0,0,-10);
					spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);
				}
			}
		}
		if(VarKey27==9)
		{
			float(_set,timer2,0);
			samplestop(SFXDroidHover);
		}
		if(VarKey27==10)
		{
			call(SetParticleSetID);
			float(_add,timer2,1);
			if(timer2==70)
			{
				CurEnvTrigger("droid4");
				float(_set,TmpFloat,0x000000);
				call(expset1,TmpFloat,250,-1);
				call(expset2,TmpFloat,250,-1);
				vector(_set,Gactorpos,-15304,22906,26926);
				sample(SFXBazookaExplode,Gactorpos);
				vector(_set,Gactorpos,-15944,22906,26926);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				vector(_set,Gactorpos,-15944,22906,25863);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
			}
			if(timer2==100)
			{
				CurEnvTrigger("droid3");
				float(_set,TmpFloat,0x000000);
				call(expset1,TmpFloat,250,-1);
				call(expset2,TmpFloat,250,-1);
				vector(_set,Gactorpos,-15304,22650,26926);
				sample(SFXBazookaExplode,Gactorpos);
				vector(_set,Gactorpos,-15944,22650,26926);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				vector(_set,Gactorpos,-15944,22650,25863);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
			}
			if(timer2==130)
			{
				CurEnvTrigger("droid2");
				float(_set,TmpFloat,0x000000);
				call(expset1,TmpFloat,250,-1);
				call(expset2,TmpFloat,250,-1);
				vector(_set,Gactorpos,-15304,22337,26926);
				sample(SFXBazookaExplode,Gactorpos);
				vector(_set,Gactorpos,-15944,22337,26926);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				vector(_set,Gactorpos,-15944,22337,25863);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
			}
			if(timer2==160)
			{
				CurEnvTrigger("droid");
				float(_set,TmpFloat,0x000000);
				call(expset1,TmpFloat,250,-1);
				call(expset2,TmpFloat,250,-1);
				vector(_set,Gactorpos,-15304,22028,26926);
				sample(SFXBazookaExplode,Gactorpos);
				vector(_set,Gactorpos,-15944,22028,26926);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				vector(_set,Gactorpos,-15944,22028,25863);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
			}
			if(timer2>=170)
			{
				float(_set,timer2,0);
				float(_set,VarKey27,11);
			}
		}

		////////////////
		// VSETACTIVE //
		////////////////

		if(VSetActive=="war_ent")
		{
			if(VarKey27==12)
			{
				call(ChangeFog,_SXFogType,_SXFogExp);
				float(_set,TmpFloat,0.0007);
				call(ChangeFog,_SXFogDensity,TmpFloat);
				float(_set,VarKey27,13);
			}
			if(VarKey22>=12)
			{
				CurEnvTriggerSet("WAR_ENT","ANNEX");
				float(_set,TmpFloat,0x00f000);
				call(EXPset1,1,TmpFloat,0);
			}
		}
		if(VSetActive=="el_sml")
		{
			CurEnvTriggerSet("el_sml","els_elvt");
			float(_set,TmpFloat,0x777711);  // brown-green
			float(_set,TmpFloat2,0xffff000); // yellow
			float(_set,TmpFloat1,0xff7722);   // orange
			call(expset1,4,TmpFloat,TmpFloat1); //lift direction
			call(expset2,3,TmpFloat,TmpFloat2); //floor indicator
			if(VKeyObjFrame==0 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Tank Garage",120,10);
				float(_set,LiftMsg,0);
			}
			if(VKeyObjFrame==1 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Elevator Control Center",120,10);
				float(_set,LiftMsg,0);
			}
		}
		if(VSetActive=="el_x01")
		{
			CurEnvTriggerSet("el_x01","elevtrig");
			float(_set,TmpFloat,0x444400);  // blue-grey
			float(_set,TmpFloat2,0xffff000); // yellow
			float(_set,TmpFloat1,0xff7722);   // orange
			call(expset1,4,TmpFloat,TmpFloat1); //lift direction
			call(expset2,3,TmpFloat,TmpFloat2); //floor indicator
			if(VKeyObjFrame==0 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Nuclear Power Control Center",120,10);
				float(_set,LiftMsg,0);
			}
			if(VKeyObjFrame==1 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Basement Storage",120,10);
				float(_set,LiftMsg,0);
			}
		}
		if(VSetActive=="el_x02")
		{
			CurEnvTriggerSet("el_x02","trigelev");
			float(_set,TmpFloat,0x444400);  // blue-grey
			float(_set,TmpFloat2,0xffff000); // yellow
			float(_set,TmpFloat1,0xff7722);   // orange
			call(expset1,4,TmpFloat,TmpFloat1); //lift direction
			call(expset2,3,TmpFloat,TmpFloat2); //floor indicator
			if(VKeyObjFrame==0 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Level 2 - Storage",120,10);
				float(_set,LiftMsg,0);
			}
			if(VKeyObjFrame==1 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Level 3 - Storage",120,10);
				float(_set,LiftMsg,0);
			}
		}
		if(VSetActive=="el_big")
		{
			CurEnvTriggerSet("el_big","beldoor");
			float(_set,TmpFloat,0x444400);  // blue-grey
			float(_set,TmpFloat2,0xffff000); // yellow
			float(_set,TmpFloat1,0xff7722);   // orange
			call(expset1,4,TmpFloat,TmpFloat1); //lift direction
			call(expset2,3,TmpFloat,TmpFloat2); //floor indicator

			if(VKeyObjFrame==0 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Basement Storage",120,10);
				float(_set,LiftMsg,0);
			}
			if(VKeyObjFrame==1 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Tank Garage",120,10);
				float(_set,LiftMsg,0);
			}
			if(VKeyObjFrame==2 && VKeyObjTriggered==0 && LiftMsg==1)
			{
				message("Level 2 - Storage",120,10);
				float(_set,LiftMsg,0);
			}
		}
		if(VSetActive=="annx_07")
		{
			if(VarKey28==0)
			{
				float(_set,TmpFloat,0xff0000);
			}
			else
			{
				float(_set,TmpFloat,0x000000);
			}
			CurEnvTriggerSet("annx_07","lite01");
			call(expset1,TmpFloat,350,-1);
			call(expset2,TmpFloat,350,-1);
			CurEnvTriggerSet("annx_07","lite02");
			call(expset1,TmpFloat,350,-1);
			call(expset2,TmpFloat,350,-1);
			CurEnvTriggerSet("annx_07","lite03");
			call(expset1,TmpFloat,350,-1);
			call(expset2,TmpFloat,350,-1);
		}
		if(VSetActive=="war_rad")
		{
			if(VarKey27<9)
			{
				CurEnvTriggerSet("war_rad","droid4");
				float(_set,TmpFloat,0xba9555);
				call(expset1,TmpFloat,350,-1);
				call(expset2,TmpFloat,350,-1);
				CurEnvTriggerSet("war_rad","droid3");
				float(_set,TmpFloat,0xba9555);
				call(expset1,TmpFloat,350,-1);
				call(expset2,TmpFloat,350,-1);
				CurEnvTriggerSet("war_rad","droid2");
				float(_set,TmpFloat,0xba9555);
				call(expset1,TmpFloat,350,-1);
				call(expset2,TmpFloat,350,-1);
				CurEnvTriggerSet("war_rad","droid");
				float(_set,TmpFloat,0xba9555);
				call(expset1,TmpFloat,350,-1);
				call(expset2,TmpFloat,350,-1);
			}
		}

		////////////////
		//   VCURSET  //
		////////////////

		if(vcurset=="stor_04")
		{
			CurEnvTrigger("LIFTSND01");
			if(VKeyObjFrame==0 && VKeyObjTriggered==0);
			{
				call(KeyObjTrigger,1,1);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd);
			}

			if(VKeyObjFrame==1 && VarKey21==0)
			{

				MissionObjective("Main City Warehouse                          ",80,400);
				MissionObjective("---------------------------------------------",90,400);
				MissionObjective("Primary Objectives :                         ",100,400);
				MissionObjective("     Overload the Nuclear Power Generator    ",110,400);
				MissionObjective("     to Fry the Annex Security Door Circuits ",120,400);
				call(DisplayObjectives);
				float(_set,VarKey21,1);
			}
		}
		elseif(VCurSet=="annx_06")
		{
			CurEnvTrigger("laseroff");
			if(VarKey28!=0)
			{
				call(expset2,42,42,42);
			}

			CurEnvTrigger("arme");
			if(VKeyObjTriggered!=0)
			{
				vector(_set,Gactorpos,-20240,25382,22795);
				callsub(DispenserSound);
			}

			CurEnvTrigger("arme01");
			if(VKeyObjTriggered!=0)
			{
				vector(_set,Gactorpos,-20240,25382,22492);
				callsub(DispenserSound);
			}
		}
		elseif(VCurSet=="annx_01")
		{
			if(VarKey21<4)
			{
				dmessage("Warehouse Annex                     ",80,400);
				dmessage("------------------------------------",90,400);
				dmessage("Primary Objective :                 ",100,400);
				dmessage("   Locate the annex exit and  make  ",110,400);
				dmessage("   your way to the Main City Streets",120,400);
				float(_set,VarKey21,4);
				float(_set,VarKey25,0);
			}

			if(VarKey21==5)
			{
				float(_set,timer,0);
				float(_set,VarKey21,6);
			}
			if(VarKey21==6)
			{
				float(_add,timer,1);
				if(timer>300)
				{
					call(playsequence);
					float(_set,VarKey21,7);
				}
			}
		}
		elseif(VCurSet=="annx_10")
		{
			call(SetParticleSetID,"annx_10");
			float(_add,timer2,2);

			if(timer2>=550)
			{
				float(_set,timer2,0);
			}

			if(VarKey22<=12)
			{
			//before activation of the console
				if(timer2<450)
				{				
					// IV
					vector(_set,gactorpos,-21699,24016,26493);
					vector(_set,gactorine,-21699,24016,26895);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// VII
					vector(_set,gactorpos,-20895,24016,26493);
					vector(_set,gactorine,-20895,24016,26895);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// X
					vector(_set,gactorpos,-19971,24016,26493);
					vector(_set,gactorine,-19971,24016,26895);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// V
					vector(_set,gactorpos,-21638,24063,26973);
					vector(_set,gactorine,-20932,24063,26973);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// VI
					vector(_set,gactorpos,-21638,24063,26414);
					vector(_set,gactorine,-20932,24063,26414);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					if(vrnd<20)
					{
						vector(_set,tmpvector,255,220,30);
						vector(_set,Gactorpos,-21300,24063,26973);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					
						vector(_set,tmpvector,255,220,30);
						vector(_set,Gactorpos,-21300,24063,26414);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}
				}
			}
			else
			{
			// after activation of the console
				if(timer2<450)
				{
					// I
					vector(_set,gactorpos,-22659,24016,26493);
					vector(_set,gactorine,-22659,24016,26895);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// II
					vector(_set,gactorpos,-22598,24063,26973);
					vector(_set,gactorine,-21760,24063,26973);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// III
					vector(_set,gactorpos,-22598,24063,26414);
					vector(_set,gactorine,-21760,24063,26414);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// VIII
					vector(_set,gactorpos,-20810,24063,26973);
					vector(_set,gactorine,-19971,24063,26973);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					// IX
					vector(_set,gactorpos,-20810,24063,26414);
					vector(_set,gactorine,-19971,24063,26414);
					callsub(ElectricStrip,gactorpos,gactorine,fx_yellow);

					if(vrnd<20)
					{
						vector(_set,tmpvector,255,220,30);
						vector(_set,Gactorpos,-20400,24063,26973);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					
						vector(_set,tmpvector,255,220,30);
						vector(_set,Gactorpos,-20400,24063,26414);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);

						vector(_set,tmpvector,255,220,30);
						vector(_set,Gactorpos,-22000,24063,26973);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);									

						vector(_set,tmpvector,255,220,30);	
						vector(_set,Gactorpos,-22000,24063,26414);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}
				}
			}
		}
		elseif(vcurset=="War_04")
		{
			CurEnvTrigger("device1");
			if(VKeyObjFrame>=3 && VKeyObjFrame<=9)
			{
				sample(SFXVaultMove,Gactorpos);
			}
			if(VKeyObjFrame==9 && VarKey29==1)
			{
				sample(SFXLiftEnd,Gactorpos);
				float(_set,VarKey29,2);
			}
			if(VKeyObjFrame>=11 && VKeyObjFrame<=13)
			{
				sample(SFXVaultMove,Gactorpos);
			}
			if(VKeyObjFrame>=14 && VKeyObjFrame<=15)
			{
				sample(SFXVaultMove,Gactorpos);
			}
			if(VKeyObjFrame>=17 && VKeyObjFrame<=24)
			{
				sample(SFXVaultMove,Gactorpos);
			}
			if(VKeyObjFrame==24 && VarKey29==2)
			{
				sample(SFXLiftEnd,Gactorpos);
				float(_set,VarKey29,1);
			}
		}
		elseif(vcurset=="stor_02")
		{
			CurEnvTrigger("arme");
			if(VKeyObjTriggered!=0)
			{
				vector(_set,Gactorpos,-13189,25231,26763);
				callsub(DispenserSound);
			}
			CurEnvTrigger("door2trig");
			if(VarKey23==90)
			{
				float(_set,TmpFloat,0xff0000);
				call(expset1,1,TmpFloat,0);
			}
			if(VarKey23==501)
			{
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
			}

			if(VarKey22==4 && VarKey23!=0 && VarKey23<=500)
			{
				CurEnvTrigger("stor2elva");
				if(VarKey23==1)
				{
					//	get the cops ready
					setkeyframe("el_sml","els_elvt",1);

					vector(_set,Gactorangle,0,1024,0);
					vector(_set,Gactorpos,-13916.12,25300,26316.39);
					InitActor(WeaponPumpGun,Gactorpos,Gactorangle,"El_sml");
					vector(_set,Gactorpos,-13916.12,25245,26316.39);
					InitActor(copl,Gactorpos,Gactorangle,"El_sml",TRUE,4);

					vector(_set,Gactorangle,0,1024,0);
					vector(_set,Gactorpos,-13844.08,25300,26486.31);
					InitActor(WeaponPumpGun,Gactorpos,Gactorangle,"El_sml");
					vector(_set,Gactorpos,-13844.08,25245,26486.31);
					InitActor(copl,Gactorpos,Gactorangle,"El_sml",TRUE,3);

					//set arrows on elevator panel to brown-green (lights off)
					float(_set,TmpFloat,0x707008); //brown-green
					call(expset1,1,TmpFloat); //...assign that color to the object
					call(expset2,1,TmpFloat); //...assign that color to the object
					call(AIchangeplayertoenemy);
				}
				elseif(VarKey23==90)
				{
					//	Set the alarm
					vector(_set,Gactorpos,-12789,25593,26250);
					vector(_set,tmpvector,255,0,0);
					vector(_set,tmpvector1,0,0,1);
					SpawnLight(Lplanelight,-1,Gactorpos,tmpvector,tmpvector1,1000);
					sample(SFXViolation,Gactorpos);
					sample(SFXSirenAlert,Gactorpos)

					float(_set,AlertTrigger,450);

					// start the Rotating light on top of the console
					CurEnvTrigger("siren");
					call(KeyObjTrigger,255,1,-1);
					float(_set,TmpFloat,0x800000);
					call(expset1,1,TmpFloat,0);
					call(AIchangeplayertoenemy);
				}
				elseif(VarKey23==360)
				{
					//	get the cops in here
					callsub(DoorOpen,0,1);
					//call(KeyObjTrigger,255,1);//KeyObjTrigger,endframe, direction (starts anim at beginning for elevator doors)
					//set player to be considered an enemy
					call(AIchangeplayertoenemy);
				}
				elseif(VarKey23==374)
				{
					call(AIchangeplayertoenemy);
				}
				elseif(VarKey23==388)
				{
					call(AIchangeplayertoenemy);
				}
				elseif(VarKey23==400)
				{
					call(AIchangeplayertoenemy);
				}

				float(_set,TmpFloat,0x707008); //brown-green
				call(expset1,1,TmpFloat); //assign color to the up arrow on elevator panel
				call(expset2,1,TmpFloat); //assign color to the down arrow on elevator panel

				if(VarKey23>120 && VarKey23<170)
				{
					float(_set,TmpFloat,0x00FF00); //bright green (on)
					call(expset2,1,TmpFloat); //assign color to the down arrow on elevator panel
				}
				
				if(VarKey23>170 && VarKey23<=360)
				{
					if(VarKey23>=300)//solid green
					{
						float(_set,TmpFloat,0x00FF00); //bright green (on)
					}
					else
					{
						float(_seti,TmpFloat,VGameCounter);
						float(_and,TmpFloat,8);//to blink light when (VGameCounter & 8)

						if (TmpFloat!=0) //flash arrow color
						{
							float(_set,TmpFloat,0x00FF00); //bright green (on)
						}
						else
						{
							float(_set,TmpFloat,0x707008); //brown-green
						}
					}
					call(expset1,1,TmpFloat); //assign color to the up arrow on elevator panel
				}
				else
				{
					float(_set,TmpFloat,0x707008); //brown-green
					call(expset1,1,TmpFloat); //assign color to the up arrow on elevator panel
				}
				
				float(_add,VarKey23,1);//increment counter
			}
			if(VarKey23>360)
			{
				float(_set,TmpFloat,0x707008); //brown-green
				call(expset1,1,TmpFloat); //assign color to the up arrow on elevator panel
			}
		}


		//door to war_ent steam fx
		if(vcurset=="stor_04"||vcurset=="stor_01"||vcurset=="war_ent")
		{
			call(SetParticleSetID);
			if(dooropenLife>0)
			{
				if(dooropenLife<60)
				{
					if(dooropenCount1>0)
					{
						float(_sub,dooropenCount1,1);
					}
				}
				if(dooropenLife<50)
				{
					if(dooropenCount2>0)
					{
						float(_sub,dooropenCount2,1);
					}
				}
				if(dooropenLife<40)
				{
					if(dooropenCount3>0)
					{
						float(_sub,dooropenCount3,1);
					}
				}
				if(dooropenLife<30)
				{
					if(dooropenCount4>0)
					{
						float(_sub,dooropenCount4,1);
					}
				}
				if(dooropenLife<20)
				{
					if(dooropenCount5>0)
					{
						float(_sub,dooropenCount5,1);
					}
				}


				float(_add,dooropenTime,1);
				if(dooropenTime>2)
				{
					float(_set,dooropenTime,0);
				}

				if(dooropenTime==0)
				{
					if(dooropenCurr==0)
					{
						vector(_set,fxvector,-14272,24450,24600);
					}
					elseif(dooropenCurr==1)
					{
						vector(_set,fxvector,-11450,24420,24470);
					}

					if(dooropenLife<=180)
					{
						if(dooropenCount1<10)
						{
							float(_add,dooropenCount1,1);
						}

						if(vrnd<75)
						{
							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount1);
							vector(_set,tmpvector,0,0,0);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
						}

						//if(skipcollidecount>=5)
						//{
						//	call(CheckActorCollision,gactorpos,100,0,_COLSteam);
						//}

					}
					if(dooropenLife<=165)
					{
						if(dooropenCount2<10)
						{
							float(_add,dooropenCount2,0.9);
						}

						if(vrnd<75)
						{
							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount2);
							vector(_set,tmpvector,0,0,0);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,80);
							vector(_add,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount2);
							vector(_set,tmpvector,0,0,0);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,80);
							vector(_sub,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
						}

						//if(skipcollidecount>=5)
						//{
						//	call(CheckActorCollision,gactorpos,100,0,_COLSteam);
						//}

					}
					if(dooropenLife<=145)
					{
						if(dooropenCount3<10)
						{
							float(_add,dooropenCount3,0.8);
						}

						if(vrnd<75)
						{
							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount3);
							vector(_set,tmpvector,0,0,0);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,160);
							vector(_add,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount3);
							vector(_set,tmpvector,0,0,0);		
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,160);
							vector(_sub,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
						}

						//if(skipcollidecount>=5)
						//{
						//	call(CheckActorCollision,gactorpos,100,0,_COLSteam);
						//}

					}
					if(dooropenLife<=125)
					{
						if(dooropenCount4<10)
						{
							float(_add,dooropenCount4,0.7);
						}

						if(vrnd<75)
						{
							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount4);
							vector(_set,tmpvector,0,0,0);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,240);
							vector(_add,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount4);
							vector(_set,tmpvector,0,0,0);		
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,240);
							vector(_sub,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
						}

						//if(skipcollidecount>=5)
						//{
						//	call(CheckActorCollision,gactorpos,100,0,_COLSteam);
						//}

					}
					if(dooropenLife<=115)
					{
						if(dooropenCount5<10)
						{
							float(_add,dooropenCount5,0.6);
						}

						if(vrnd<75)
						{
							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount5);
							vector(_set,tmpvector,0,0,0);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,320);
							vector(_add,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

							vector(_set,gactorine,0,0,0);
							//vector(_sety,gactorine,dooropenCount5);
							vector(_set,tmpvector,0,0,0);		
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_setx,tmpvector,tmpfloat);
							vector(_setz,tmpvector,tmpfloat);
							float(_rnd2,tmpfloat,6)
							float(_sub,tmpfloat,3);
							vector(_sety,tmpvector,tmpfloat);
							vector(_add,gactorine,tmpvector);

							vector(_copy,gactorpos,fxvector);
							vector(_set,tmpvector,0,0,320);
							vector(_sub,gactorpos,tmpvector);
							spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
						}

						//if(skipcollidecount>=5)
						//{
						//	call(CheckActorCollision,gactorpos,100,0,_COLSteam);
						//}

					}
				}
				float(_sub,dooropenLife,1);
			}
		}



		//pipe steam
		if(vcurset=="war_ent"||vcurset=="stor_01")
		{
			call(SetParticleSetID);
			//sequenced warent/storeroom jet steamers
			if(SteamJetCount>=6)				//next hole in pipe
			{
				float(_set,SteamJetCount,0);
			}


			if(SteamJetLife>=100)				//delay between each burst
			{
				float(_add,SteamJetCount,1);
				float(_set,SteamJetLife,0);
				float(_set,Sampleflag1,1);
				float(_set,Sampleflag2,1);
			}
			float(_add,SteamJetLife,1);
		}

		if(vcurset=="stor_01")
		{
			call(SetParticleSetID,"stor_01");
			if(vrnd<30&&SteamJetLife<50)		//lifespan of each burst
			{
				//entrance
				//set 1
				if(SampleFlag1==1)
				{
					if(SteamJetCount==0)
					{
						vector(_set,Gactorpos,-12290,24917,25039);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13554,25405,23699);
						vector(_set,Gactorine,10,0,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13583,25836,23766);
						vector(_set,Gactorine,10,0,10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13583,26102,23766);
						vector(_set,Gactorine,10,0,10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13785,25083,24692);
						vector(_set,Gactorine,0,-10,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13841,25112,25138);
						vector(_set,Gactorine,-7,-10,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);
					}
					elseif(SteamJetCount==3)
					{
						vector(_set,Gactorpos,-12223,24953,25061);
						vector(_set,Gactorine,5,0,-18);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13583,25364,23766);
						vector(_set,Gactorine,10,0,10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13554,25838,23699);
						vector(_set,Gactorine,10,0,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13554,26194,23699);
						vector(_set,Gactorine,10,0,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13786,25085,25182);
						vector(_set,Gactorine,0,-10,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13815,25092,25077);
						vector(_set,Gactorine,-3,-10,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);
					}
					elseif(SteamJetCount==5)
					{
						vector(_set,Gactorpos,-12254,24825,25041);
						vector(_set,Gactorine,2,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13554,25311,23699);
						vector(_set,Gactorine,10,0,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13554,25706,23699);
						vector(_set,Gactorine,10,0,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13583,26152,23766);
						vector(_set,Gactorine,10,0,10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13855,25117,24782);
						vector(_set,Gactorine,-6,-10,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-13824,25083,24621);
						vector(_set,Gactorine,-3,-10,0);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);
					}
				}
				float(_set,Sampleflag1,0);
			}
		}
		if(vcurset=="war_rad")
		{
			call(SetParticleSetID,"war_rad");
			if(VarKey1==1)
			{
				call(ChangeFog,_SXFogDensity,VarKey2);
				float(_add,VarKey2,0.000005);
				if(VarKey2>=0.0007)
				{
					message("Evacuate to Annex Section Immediately",120,10);
					CurEnvTrigger("ticker");
					call(expset1,885,885,1722);
					call(KeyObjTrigger,1,1);
					float(_set,VarKey1,2);
				}
			}
			
			if(VarKey27==0 && timer3==0)
			{
				CurEnvTrigger("ticker");
				call(expset1,0,0,732);
				float(_set,timer3,1);
			}
			if(VarKey27==1)
			{
				CurEnvTrigger("droid2");
				if(VKeyObjFrame==0)
				{
					sample(SFXOpenLid,emptyvector);
					vector(_set,Gactorpos,-15263,22420,26393);
					sample(SFXDroidHover,Gactorpos);
					float(_set,VarKey26,0);
					float(_set,VarKey30,8);
					float(_set,VarKey27,2);
					
				}
			}
			if(VarKey27==2)
			{
				CurEnvTrigger("droid");
				if(VKeyObjFrame==20)
				{
					sample(SFXClawOpen,Gactorpos);
					float(_set,VarKey27,3);
				}
			}
			if(VarKey27==3)
			{
				CurEnvTrigger("droid");
				if(VKeyObjFrame==37)
				{
					sample(SFXClawSpin,Gactorpos);
					float(_set,VarKey27,4);
				}
			}
			if(VarKey27==4)
			{
				CurEnvTrigger("droid3");
				if(VKeyObjFrame==23)
				{
					sample(SFXOpenLock,Gactorpos);
					float(_set,VarKey27,5);
				}
			}
			if(VarKey27==5)
			{
				CurEnvTrigger("droid");
				if(VKeyObjFrame==69)
				{
					sample(SFXClawSpin,Gactorpos);
					float(_set,VarKey27,6);
				}
			}
			if(VarKey27==6)
			{
				CurEnvTrigger("droid3");
				if(VKeyObjFrame==37)
				{
					sample(SFXOpenLock,Gactorpos);
					CurEnvTrigger("ticker");
					call(expset1,733,820,884);
					float(_set,VarKey27,7);
				}
			}
			if(VarKey27==7)
			{
				CurEnvTrigger("droid4");
				if(VKeyObjFrame==39)
				{
					sample(SFXReactorWarning,Gactorpos);
					sample(SFXOpenPipe,Gactorpos);
					float(_set,VarKey27,8);
				}
			}
			if(VarKey27==8)
			{
				CurEnvTrigger("droid4");
				if(VKeyObjFrame==43)
				{
					sample(SFXPipeRotate,Gactorpos);
					float(_set,VarKey27,9);
				}
			}
			if(VarKey27==9)
			{
				CurEnvTrigger("droid");
				if(VKeyObjFrame==120)
				{
					vector(_set,Gactorpos,-15484,22460,26407);
					sample(SFXBazookaExplode,Gactorpos);
					vector(_set,fxvector,0,100,0);
					vector(_set,tmpvector,255,0,0);
					vector(_set,Gactorpos,-15484,22397,26407);
					vector(_add,gactorpos,fxvector);
					spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);

					//TRY NOT TO SPAWN 4 OF THE EXACT SAME LIGHTS IN THE SAME POSITION PLEASE!!
					//ESPECIALLY WHEN THE RADIUS IS THAT BIG ...THANK YOU!
					spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
					vector(_add,gactorpos,fxvector);
					spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,-1);
					vector(_add,gactorpos,fxvector);
					spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
					vector(_add,gactorpos,fxvector);
					spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,-1);
					dmessage("Computer Malfunction - Radiation Leak Detected",100,200);
					dmessage("Evacuate the Facility Immediately",110,200);
					vector(_set,Gactorpos,-14726,22487,26398);
					sample(SFXSirenAlert,Gactorpos);
					sample(SFXReactorLeak,Gactorpos);
					sample(SFXWallHit,Gactorpos);
					float(_set,VarKey27,10);
					float(_set,VarKey30,15);
				}
			}
			if(VarKey27==11)
			{
				call(ChangeFog,_SXFogType,_SXFogExp);
				float(_set,VarKey1,1);
				float(_set,VarKey2,0);
				float(_set,VarKey27,12);
			}

			if(VarKey30==8)
			{
				float(_add,VarKey26,1);
				if(VarKey26==600 && VarKey30==8)
				{
					float(_set,VarKey30,9);
				}
			}
		}
		
		if(vcurset=="stor_02")
		{
			if(VarKey22<3)
			{
				CurEnvTrigger("console");
				call(expset2,0,0,56);
				float(_set,VarKey22,3);
			}
			if(VarKey26==1)
			{
				CurEnvTrigger("arme");
				float(_set,TmpFloat,0x0000ff);
				call(expset1,1,TmpFloat,0);
			}
		}

		if(vcurset=="ANNX_10")
		{
			if(VarKey22<=12)
			{
				CurEnvTrigger("MASTERTRI");
				call(EXPSet2,0,0,19);
			}
		}
		//more pipe steam
		if(vcurset=="war_ent")
		{
			call(SetParticleSetID,"war_ent");
			if(VarKey22==0)
			{
				CurEnvTrigger("DT_DOORS");
				call(EXPSet2,0,0,19);
				float(_set,VarKey22,1);
			}

			if(vrnd<30&&SteamJetLife<50)		//lifespan of each burst
			{
				//store room
				if(SampleFlag2==1)
				{
					if(SteamJetCount==3)
					{
						vector(_set,Gactorpos,-15445,24999,24140);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15445,25466,24140);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14833,25389,24144);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14766,25039,24104);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14832,25467,23998);
						vector(_set,Gactorine,0,0,-8);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14900,25079,24018);
						vector(_set,Gactorine,-7,0,-8);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15508,25429,24024);
						vector(_set,Gactorine,-8,0,-7);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15508,24999,24024);
						vector(_set,Gactorine,-7,0,-6);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);
					}
					elseif(SteamJetCount==1)
					{
						vector(_set,Gactorpos,-14893,25389,25097);
						vector(_set,Gactorine,-6,0,-7);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14897,25079,25093);
						vector(_set,Gactorine,-7,0,-8);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15510,24942,25108);
						vector(_set,Gactorine,-7,0,-6);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15486,25331,25073);
						vector(_set,Gactorine,-10,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14769,25428,25174);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14770,24998,25169);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15445,25428,25211);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15375,25077,25177);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);
					}
					elseif(SteamJetCount==5)
					{
						vector(_set,Gactorpos,-15379,25038,24101);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15381,25329,24090);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14766,25389,24104);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14786,24941,24141);
						vector(_set,Gactorine,5,0,11);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14833,25467,25203);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14836,25038,25209);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15451,25332,25211);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15445,25039,25211);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);
					}


					//store room
					if(SteamJetCount==2)
					{
						vector(_set,Gactorpos,-14835,25389,25065);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14823,24939,25070);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15446,25037,25067);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15509,25429,25103);
						vector(_set,Gactorine,-8,0,-7);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14898,25333,24034);
						vector(_set,Gactorine,-6,0,-7);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14897,25038,24023);
						vector(_set,Gactorine,-8,0,-9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15510,25333,24029);
						vector(_set,Gactorine,-7,0,-6);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15486,24941,23993);
						vector(_set,Gactorine,-10,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);
					}
					elseif(SteamJetCount==0)
					{
						vector(_set,Gactorpos,-15445,25077,24140);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15375,25466,24107);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14833,25428,24144);
						vector(_set,Gactorine,0,0,9);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14766,25039,24104);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14790,25330,25206);
						vector(_set,Gactorine,5,0,11);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14772,24940,25158);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15381,25329,25160);
						vector(_set,Gactorine,7,0,5);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15399,24941,25208);
						vector(_set,Gactorine,5,0,11);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);
					}
					elseif(SteamJetCount==4)
					{
						vector(_set,Gactorpos,-14897,25469,25093);
						vector(_set,Gactorine,-7,0,-8);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14829,25075,25073);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15449,24997,25064);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15510,25333,25108);
						vector(_set,Gactorine,-10,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14826,25330,23995);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-14832,25076,23998);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15444,25467,23993);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						sample(SFXVent2,gactorpos);

						vector(_set,Gactorpos,-15449,24999,23984);
						vector(_set,Gactorine,0,0,-10);
						spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);
						//sample(SFXVent2,gactorpos);
					}
				}
				float(_set,Sampleflag2,0);
			}
		}

////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////

		if(vcurset=="annx_03" || vcurset=="annx_02")
		{
			call(SetParticleSetID);
			if(FireJetCount>=3)					//next hole in pipe
			{
				float(_set,FireJetCount,0);
			}
			if(FireJetLife>=210)				//next hole in pipe
			{
				float(_add,FireJetCount,1);
				float(_set,FireJetLife,0);

				if(FireJetCount==0)
				{
					//vector(_set,Gactorine,-17456,25525,25349);		//2
					vector(_set,Gactorpos,-17457,25524,24749);
				}
				elseif(FireJetCount==2)
				{
					//vector(_set,Gactorine,-17458,25524,25049);		//1
					vector(_set,Gactorpos,-17456,25525,25349);
				}
				elseif(FireJetCount==1)
				{
					//vector(_set,Gactorine,-17457,25524,24749);		//0
					vector(_set,Gactorpos,-17458,25524,25049);
				}
				//samplestop(SFXFlamesBurning,gactorine);
				sample(SFXFlamesBurning,gactorpos,100,150);
			}

			float(_rnd2,tmpfloat,24);
			float(_sub,tmpfloat,12);
			vector(_setx,tmpvector4,tmpfloat);
			vector(_sety,tmpvector4,tmpfloat);
			vector(_setz,tmpvector4,tmpfloat);

			if(vrnd<50&&FireJetLife<150)		//lifespan of each burst/delayer
			{
				vector(_set,fxvector,0,60,0);

				if(FireJetCount==0)
				{
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-17457,25524,24749);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}

					vector(_set,Gactorpos,-17457,25524,24749);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,6,0);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
					if(skipcollidecount>=5)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,75,0,_COLFire);
					}
				}
				elseif(FireJetCount==2)
				{
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-17456,25525,25349);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}

					vector(_set,Gactorpos,-17456,25525,25349);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,6,0);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
					if(skipcollidecount>=5)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,75,0,_COLFire);
					}
				}
				elseif(FireJetCount==1)
				{
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-17458,25524,25049);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					} 

					vector(_set,Gactorpos,-17458,25524,25049);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,6,0);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
					if(skipcollidecount>=5)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,75,0,_COLFire);
					}
				}
			}
			else
			{
				if(FireJetCount==0)
				{
					vector(_set,Gactorpos,-17457,25524,24749);	//0
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,3,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);
				}
				elseif(FireJetCount==2)
				{
					vector(_set,Gactorpos,-17456,25525,25349);	//2
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,3,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);
				}
				elseif(FireJetCount==1)
				{
					vector(_set,Gactorpos,-17458,25524,25049);	//1
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,3,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);
				}
			}
		}

		if(vcurset=="annx_04" || vcurset=="annx_02")
		{
			call(SetParticleSetID);
			if(FireJetCount>=3)				//next hole in pipe
			{
				float(_set,FireJetCount,0);
			}
			if(FireJetLife>=210)				//next hole in pipe
			{
				float(_add,FireJetCount,1);
				float(_set,FireJetLife,0);

				if(FireJetCount==0)
				{
					//vector(_set,Gactorine,-19338,26006,23966);		//2
					vector(_set,Gactorpos,-18136,26006,23965);
				}
				elseif(FireJetCount==1)
				{
					//vector(_set,Gactorine,-18136,26006,23965);		//0
					vector(_set,Gactorpos,-18737,26006,23966);
				}
				elseif(FireJetCount==2)
				{
					//vector(_set,Gactorine,-18737,26006,23966);		//1
					vector(_set,Gactorpos,-19338,26006,23966);
				}
				//samplestop(SFXFlamesBurning,gactorine);
				sample(SFXFlamesBurning,gactorpos,100,150);
			}

			float(_rnd2,tmpfloat,24);
			float(_sub,tmpfloat,12);
			vector(_setx,tmpvector4,tmpfloat);
			vector(_sety,tmpvector4,tmpfloat);
			vector(_setz,tmpvector4,tmpfloat);

			if(vrnd<40&&FireJetLife<150)		//lifespan of each burst/delayer
			{
				vector(_set,fxvector,0,0,-120);

				if(FireJetCount==0)
				{
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-18136,26006,23965);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}

					vector(_set,Gactorpos,-18135,25892,23962);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-8);
					float(_rnd2,tmpfloat,4);
					vector(_subz,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==1)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-18135,26122,23964);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==2)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-18135,26006,23965);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
				}
				elseif(FireJetCount==1)
				{
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-18737,26006,23966);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					} 

					vector(_set,Gactorpos,-18737,25892,23963);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-8);
					float(_rnd2,tmpfloat,4);
					vector(_subz,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==1)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-18732,26122,23966);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==2)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-18737,26006,23966);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
				}
				elseif(FireJetCount==2)
				{
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-19338,26006,23966);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}

					vector(_set,Gactorpos,-19338,25892,23963);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-8);
					float(_rnd2,tmpfloat,4);
					vector(_subz,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==1)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-19334,26122,23966);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==2)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-19338,26006,23966);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
				}
			}
			else
			{
				if(FireJetCount==0)
				{
					vector(_set,Gactorpos,-18136,25892,23962);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-4);
					float(_rnd2,tmpfloat,4);
					vector(_subz,Gactorine,tmpfloat);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
					vector(_set,Gactorpos,-18131,26122,23964);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
					vector(_set,Gactorpos,-18136,26006,23965);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
				}
				elseif(FireJetCount==1)
				{
					vector(_set,Gactorpos,-18737,25892,23963);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-4);
					float(_rnd2,tmpfloat,4);
					vector(_subz,Gactorine,tmpfloat);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
					vector(_set,Gactorpos,-18732,26122,23966);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
					vector(_set,Gactorpos,-18737,26006,23966);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
				}
				elseif(FireJetCount==2)
				{
					vector(_set,Gactorpos,-19338,25892,23963);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-4);
					float(_rnd2,tmpfloat,4);
					vector(_subz,Gactorine,tmpfloat);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
					vector(_set,Gactorpos,-19334,26122,23966);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
					vector(_set,Gactorpos,-19338,26006,23966);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
				}
			}
		}
		elseif(vcurset=="annx_08")
		{
			call(SetParticleSetID,"annx_08");
			if(FireJetCount>=4)				//next hole in pipe
			{
				float(_set,FireJetCount,0);
			}
			if(FireJetLife>=210)				//next hole in pipe
			{
				float(_add,FireJetCount,1);
				float(_set,FireJetLife,0);

				if(FireJetCount==0)
				{
					//vector(_set,Gactorine,-19200,25576,25493);		//3
					vector(_set,Gactorpos,-19200,25576,25500);
				}
				elseif(FireJetCount==1)
				{
					//vector(_set,Gactorine,-19200,25576,25500);		//0
					vector(_set,Gactorpos,-19200,25576,25570);
				}
				elseif(FireJetCount==2)
				{
					//vector(_set,Gactorine,-19200,25576,25570);		//1
					vector(_set,Gactorpos,-19200,25576,25434);
				}
				elseif(FireJetCount==3)
				{
					//vector(_set,Gactorine,-19200,25576,25434);		//2
					vector(_set,Gactorpos,-19200,25576,25493);
				}
				//samplestop(SFXFlamesBurning,gactorine);
				sample(SFXFlamesBurning,gactorpos,100,150);
			}

			float(_rnd2,tmpfloat,24);
			float(_sub,tmpfloat,12);
			vector(_setx,tmpvector4,tmpfloat);
			vector(_sety,tmpvector4,tmpfloat);
			vector(_setz,tmpvector4,tmpfloat);

			if(vrnd<40&&FireJetLife<150)		//lifespan of each burst/delayer
			{
				if(FireJetCount==0)
				{
					vector(_set,fxvector,0,100,0);
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-18961,25576,25709);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
						vector(_set,tmpvector,255,0,0);
						vector(_set,Gactorpos,-19571,25587,25295);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}

					vector(_set,Gactorpos,-18961,25576,25709);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-19571,25587,25295);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-8,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_subx,Gactorine,tmpfloat);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==1)
					{
						//vector(_add,Gactorpos,fxvector);
						vector(_set,Gactorine,-100,100,0);
						vector(_add,Gactorpos,Gactorine);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}

					vector(_set,fxvector,0,0,-130);
					vector(_set,Gactorpos,-18581,25717,25760);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-8);
					float(_rnd2,tmpfloat,4);
					vector(_subz,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==2)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-18581,25830,25760);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-18581,25946,25760);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==4)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
				}
				elseif(FireJetCount==1)
				{
					vector(_set,fxvector,0,100,0);
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-18960,25576,25570);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
						vector(_set,tmpvector,255,0,0);
						vector(_set,Gactorpos,-19574,25587,25436);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					} 

					vector(_set,Gactorpos,-18960,25576,25570);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}

					vector(_set,Gactorpos,-19574,25587,25436);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-8,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_subx,Gactorine,tmpfloat);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==1)
					{
						//vector(_add,Gactorpos,fxvector);
						vector(_set,Gactorine,-100,100,0);
						vector(_add,Gactorpos,Gactorine);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
				}
				elseif(FireJetCount==2)
				{
					vector(_set,fxvector,0,100,0);
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-18961,25576,25434);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
						vector(_set,tmpvector,255,0,0);
						vector(_set,Gactorpos,-19573,25587,25572);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}

					vector(_set,Gactorpos,-18961,25576,25434);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-19573,25587,25572);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-8,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_subx,Gactorine,tmpfloat);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==1)
					{
						//vector(_add,Gactorpos,fxvector);
						vector(_set,Gactorine,-100,100,0);
						vector(_add,Gactorpos,Gactorine);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}

					vector(_set,fxvector,0,0,130);
					vector(_set,Gactorpos,-19330,25717,25239);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,8);
					float(_rnd2,tmpfloat,4);
					vector(_addz,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==2)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-19330,25834,25240);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-19330,25949,25241);
					vector(_add,gactorpos,tmpvector4);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==4)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
				}
				elseif(FireJetCount==3)
				{
					vector(_set,fxvector,0,100,0);
					if(vrnd<50)
					{
						vector(_set,tmpvector,255,70,30);
						vector(_set,Gactorpos,-18959,25576,25293);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
						vector(_set,tmpvector,255,0,0);
						vector(_set,Gactorpos,-19574,25587,25711);
						SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,350);
					}

					vector(_set,Gactorpos,-18959,25576,25293);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==3)
					{
						vector(_add,Gactorpos,fxvector);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
					vector(_set,Gactorpos,-19574,25587,25711);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-8,8,0);
					float(_rnd2,tmpfloat,4);
					vector(_subx,Gactorine,tmpfloat);
					vector(_addy,Gactorine,tmpfloat);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
					if(skipcollidecount==1)
					{
						//vector(_add,Gactorpos,fxvector);
						vector(_set,Gactorine,-100,100,0);
						vector(_add,Gactorpos,Gactorine);
						call(CheckActorCollision,gactorpos,85,0,_COLFire);
					}
				}
			}
			else
			{
				if(FireJetCount==0)
				{
					vector(_set,Gactorpos,-18959,25576,25293);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-19574,25587,25711);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-4,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);
				}
				elseif(FireJetCount==1)
				{
					vector(_set,Gactorpos,-18961,25576,25709);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-19571,25587,25295);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-4,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-18581,25717,25760);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-4);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-18581,25830,25760);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-4);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-18581,25946,25760);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,-4);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);
				}
				elseif(FireJetCount==2)
				{
					vector(_set,Gactorpos,-18960,25576,25570);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-19574,25587,25436);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-4,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);
				}
				elseif(FireJetCount==3)
				{
					vector(_set,Gactorpos,-18961,25576,25434);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-19573,25587,25572);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,-4,4,0);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-19330,25717,25239);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,4);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-19330,25834,25240);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,4);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-19330,25949,25241);
					vector(_add,gactorpos,tmpvector4);
					vector(_set,Gactorine,0,0,4);
					SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,-1);
				}
			}
		}
		float(_add,FireJetLife,1);
////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////
////////////////////////////////////////////

		if(vcurset=="annx_07"||vcurset=="annx_02"||vcurset=="annx_03")
		{
			call(SetParticleSetID);	   //special case for more than 1 set ...grr!!!
			if(VarKey28==0)
			{
				if(vrnd<50)
				{
					vector(_set,tmpvector,255,0,0);
					vector(_set,fxvector,-18613,24460,25558);
					vector(_copy,Gactorpos,fxvector);
					vector(_set,fxvector,-274,0,0);
					vector(_add,gactorpos,fxvector);
					SpawnLight(fire_light,-1,gactorpos,tmpvector,EmptyVector,650);
				}

				vector(_set,gactorpos,-18613,24685,25558);
				vector(_set,gactorine,-19162,24685,25558);
				callsub(ElectricStrip,gactorpos,gactorine,fx_red);
				vector(_set,gactorpos,-18613,24609,25558);
				vector(_set,gactorine,-19162,24609,25558);
				callsub(ElectricStrip,gactorine,gactorpos,fx_red);
				vector(_set,gactorpos,-18613,24534,25558);
				vector(_set,gactorine,-19162,24534,25558);
				callsub(ElectricStrip,gactorpos,gactorine,fx_red);
				vector(_set,gactorpos,-18613,24460,25558);
				vector(_set,gactorine,-19162,24460,25558);
				callsub(ElectricStrip,gactorine,gactorpos,fx_red);
				vector(_set,gactorpos,-18613,24384,25558);
				vector(_set,gactorine,-19122,24384,25558);
				callsub(ElectricStrip,gactorpos,gactorine,fx_red);
				vector(_set,gactorpos,-18613,24308,25558);
				vector(_set,gactorine,-19047,24308,25558);
				callsub(ElectricStrip,gactorine,gactorpos,fx_red);
				vector(_set,gactorpos,-18613,24235,25558);
				vector(_set,gactorine,-18972,24235,25558);
				callsub(ElectricStrip,gactorpos,gactorine,fx_red);
				vector(_set,gactorpos,-18613,24180,25558);
				vector(_set,gactorine,-18920,24180,25558);
				callsub(ElectricStrip,gactorine,gactorpos,fx_red);
			}
		}


		if(VCurSet=="stor_01")
		{
			if(VarKey24==2)				//the worker has been crushed
			{
				float(_add,VarKey25,1);	//increment delay counter
			}

			CurEnvTrigger("door2ent");
			if(VTrigger!=_DIREnvTrigger && VKeyObjTriggered==0)
			{
				float(_set,TmpFloat,0x800000);
				call(expset1,1,TmpFloat,0);
			}
			CurEnvTrigger("door2trig");
			if(VTrigger!=_DIREnvTrigger && VKeyObjTriggered==0)
			{
				float(_set,TmpFloat,0x800000);
				call(expset1,1,TmpFloat,0);
			}
			CurEnvTrigger("tanklift");
			if(VKeyObjFrame==0 && VKeyObjTriggered!=0)
			{
				sample(SFXWorkerPanic,Gactorpos);
			}
			if(VKeyObjFrame==1 && VKeyObjTriggered!=0)
			{
				sample(SFXWorkerScream,Gactorpos);
			}
			if(VKeyObjFrame==2 && VKeyObjTriggered!=0)
			{
				sample(SFXWorkerCrushed,Gactorpos);
			}
			if(VarKey24==0)
			{
				float(_set,TmpFloat,0xffff00);
				call(expset1,1,TmpFloat,0);
			}
			elseif(VarKey24==1)
			{
				float(_set,TmpFloat,0x0000ff);
				call(expset1,1,TmpFloat,0);
			}
		}
		elseif(VCurSet=="war_ent")
		{
			CurEnvTrigger("DOOR2ENT");	
			if(VTrigger!=_DIREnvTrigger && VKeyObjTriggered==0)
			{
				float(_set,TmpFloat,0x800000);
				call(expset1,1,TmpFloat,0);
			}

			CurEnvTrigger("dt_lift");
			if(VKeyObjTriggered==0)
			{
				float(_set,TmpFloat,0xffff00);
				call(expset1,1,TmpFloat,0);
			}
		}
		elseif(VCurSet=="war_03")
		{
			CurEnvTrigger("BELDOOR");
			if(VTrigger!=_DIREnvTrigger && VKeyObjTriggered==0)
			{
				float(_set,TmpFloat,0x800000);
				call(expset1,1,TmpFloat,0);
			}
			CurEnvTrigger("WAR3ELVS1");
			if(VTrigger!=_DIREnvTrigger && VKeyObjTriggered==0)
			{
				float(_set,TmpFloat,0x800000);
				call(expset1,1,TmpFloat,0);
			}
			CurEnvTrigger("tanklift");
			if(VKeyObjFrame==2)
			{
				float(_set,TmpFloat,0xffff00);
				call(expset1,1,TmpFloat,0);
			}
			elseif(VKeyObjFrame==0)
			{
				float(_set,TmpFloat,0x0000ff);
				call(expset1,1,TmpFloat,0);
			}
		}


		if(skipcollidecount>=5)
		{
			float(_set,skipcollidecount,0);
		}
		float(_add,skipcollidecount,1);
}






SubRoutine(BackgroundTriggerChecksScene5)
{
//////////////////////////
//// WAREHOUSE SCRIPT ////
//////////////////////////

	if(VarKey23==601)
	{
		if(VAICon==0 && VAIClass!=_AIClassAngel)
		{
			float(_set,VarKey23,602);
		}
		else
		{
			float(_set,VarKey23,501);
		}
	}

	if(VarKey27>9 && VarKey27<14)
	{
		if(VCurSet=="war_rad" || VCurSet=="war_01" || VCurSet=="war_02" || VCurSet=="war_03" || VCurSet=="war_04" || VCurSet=="war_ent" || VCurSet=="el_x01" || VCurSet=="el_big")
		{
			callsub(RadiationArea);
		}
	}
	if(VSetActive=="el_x03")
	{
		if(VClass==_ClassDroid)
		{
			move(0,-10,0);
		}
	}

	if(VAICon==0 && CameraPan==1)
	{
		if (VCurSet!="EL_SML" || VCurSet!="EL_BIG" || VCurSet!="EL_x01" || VCurSet!="EL_x02" || VCurSet!="fact_4" || VCurSet!="fact_16")
		{
			callsub(Sub_SetCameraNormal);
			float(_set,CameraPan,0);
		}
	}

	if(VCurSet=="war_ent")
	{
		if(VKey==KEY_K && VKey==KEY_RSHIFT)
		{
			float(_set,VarKey22,12);
		}

		if(VarKey27==13)
		{
			message("Air Filters Activated",120,10);
			sample(SFXAirFilters,Gactorpos);
			float(_set,VarKey1,1);
			float(_set,VarKey2,0.0007);
			float(_set,VarKey27,14);
		}
		if(VarKey27==14)
		{
			if(VarKey1==1)
			{
				float(_sub,VarKey2,0.000001);
				call(ChangeFog,_SXFogDensity,VarKey2);
				if(VarKey2<=0.000001)
				{
					call(ChangeFog,_SXFogType,_SXFogOff);
					message("100 % Filtered - Decontamination Finished",200,10);
					float(_set,VarKey1,2);
					float(_set,VarKey27,15);
				}
			}
		}

		CurEnvTrigger("spawn");
		if(VTrigger==_DIREnvTrigger && VAIcon==0 && VAIClass!=_AIClassCop)
		{
			GetNumbActorsInSet("war_ent",_AIClassCop,TmpFloat);
			if(TmpFloat==0)
			{	
				if(MaxNrSpawn!=0)
				{
					vector(_set,Gactorangle,0,1024,0);
					vector(_set,Gactorpos,-16972,24430,24903);
					InitActor(WeaponPumpGun,Gactorpos,Gactorangle,"war_ent");
					vector(_set,Gactorpos,-16972,24383,24903);
					InitActor(copl,Gactorpos,Gactorangle,"war_ent",TRUE,22);
					
					CurEnvTrigger("spcheck");
					callsub(DoorOpen,1,1);
					float(_sub,MaxNrSpawn,1);
				}
			}
		}

		CurEnvTrigger("door2ent");
		if(VTrigger==_DIREnvTrigger)
		{
			float(_set,TmpFloat2,0);
			if(VClass==_ClassCop && VRank>=_RankSergeantL)
			{
				float(_set,TmpFloat2,1);
			}
			if(VDeadClass==_ClassCop && VDeadRank>=_RankSergeantL)
			{
				float(_set,TmpFloat2,1);
			}

			if(TmpFloat2!=0)
			{
				float(_set,TmpFloat,0x8000);
				call(expset1,1,TmpFloat,0);
			}
			if(VTrigger==_DIRaction && VKeyObjTriggered==0)
			{
				if(TmpFloat2!=0)
				{
					callsub(DoorOpen,1,1);

					//sto1/sto4 door steam fx
					float(_set,dooropenLife,190);
					float(_set,dooropenCount1,0);
					float(_set,dooropenCount2,0);
					float(_set,dooropenCount3,0);
					float(_set,dooropenCount4,0);
					float(_set,dooropenCount5,0);
					float(_set,dooropenTime,0);
					float(_set,dooropenCurr,0);
				}
				else
				{
					if(VAICON==0)
					{
						sample(SFXAccessDenied,Gactorpos);
						message("Restricted area@ security personnel only",120,10);
					}
					direction(_clr,_DIRaction);
				}
			}
		}		
		
		CurEnvTrigger("WARGAT");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction && VKeyObjFrame==0)	
		{
			if(VarKey22>=2)
			{
				callsub(DoorOpen,1,1);
			}
			else
			{
				if(VAICON==0)
				{
					sample(SFXAccessDenied,Gactorpos);
					message("LOCKED",120,10);
				}
			}
			direction(_clr,_DIRaction);
		}

		CurEnvTrigger("DT_LIFT");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction && VKeyObjTriggered==0)
		{
			if(VClass!=_ClassAngel)
			{
				if(VAICON==0)
				{
					call(ActivateButton,"Maintenance Lift Activated",-1,FALSE);
					call(ActivateButtonSample,SFXLiftActivated);
				}
				float(_set,TmpFloat,0x0000ff);
				call(expset1,1,TmpFloat,0);
				if(VKeyObjTriggered==0)
				{
					if(VKeyObjFrame==0)
					{
						call(KeyObjTrigger,1,1);
					}
					elseif(VKeyObjFrame==1)
					{
						call(KeyObjTrigger,0,-1);
					}
				}
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd);
				direction(_clr,_DIRaction);
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"hmm... not sure what this does!",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
			direction(_clr,_DIRaction);
		}

		CurEnvTrigger("DT_DOORS");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel)
			{
				if(VAICon==0)
				{
					if (VarKey22<=1)
					{
						call(ActivateButton,"Door Unlocked",-1,false);
						call(ActivateButtonSample,SFXDoorUnlock);
						float(_set,TmpFloat,0x800000);
						call(expset1,1,TmpFloat,0);
						call(expset2,-1,66,67);
						float(_set,VarKey22,2);

						CurEnvTrigger("WARGAT");
						float(_set,TmpFloat,0x8000);
						call(expset1,1,TmpFloat,0);
					}
					else
					{
						call(ActivateButton,"Door Already Unlocked",-1,false);
						call(ActivateButtonSample,SFXValidFunction);
					}
				}
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"strange ....nothing happened!",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
			direction(_clr,_DIRaction);
		}

		CurEnvTrigger("ANNEX");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction && VKeyObjFrame==0)	
		{
			
			if (VarKey22>=12)
			{
				callsub(DoorOpen,1,1);
				if(VAICON==0)
				{
					dmessage("Primary Objective Complete",70,100);
					dmessage("Access to Annex Granted",80,100);
				}
			}
			else
			{
				if(VAICON==0)
				{
					sample(SFXAccessDenied,Gactorpos);
					message("Annex Security Circuits Engaged",120,10);
				}
			}
			direction(_clr,_DIRaction);
		}

		elseif(VarKey21==1)
		{
			if(VAICon==0)
			{
				CurEnvTrigger("DT_LIFT");
				if(VTrigger==_DIREnvTrigger)
				{
					float(_set,VarKey21,2);
					if(VAICON==0)
					{
						dmessage("To activate a console@",20,300);
						dmessage("face the console and",30,300);
						dmessage("press ENTER.",40,300);
					}
				}
				CurEnvTrigger("DT_DOORS");
				if(VTrigger==_DIREnvTrigger)
				{
					float(_set,VarKey21,2);
					if(VAICON==0)
					{
						dmessage("To activate a console@",20,300);
						dmessage("face the console and",30,300);
						dmessage("press ENTER.",40,300);
					}
				}
			}
		}
	}
	elseif(VCurSet=="annx_03")
	{
		if(VTrigger==_DIREnvTrigger)
		{
			CurEnvTrigger("opendoor");
			if(VarKey28>=2)
			{
				callsub(DoorOpen,2,1);
			}
		}
	}
	elseif(VCurSet=="stor_04")
	{
		CurEnvTrigger("DOORSTO1");
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			callsub(DoorOpen,1,1);
			//sto1/sto4 door steam fx
			float(_set,dooropenLife,190);
			float(_set,dooropenCount1,0);
			float(_set,dooropenCount2,0);
			float(_set,dooropenCount3,0);
			float(_set,dooropenCount4,0);
			float(_set,dooropenCount5,0);
			float(_set,dooropenTime,0);
			float(_set,dooropenCurr,1);
		}
	}
	elseif(VCurSet=="war_03")
	{
		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
		}
		if(VarKey27==14)
		{
			call(ChangeFog,_SXFogType,_SXFogOff);
		}
		CurEnvTrigger("BELDOOR");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VClass==_ClassCop || VAIClass==_AIClassWorker)
			{
				if(VarKey22>=4)
				{
					float(_set,TmpFloat,0x8000);
					call(expset1,1,TmpFloat,0);
				}
				else
				{
					float(_set,TmpFloat,0xff8800);
					call(expset1,1,TmpFloat,0);
				}
			}
			if(VTrigger==_DIRaction && VKeyObjTriggered==0)
			{
				if (VarKey22<4)
				{
					if(VAICON==0)
					{
						sample(SFXElevatorOff,Gactorpos);
						message("Elevator Power Is Off",120,10);
					}
				}
				else
				{
					if(VarKey27<=10)
					{
						if(VClass==_ClassCop || VAIClass==_AIClassWorker)
						{
							callsub(DoorOpen,1,1);
							setkeyframe("EL_BIG","BELDOOR",1);
						}
						else
						{
							if(VAICON==0)
							{
								sample(SFXAccessDenied,Gactorpos);
								message("Elevator Restricted to Authorized Personnel",120,10);
							}
							direction(_clr,_DIRaction);		
						}
					}
					else
					{
						callsub(DoorOpen,1,1);
						setkeyframe("EL_BIG","BELDOOR",1);
					}
				}
			}
		}

		CurEnvTrigger("WAR3ELVS1");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VClass==_ClassCop || VAIClass==_AIClassWorker)
			{
				float(_set,TmpFloat,0x8000);
				call(expset1,1,TmpFloat,0);
			}
			if(VTrigger==_DIRaction && VKeyObjTriggered==0)
			{
				if(VarKey27<=10)
				{
					if(VClass==_ClassCop || VAIClass==_AIClassWorker)
					{
						callsub(DoorOpen,1,1);
						setkeyframe("el_sml","els_elvt",0);
					}
					else
					{
						if(VAICON==0)
						{
							sample(SFXAccessDenied,Gactorpos);
							message("Authorized Personnel Only",120,10);
						}
					}
				}
				else
				{
					callsub(DoorOpen,1,1);
					setkeyframe("el_sml","els_elvt",0);
				}
				direction(_clr,_DIRaction);
			}
		}

		CurEnvTrigger("WARGAT");
		if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0 && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("tanklift");
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
		{
			if(VClass!=_ClassAngel)
			{
				if(VAIClass==_AIClassWorker)
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Tank lift activated",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
					}
					if(VKeyObjFrame==0)
					{
						call(KeyObjTrigger,2,1);
					}
					else
					{
						call(KeyObjTrigger,0,-1);
					}
					kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd);
					direction(_clr,_DIRaction);
				}
				else
				{
					if(VAICON==0)
					{
						sample(SFXUnrecognized,Gactorpos);
						message("Working Staff Only",120,10);
					}
					direction(_clr,_DIRaction);
				}
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"Working Staff Only",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}
	}
	elseif(VCurSet=="EL_BIG")
	{
		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
		}
		if(VarKey27==14)
		{
			call(ChangeFog,_SXFogType,_SXFogOff);
		}
		CurEnvTrigger("beldoor");
		if(VKeyObjTriggered==0)
		{
			CurEnvTrigger("inv");
			if(VKeyObjFrame==1)
			{
				call(KeyObjTrigger,255,1);
			}
			CurEnvTrigger("BELDOORB");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("BELDOORC");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("BELDOORD");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			if(CameraPan==0)
			{
				float(_set,CameraPan,1);
			}
		}
		else
		{
			float(_set,LiftMsg,1);
			CurEnvTrigger("inv");
			if(VKeyObjFrame==0)
			{
				call(KeyObjTrigger,1,1);
			}
		}
	
		if(VAICon==0)
		{
			if(CameraPan==1)
			{
				callsub(Sub_SetCameraNormal);
			}
			if(CameraPan==0)
			{
				Camera(elevator_camera_distance,elevator_camera_angle);
				Target(elevator_camera_Tdistance,elevator_camera_Tangle);
			}
		}

		if(VTrigger==_DIRactionhold && VActivateButton==0)
		{
			float(_set,TmpFloat,-1);	//must do this before calling LiftControl!
			CurEnvTrigger("panel3");
			callsub(LiftControl,0,2);
			CurEnvTrigger("panel2");
			callsub(LiftControl,1,2);
			CurEnvTrigger("panel1");
			callsub(LiftControl,2,2);

			CurEnvTrigger("beldoor");
			if(TmpFloat!=-1 && VKeyObjTriggered==0)			//elevator should be activated
			{
				if(TmpFloat1==1)
				{
					if(TmpFloat==2)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXSector2,1);
					}
					else
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXTankGarage,1);
					}
				}
				else
				{
					if(TmpFloat==0)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXSectorBase,1);
					}
					else
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXTankGarage,1);
					}
				}
				if(VAICON==0)
				{
					call(ActivateButtonSample,SFXValidFunction);
				}
				float(_set,CameraPan,0);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd,1);
				direction(_clr,_DIRAction);
			}
		}
	}
	elseif(VCurSet=="EL_x01")
	{
		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
		}
		if(VarKey27==14)
		{
			call(ChangeFog,_SXFogType,_SXFogOff);
		}
		CurEnvTrigger("elevtrig");
		if(VKeyObjTriggered==0)
		{
			CurEnvTrigger("inv");
			if(VKeyObjFrame==1)
			{
				call(KeyObjTrigger,255,1);
			}
			CurEnvTrigger("BELDOOR01");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("BELDOORE");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			if(CameraPan==0)
			{
				float(_set,CameraPan,1);
			}
		}
		else
		{
			float(_set,LiftMsg,1);
			CurEnvTrigger("inv");
			if(VKeyObjFrame==0)
			{
				call(KeyObjTrigger,1,1);
			}
		}

		if(VAICon==0)
		{
			if(CameraPan==1)
			{
				callsub(Sub_SetCameraNormal);
			}
			if(CameraPan==0)
			{
				Camera(elevator_camera_distance,elevator_camera_angle);
				Target(elevator_camera_Tdistance,elevator_camera_Tangle);
			}
		}

		if(VTrigger==_DIRactionhold && VActivateButton==0)
		{
			float(_set,TmpFloat,-1);	//must do this before calling LiftControl!
			CurEnvTrigger("panel1");
			callsub(LiftControl,0,1);
			CurEnvTrigger("panel2");
			callsub(LiftControl,1,1);

			CurEnvTrigger("elevtrig");
			if(TmpFloat!=-1 && VKeyObjTriggered==0)			//elevator should be activated
			{
				if(TmpFloat1==1)
				{
					if(TmpFloat==1)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXSectorBase,1);
					}
				}
				else
				{
					if(TmpFloat==0)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXRadiation,1);
					}
				}
				if(VAICON==0)
				{
					call(ActivateButtonSample,SFXValidFunction);
				}
				float(_set,CameraPan,0);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd,1);
				direction(_clr,_DIRAction);
			}
		}
	}
	elseif(VCurSet=="EL_x02")
	{
		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
		}
		if(VarKey27==14)
		{
			call(ChangeFog,_SXFogType,_SXFogOff);
		}
		CurEnvTrigger("trigelev");
		if(VKeyObjTriggered==0)
		{
			CurEnvTrigger("inv");
			if(VKeyObjFrame==1)
			{
				call(KeyObjTrigger,255,1);
			}
			CurEnvTrigger("BELDOOR02");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("BELDOORA");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			if(CameraPan==0)
			{
				float(_set,CameraPan,1);
			}
		}
		else
		{
			float(_set,LiftMsg,1);
			CurEnvTrigger("inv");
			if(VKeyObjFrame==0)
			{
				call(KeyObjTrigger,1,1);
			}
		}
		
		if(VAICon==0)
		{
			if(CameraPan==1)
			{
				callsub(Sub_SetCameraNormal);
			}
			if(CameraPan==0)
			{
				Camera(elevator_camera_distance,elevator_camera_angle);
				Target(elevator_camera_Tdistance,elevator_camera_Tangle);
			}
		}

		if(VTrigger==_DIRactionhold)
		{

			float(_set,TmpFloat,-1);	//must do this before calling LiftControl!
			CurEnvTrigger("panel1");
			callsub(LiftControl,0,1);
			CurEnvTrigger("panel2");
			callsub(LiftControl,1,1);

			if(TmpFloat!=-1)			//elevator should be activated
			{
				CurEnvTrigger("trigelev");
				if(TmpFloat1==1)
				{
					if(TmpFloat==1)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXSector3,1);
					}
				}
				else
				{
					if(TmpFloat==0)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXSector2,1);
					}
				}
				if(VAICON==0)
				{
					call(ActivateButtonSample,SFXValidFunction);
				}
				float(_set,CameraPan,0);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd,1);
				direction(_clr,_DIRAction);
			}
		}
	}
	elseif(VCurSet=="EL_SML")
	{
		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
			message("Air Cleaning Filters Activated",120,10);
			sample(SFXAirFilters,Gactorpos);
			float(_set,VarKey1,1);
			float(_set,VarKey2,0.0007);
			float(_set,VarKey27,13);
		}
		if(VarKey27==13)
		{
			if(VarKey1==1)
			{
				float(_sub,VarKey2,0.000003);
				call(ChangeFog,_SXFogDensity,VarKey2);
				if(VarKey2<=0.000001)
				{
					call(ChangeFog,_SXFogType,_SXFogOff);
					message("100 % Filtered - Decontamination Finished",200,10);
					float(_set,VarKey1,2);
					float(_set,VarKey27,14);
				}
			}
		}
		if(VarKey21<3)
		{
			float(_set,timer,4000);
			float(_set,VarKey21,3);
		}

		if(timer>5000)
		{
			if(VAICON==0)
			{
				dmessage("To operate lifts@ approach the panel@",20,400);
				dmessage("press and hold the ENTER key while",30,400);
				dmessage("pressing FORWARD (up) or BACKWARD (down).",40,400);
			}
			float(_set,timer,0);
		}

		CurEnvTrigger("els_elvt");
		if(VkeyObjTriggered==0)
		{
			CurEnvTrigger("inv");
			if(VKeyObjFrame==1)
			{
				call(KeyObjTrigger,255,1);
			}
			CurEnvTrigger("ELVSSTO2A");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				if(VarKey27!=13)
				{
					callsub(DoorOpen,1,1);
				}
				else
				{
					message("Door Locked During Decontamination Process",120,10);
					sample(SFXAccessDenied,Gactorpos);
				}
			}
			CurEnvTrigger("ELVSWAR3A");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				if(VarKey27!=13)
				{
					callsub(DoorOpen,1,1);
				}
				else
				{
					sample(SFXAccessDenied,Gactorpos);
					message("Door Locked During Decontamination Process",120,10);
				}
			}
			if(CameraPan==0)
			{
				float(_set,CameraPan,1);
			}
		}
		else
		{
			float(_set,LiftMsg,1);
			CurEnvTrigger("inv");
			if(VKeyObjFrame==0)
			{
				call(KeyObjTrigger,1,1);
			}
		}

		if(VAICon==0)
		{
			if(CameraPan==1)
			{
				callsub(Sub_SetCameraNormal);
			}
			if(CameraPan==0)
			{
				Camera(elevator_camera_distance,elevator_camera_angle);
				Target(elevator_camera_Tdistance,elevator_camera_Tangle);
			}
		}

		if(VTrigger==_DIRactionhold)
		{
			float(_set,TmpFloat,-1);	//must do this before calling LiftControl!
			CurEnvTrigger("panel1");
			callsub(LiftControl,0,1);
			CurEnvTrigger("panel2");
			callsub(LiftControl,1,1);

			
			if(TmpFloat!=-1)
			{
				CurEnvTrigger("els_elvt");
				if(TmpFloat1==1)
				{
					if(TmpFloat==1)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXElevatorCenter,1);
					}
				}
				else
				{
					if(TmpFloat==0)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXTankGarage,1);
					}
				}
				if(VAICON==0)
				{
					call(ActivateButtonSample,SFXValidFunction);
				}
				float(_set,CameraPan,0);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd,1);
				direction(_clr,_DIRAction);
			}
		}
	}
	elseif(VCurSet=="war_rad")
	{
		if(VKey==KEY_J && VKey==KEY_RSHIFT && VarKey30<4)
		{
			message("bloody cheater !",120,10);
			float(_set,VarKey30,4);
		}

		if(VarKey30==5 && VKeyObjTriggered==0)
		{
			float(_set,VarKey30,7);
		}

		if(VTrigger==_DIRaction && VTrigger==_DIREnvTrigger)
		{
			CurEnvTrigger("beldoor");
			if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
			{
				if(VarKey30<=5 || VarKey30>14)
				{
					callsub(DoorOpen,1,1);
					setkeyframe("el_x01","elevtrig",0);
					direction(_clr,_DIRaction);
				}
				else
				{
					if(VAICON==0)
					{
						sample(SFXAccessDenied,Gactorpos);
						dmessage("Door Locked Due To Hazard Control",60,130);
						dmessage("Please Wait For Rad-Bot",70,130);
						dmessage("To Complete His Task",80,130);
					}
				}
			}	

			CurEnvTrigger("droid");
			if(VTrigger==_DIREnvTrigger)
			{
				if(VClass!=_ClassAngel)
				{
					if(VAIClass==_AIClassScientist)
					{
						if(VarKey30<4)
						{
							if(VAICON==0)
							{
								call(ActivateButton,"Rad-Bot Not Detected On This Floor",-1,FALSE);
								sample(SFXUnrecognized,Gactorpos);
							}
						}
						if(VarKey30==4)
						{
							if(VAICON==0)
							{
								call(ActivateButton,"Rad-Bot Engaged",-1,FALSE);
								call(ActivateButtonSample,SFXValidFunction);
							}
							vector(_set,Gactorpos,-15521,22420,26388);
							call(KeyObjTrigger,255,1);
							CurEnvTrigger("droid2");
							call(KeyObjTrigger,255,1);
							CurEnvTrigger("droid3");
							call(KeyObjTrigger,255,1);
							CurEnvTrigger("droid4");
							call(KeyObjTrigger,255,1);
							sample(SFXReactorOutput,Gactorpos);
							float(_set,VarKey27,1);
							float(_set,VarKey22,12);
							float(_set,VarKey30,5);
							direction(_clr,_DIRaction);
						}
						elseif(VarKey30>=5)
						{
							if(VKeyObjTriggered!=0)
							{
								if(VAICON==0)
								{
									call(ActivateButton,"Rad-Bot Already Engaged",-1,FALSE);
									call(ActivateButtonSample,SFXInvalidFunction);
								}
								direction(_clr,_DIRaction);
							}
						}
						direction(_clr,_DIRaction);
					}
					else
					{
						if(VAICON==0)
						{
							call(ActivateButton,"Access Denied@ Nuclear Engineering Credentials Required",-1,FALSE);
							call(ActivateButtonSample,SFXAccessDenied);
							sample(SFXAccessDenied,Gactorpos);
						}
						direction(_clr,_DIRaction);
					}
				} 
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"If.. i.. could.. just.. reach.. the......",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
					direction(_clr,_DIRaction);
				}
			direction(_clr,_DIRaction);
			}
		}
	}
	elseif(VCurSet=="war_01")
	{
		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
		}
		if(VarKey27==14)
		{
			call(ChangeFog,_SXFogType,_SXFogOff);
		}
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			CurEnvTrigger("beldoortp");
			if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
			{
				callsub(DoorOpen,0,1);
				setkeyframe("el_x02","trigelev",1);
				if(VarKey30==1)
				{
					setkeyframe("el_x03","lift",1);
				}
			//	sample(SFXDoorOpen9,emptyvector);
				direction(_clr,_DIRaction);
			}

			CurEnvTrigger("droid");
			if(VTrigger==_DIREnvTrigger && VAICon==0)
			{
				if(VClass!=_ClassAngel)
				{
					if(VAIClass==_AIClassWorker)
					{
						CurEnvTriggerSet("el_x03","lift");
						if(VKeyObjFrame==0)
						{
							call(ActivateButton,"Radiation Robot (Rad-Bot) Engaged",-1,FALSE);
							call(ActivateButtonSample,SFXValidFunction);
							call(ActivateButtonSample,SFXTransferSector2);
							call(KeyObjTrigger,1,1);
							CurEnvTriggerSet("war_01","droid");
							call(AIchangeplayertoenemy);
							float(_set,TmpFloat,0xffff00);
							call(expset1,1,TmpFloat,0);
							float(_set,VarKey30,1);
						}
						else
						{
							call(ActivateButton,"Rad-Bot Not Detected On This Floor",-1,FALSE);
							sample(SFXUnrecognized,Gactorpos);
						}
					}
					else
					{
						call(ActivateButton,"Working Staff Only",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
				else
				{
					call(ActivateButton,"If.. i.. could.. just.. reach.. the......",-1,FALSE);
				}
				direction(_clr,_DIRaction);
			}
		}
	}
	elseif(VCurSet=="war_02")
	{
		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
		}
		if(VarKey27==14)
		{
			call(ChangeFog,_SXFogType,_SXFogOff);
		}
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			CurEnvTrigger("beldoor01");
			if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
			{
				callsub(DoorOpen,0,1);
				setkeyframe("el_x02","trigelev",0);
			//	sample(SFXDoorOpen9,emptyvector);
				direction(_clr,_DIRaction);
			}
			CurEnvTrigger("beldoor");
			if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)	
			{
				callsub(DoorOpen,0,1);
				setkeyframe("el_big","beldoor",2);
				if(VarKey30==2)
				{
					setkeyframe("el_x03","lift",2);
				}
			//	sample(SFXDoorOpen9,emptyvector);
				direction(_clr,_DIRaction);
			}

			CurEnvTrigger("droid");
			if(VTrigger==_DIREnvTrigger)
			{
				if(VClass!=_ClassAngel)
				{
					if(VAIClass==_AIClassWorker)
					{
						CurEnvTriggerSet("el_x03","lift");
						if(VKeyObjFrame==1)
						{
							if(VAICON==0)
							{
								call(ActivateButton,"Rad-Bot Engaged",-1,FALSE);
								call(ActivateButtonSample,SFXValidFunction);
								call(ActivateButtonSample,SFXTransferSectorBase);
							}
							call(KeyObjTrigger,2,1);
							CurEnvTriggerSet("war_02","droid");
							float(_set,TmpFloat,0xffff00);
							call(expset1,1,TmpFloat,0);
							float(_set,VarKey30,2);
						}
						else
						{
							if(VAICON==0)
							{
								call(ActivateButton,"Rad-Bot Not Detected On This Floor",-1,FALSE);
								call(ActivateButtonSample,SFXInvalidFunction);
							}
						}
					}
					else
					{
						if(VAICON==0)
						{
							call(ActivateButton,"Working Staff Only",-1,FALSE);
							call(ActivateButtonSample,SFXInvalidFunction);
							sample(SFXUnrecognized,Gactorpos);
						}
					}
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Huh.. doesn't work ..why am I not suprised!",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
					direction(_clr,_DIRaction);
				}
				direction(_clr,_DIRaction);
			}
		}
	}
	elseif(VCurSet=="war_04")
	{
		CurEnvTrigger("wepdisp");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VKeyObjFrame==0 && VKEyObjTriggered==0)
			{
				message("Weapon Granted",120,10);
				vector(_set,Gactorpos,-14500,24145,26800);
				vector(_set,Gactorangle,0,0,0);
				InitActor(WeaponHarpoon,Gactorpos,Gactorangle,"war_04",TRUE);
				call(KeyObjTrigger,255,1);
			}
		}		
		CurEnvTrigger("BOXCTRL");
		//	within collision sphere &&	'enter' pressed
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			if(VAIClass==_AIClassScientist && Vrank==_RankScum) // is a Radiation Worker
			{
				if(VKeyObjFrame==0)
				{
					if(VkeyObjTriggered==0) // if the animation has not been triggered
					{
						call(KeyObjTrigger,255,1);
						direction(_clr,_DIRaction); // clears the ACTION button
						call(activatebutton,"Lift activated.",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
						float(_set,TmpFloat,0x00ff00);   // green
						call(expset1,1,TmpFloat,0); //set color of control panel to green
					}
				}
				else
				{
					call(activatebutton,"Lift already activated.",-1,FALSE);
					call(ActivateButtonSample,SFXInValidFunction);
				}
			}
			else
			{
				if(VAIClass==_AIClassAngel)
				{
					call(activatebutton,"I just don't get it !",-1,FALSE);
					call(ActivateButtonSample,SFXInValidFunction);
				}
				else
				{
					call(activatebutton,"Authorized Nuclear Technicians Only",-1,FALSE);
					call(ActivateButtonSample,SFXInValidFunction);
				}
			}
		}

		if(VarKey27==12)
		{
			call(ChangeFog,_SXFogType,_SXFogExp);
			float(_set,TmpFloat,0.0007);
			call(ChangeFog,_SXFogDensity,TmpFloat);
		}
		if(VarKey27==14)
		{
			call(ChangeFog,_SXFogType,_SXFogOff);
		}
		CurEnvTrigger("beldoor01");
		if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0 && VTrigger==_DIRaction && VAICon==0)
		{
			callsub(DoorOpen,0,1);
			setkeyframe("el_x01","elevtrig",1);
		//	sample(SFXDoorOpen9,emptyvector);
			direction(_clr,_DIRaction);
		}

		CurEnvTrigger("beldoor");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0 && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,0,1);
			setkeyframe("el_big","beldoor",0);
		//	sample(SFXDoorOpen9,emptyvector);
			direction(_clr,_DIRaction);
		}

		CurEnvTrigger("droid");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel)
			{
				if(VAIClass==_AIClassWorker)
				{
					if(VTrigger==_DIREnvTrigger)
					{
						CurEnvTriggerSet("el_x03","lift");
						if(VKeyObjFrame==2)
						{
							if(VAICON==0)
							{
								call(ActivateButton,"Rad-Bot Engaged",-1,FALSE);
								call(ActivateButtonSample,SFXValidFunction);
								call(ActivateButtonSample,SFXTransferSectorRad);
							}
							call(KeyObjTrigger,4,1);
							CurEnvTriggerSet("war_04","droid");
							float(_set,TmpFloat,0xffff00);
							call(expset1,1,TmpFloat,0);
							float(_set,VarKey30,4);
						}
						else
						{
							if(VAICON==0)
							{
								call(ActivateButton,"Rad-Bot Not Detected On This Floor",-1,FALSE);
								call(ActivateButtonSample,SFXInvalidFunction);
							}
						}
					direction(_clr,_DIRaction);
					}
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Working Staff Only",-1,FALSE);
						sample(SFXUnrecognized,Gactorpos);
					}
				}
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"can't reach ...need to find a host",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
				direction(_clr,_DIRaction);
			}
		}
	}
	elseif(VCurSet=="stor_01")
	{

		if(VarKey24==3)	
		{
			float(_set,VarKey24,4);	
			vector(_set,Gactorpos,-13819,24073,25200);
			vector(_set,Gactorangle,0,1024,0);
			InitActor(Medic,Gactorpos,Gactorangle,"stor_01",TRUE,1);

			CurEnvTrigger("spcheck");
			callsub(DoorOpen,1,1);
		}

		if(VarKey24!=0)
		{
			CurEnvTrigger("tanklift");
			if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
			{
				if(VClass!=_ClassAngel)
				{
					if(VAIClass==_AIClassWorker)
					{
						if(VAICON==0)
						{
							call(ActivateButton,"Tank Lift Control Error - System Jammed",-1,FALSE);
							call(ActivateButtonSample,SFXInvalidFunction);
						}
					}
					else
					{
						if(VAICON==0)
						{
							call(ActivateButton,"Only Workers can use this device",-1,FALSE);
							call(ActivateButtonSample,SFXUnrecognized);
						}
						direction(_clr,_DIRaction);
					}
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Only Workers can use this device",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
			}
		}

		if(VarKey24==0)
		{
			CurEnvTrigger("tanklift");
			if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
			{
				if(VClass!=_ClassAngel)
				{
					if(VAIClass==_AIClassWorker)
					{
						call(ActivateButton,"Tank lift activated",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
						call(KeyObjTrigger,3,1);
						kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd);
						sample(SFXWorkerpanic,Gactorpos)
//						kfsample(SFXWorkerPanic,SFXWorkerScream,-1,SFXWorkerCrushed);
						direction(_clr,_DIRaction);
						float(_set,VarKey24,1);
					}
					else
					{
						if(VAICON==0)
						{
							call(ActivateButton,"Only Workers can use this device",-1,FALSE);
							call(ActivateButtonSample,SFXUnrecognized);
						}
						direction(_clr,_DIRaction);
					}
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Slap@slap@slap.....nothing!",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
			}
		}
		elseif(VarKey24==1)
		{
			CurEnvTrigger("tanklift");
			if(VAIClass==_AIClassWorker)
			{
				if(VAction==WorkerWeldingOnBench && VKeyObjTriggered!=0)
				{
					SpawnAction(WorkerCrushedOnBench);
				}
				elseif(VAction==WorkerCrushedOnBench && VKeyObjFrameNoShift>=139262&&VKeyObjFrameNoShift<=155646)
				{
					float(_set,WelderCrushTime,0);
					vector(_set,BloodPos,-11988,24500,24300);
					callsub(Sub_BloodFxSpurtAbs);

					float(_set,VarKey24,2);	//worker is officially dead
					float(_set,VarKey25,0);	//set medic delay counter to zero
				}
			}
		}
		elseif(VarKey24==2 && VarKey25>=250)		//the worker has been crushed
		{
			float(_set,VarKey24,3);				//medic is on his way
			float(_set,VarKey25,0);				//re-init, can be used again from now on
		}

		if(WelderCrushTime<350)
		{
			if(vrnd<15)
			{
				vector(_set,BloodPos,-11988,24500,24300);
				callsub(Sub_BloodFx2Abs);
				callsub(Sub_BloodFxSprayAbs);
			}
			float(_add,WelderCrushTime,1);
		}
		if(WelderCrushTime==5)
		{
			vector(_set,Gactorpos,-11988,24500,24300);
			sample(SFXWorkerCrushed,Gactorpos);
		}

		CurEnvTrigger("door2ent");
		if(VTrigger==_DIREnvTrigger)
		{
			GetNumbActorsInSet("stor_01",_AIClassScientist,TmpFloat);
			GetNumbActorsInSet("stor_01",_AIClassCop,TmpFloat1);
			if(TmpFloat==0 && TmpFloat1==0)
			{
				vector(_set,Gactorangle,0,1024,0);
				vector(_set,Gactorpos,-13819,24123,25200);
				InitActor(WeaponPumpgun,Gactorpos,Gactorangle,"stor_01",FALSE);
				vector(_set,Gactorpos,-13819,24073,25200);
				InitActor(copl,Gactorpos,Gactorangle,"stor_01",FALSE);

				CurEnvTrigger("spcheck");
				callsub(DoorOpen,1,1);
			}

			float(_set,TmpFloat2,0);
			if(VAIClass==_AIClassCop || VAIClass==_AIClassScientist)
			{
				float(_set,TmpFloat2,1);
			}
			if(VDeadAIClass==_AIClassCop)
			{
				float(_set,TmpFloat2,1);
			}

			if(TmpFloat2!=0)
			{
				float(_set,TmpFloat,0x8000);
				call(expset1,1,TmpFloat,0);
			}
			if(VTrigger==_DIRaction && VKeyObjTriggered==0)
			{
				if(TmpFloat2!=0)
				{
					//sto1/sto4 door steam fx
					float(_set,dooropenLife,190);
					float(_set,dooropenCount1,0);
					float(_set,dooropenCount2,0);
					float(_set,dooropenCount3,0);
					float(_set,dooropenCount4,0);
					float(_set,dooropenCount5,0);
					float(_set,dooropenTime,0);
					float(_set,dooropenCurr,0);

					callsub(DoorOpen,1,1);
				}
				else
				{
					if(VAICON==0)
					{
						sample(SFXAccessDenied,Gactorpos);
						message("Restricted area@ security personnel only",120,10);
					}
					direction(_clr,_DIRaction);		
				}
			}
		}

		CurEnvTrigger("Door2trig");
		if(VTrigger==_DIREnvTrigger)
		{
			float(_set,TmpFloat,0x8000);
			call(expset1,1,TmpFloat,0);
			if(VTrigger==_DIRaction && VKeyObjTriggered==0)
			{
				callsub(DoorOpen,1,1);
			}
		}

		CurEnvTrigger("DOORSTO1");	
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)
			{
				callsub(DoorOpen,1,1);
				float(_set,dooropenLife,190);
				float(_set,dooropenCount1,0);
				float(_set,dooropenCount2,0);
				float(_set,dooropenCount3,0);
				float(_set,dooropenCount4,0);
				float(_set,dooropenCount5,0);
				float(_set,dooropenTime,0);
			}
		}

		CurEnvTrigger("sto1wall1");
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger&&VAICON==0)
		{
			if(VAICON==0)
			{
				sample(SFXAccessDenied,Gactorpos);
				message("Annex Security Circuits Engaged",120,10);
			}
			direction(_clr,_DIRaction);		
		}
	}
	elseif(VCurSet=="STOR_02")
	{
		CurEnvTrigger("stor2elva");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VarKey23<1 || VarKey23>360)//can't open elevator door until sequence complete (2 cops come-up in elevator)
			{
				setkeyframe("el_sml","els_elvt",1);
				callsub(DoorOpen,0,1);
			}
		}
	
		CurEnvTrigger("Door2trig");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VarKey23<=660)
			{
				sample(SFXAccessDenied,GActorPos);//2d sound based on position of actor
				message("Door Locked For Safety Reasons",120,10);//120=duration on screen, 10=font size
			}
			else
			{
				callsub(DoorOpen,0,1);
				direction(_clr,_DIRaction);
			}
		}

		CurEnvTrigger("noaction");
		if(VTrigger==_DIREnvTrigger && VAICon==0)
		{
			CurEnvTrigger("arme");
			if(VKeyObjTriggered!=0)
			{
				direction(_clr,_DIRaction);
			}
		}
				
		CurEnvTrigger("arme");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel)
			{
				if(VKeyObjFrame==0 && VKeyObjTriggered==0)
				{
					call(ActivateButton,"Weapon Dispenser Activated",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					vector(_set,Gactorpos,-13189,25231,26763);
					vector(_set,Gactorangle,0,1024,0);
					InitActor(WeaponFlameThrower,Gactorpos,Gactorangle,"stor_02",TRUE);
					call(KeyObjTrigger,255,1);
					float(_set,TmpFloat,0x0000ff);
					call(expset1,1,TmpFloat,0);
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Weapon Dispenser Already Activated",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"I wish I could operate that thing !",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}
		CurEnvTrigger("console");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel)
			{
				if (VarKey22<4)
				{
					float(_set,TmpFloat,0x0000ff);
					call(expset1,1,TmpFloat,0);
					call(expset2,57,165,225);
					if(VAICON==0)
					{
						call(ActivateButton,"Power To Elevator Engaged",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
						direction(_clr,_DIRaction);
					}
					float(_set,VarKey22,4);
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"ELEVATOR ALREADY OPERATIONAL",-1,FALSE);
					}
				}
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"Hmmm@ I wonder what this one does!",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
			direction(_clr,_DIRaction);
		}
		if(VarKey22==4 && VarKey23==0)
		{
			if(timer3>=0 && timer3<=50)
			{
				float(_add,timer3,1);
			}
			if(timer3==51)
			{
				sample(SFXElevatorOn,Gactorpos);
				float(_set,VarKey23,1);	//start alarm and cop stuff
				float(_set,timer3,0);
			}
		}
	}
////////////////////////
//// OUTSIDE SCRIPT ////
////////////////////////
	elseif(VCurSet=="walls1")
	{
		CurEnvTrigger("convtrig");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("walls1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
		CurEnvTrigger("transit");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
		{
			callsub(DoorOpen,0,1);
		}
		CurEnvTrigger("transit02");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
		{
			callsub(DoorOpen,0,1);
		}
	}
	elseif(VCurSet=="walls2")
	{
		CurEnvTrigger("fact5door");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="walls3")
	{
		CurEnvTrigger("transit");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
//////////////////////
//// ANNEX SCRIPT ////
//////////////////////

	elseif(VCurSet=="annx_01")
	{
		CurEnvTrigger("WALLS1");
		if(VTrigger==_DIRaction && VTrigger==_DIREnvTrigger)
		{
			if(VarKey22>=13 && VarKey28==2)
			{
				if(VAICON==0)
				{
					dmessage("Primary Objective Complete",50,120);
					dmessage("E3 Level Complete - Thank You For Playing",60,300);
				}
				float(_set,TmpFloat,0x00f000);
				call(expset1,1,TmpFloat,0);
				float(_set,VarKey21,5);
				//callsub(DoorOpen,1,1);
			}
			else
			{
				if(VAICON==0)
				{
					sample(SFXAccessDenied,Gactorpos);
					message("Outside Access Denied",120,10);
				}
			}
			direction(_clr,_DIRaction);		
		}

		CurEnvTrigger("warent");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="annx_04")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="annx_05")
	{
		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="annx_06")
	{
		CurEnvTrigger("LASEROFF");	
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			if(VAICON==0)
			{
				if(VClass!=_ClassAngel)
				{
					if(VarKey28==0)
					{
						float(_set,VarKey28,1);
						call(ActivateButton,"Lasers turned off",-1,FALSE);
						sample(SFXLaserTurnedOffAnnex,Gactorpos);
						vector(_set,Gactorpos,-18901,24160,25517);
						samplestop(SFXElecAmbient,Gactorpos);
						float(_set,TmpFloat,0x0000ff);
						call(expset1,1,TmpFloat,0);
						call(ActivateButtonSample,SFXValidFunction);
					}
					else
					{
						call(ActivateButton,"Lasers already turned off",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
					}
					direction(_clr,_DIRaction);
				}
				else
				{
					call(ActivateButton,"So many buttons !",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}
		CurEnvTrigger("arme");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel)
			{
				if(VKeyObjFrame==0 && VKeyObjTriggered==0)
				{
					call(ActivateButton,"Weapon Dispenser Activated",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					vector(_set,Gactorpos,-20240,25382,22795);
					vector(_set,Gactorangle,0,0,0);
					InitActor(WeaponBazooka,Gactorpos,Gactorangle,"annx_06",TRUE);
					call(KeyObjTrigger,255,1);
					float(_set,TmpFloat,0x0000ff);
					call(expset1,1,TmpFloat,0);
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Weapon Dispenser Already Activated",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"I wish I could operate that thing !",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}

		CurEnvTrigger("arme01");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel)
			{
				if(VKeyObjFrame==0 && VKeyObjTriggered==0)
				{
					call(ActivateButton,"Weapon Dispenser Activated",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					vector(_set,Gactorpos,-20240,25382,22492);
					vector(_set,Gactorangle,0,0,0);
					InitActor(WeaponMaimer,Gactorpos,Gactorangle,"annx_06",TRUE);
					call(KeyObjTrigger,255,1);
					float(_set,TmpFloat,0x0000ff);
					call(expset1,1,TmpFloat,0);
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Weapon Dispenser Already Activated",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"I wish I could operate that thing !",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}

		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="annx_07")
	{
		CurEnvTrigger("panel");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel)
			{
				if (VarKey28==1)
				{	
					if(VAICON==0)
					{
						call(ActivateButton,"Power Configured - Insufficient Turbine Power Source",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
						sample(SFXPowerConfiguredAnnex,Gactorpos);
						float(_set,TmpFloat,0x0000ff);
						call(expset1,1,TmpFloat,0);
						float(_set,VarKey28,2);
					}
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Power Already Configured",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
					}
				}
				direction(_clr,_DIRaction);
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"So many buttons !",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}

		if(VarKey28==0)
		{
			CurEnvTrigger("LOWLAZIN");
			if(VTrigger==_DIREnvTrigger)
			{
				colstate(_or,_COLelectricity);
			}
			else
			{
				CurEnvTrigger("HILAZIN");
				if(VTrigger==_DIREnvTrigger)
				{
					colstate(_or,_COLelectricity);
				}
				else
				{
					CurEnvTrigger("LOWLAZOUT");
					if(VTrigger==_DIREnvTrigger)
					{
						colstate(_or,_COLelectricity);
					}
					else
					{
						CurEnvTrigger("HILAZOUT");
						if(VTrigger==_DIREnvTrigger)
						{
							colstate(_or,_COLelectricity);
						}
						else
						{
							CurEnvTrigger("MIDLAZOUT");
							if(VTrigger==_DIREnvTrigger)
							{
								colstate(_or,_COLelectricity);
							}
							else
							{
								CurEnvTrigger("MIDLAZIN");
								if(VTrigger==_DIREnvTrigger)
								{
									colstate(_or,_COLelectricity);
								}
							}
						}
					}
				}
			}
		}

		CurEnvTrigger("door");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICON==0)
			{
				sample(SFXAccessDenied,Gactorpos);
				message("Door locked from the inside.",120,10);
			}
		}
	}
	/*
	elseif(VCurSet=="annx_08")
	{
		CurEnvTrigger("GRNDSTART");
		if (VTrigger==_DIREnvTrigger)
		{
			CurEnvTriggerSet("ANNX_10","SEGCHANGE");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,4,1,-1);
				call(KeyObjActiveSegment,0,4);
			}
		}
	}
	*/
	elseif(VCurSet=="ANNX_09")
	{
		CurEnvTrigger("Door79");		
		if(VTrigger==_DIRaction && VTrigger==_DIREnvTrigger)
		{
			if(VAICon==0)
			{
				if(VarKey22>12)
				{
					callsub(DoorOpen,1,1);
				}
				else
				{
					sample(SFXAccessDenied,Gactorpos);
					message("Door is locked",120,10);
				}
				direction(_clr,_DIRaction);		
			}
			else
			{
				callsub(DoorOpen,1,1);
			}
		}

		CurEnvTrigger("Doortrig");
		if(VTrigger==_DIRaction && VTrigger==_DIREnvTrigger)
		{
			callsub(DoorOpen,1,1);
			direction(_clr,_DIRaction);
		}
	}
	elseif(VCurSet=="ANNX_10")
	{
		CurEnvTrigger("MASTERTRI");		
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VClass!=_ClassAngel && VAICon==0)
			{
				if (VarKey22<=12)
				{
					call(ActivateButton,"Turbine Power Ready - All Doors Unlocked",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					sample(SFXTurbinePowerAnnex,Gactorpos);
					float(_set,VarKey22,13);
					CurEnvTrigger("SEGCHANGE");		
					call(KeyObjTrigger,12,1,-1);
					call(KeyObjActiveSegment,8,12);
				}
				direction(_clr,_DIRaction);
			}
			else
			{
				if(VAICON==0)
				{
					call(ActivateButton,"I just don't get it...",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}

		}

		CurEnvTrigger("DOORTRIG");		
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICon==0)
			{
				callsub(DoorOpen,1,1);
				direction(_clr,_DIRaction);
			}
			else
			{
				direction(_clr,_DIRaction);
			}
		}

		CurEnvTrigger("GRINDER1");
		callsub(Fall2Death);

		CurEnvTrigger("GRINDER2");
		callsub(Fall2Death);
	}

///////////////////////////
//// WASTEPLANT SCRIPT ////
///////////////////////////
	elseif(VCurSet=="wast1")
	{
		CurEnvTrigger("enter");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)
		{
			callsub(DoorOpen,2,1);
			direction(_clr,_DIRaction);
		}

		CurEnvTrigger("door14");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,2,1);
		}

		CurEnvTrigger("door13");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,0,1);
		}
	}
	elseif(VCurSet=="wast2")
	{
		CurEnvTrigger("door23");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,0,1);
		}
	}
	elseif(VCurSet=="wast3")
	{
		CurEnvTrigger("door13");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,0,1);
		}
		CurEnvTrigger("door23");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,0,1);
		}
		CurEnvTrigger("door314");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,0,1);
		}
	}
	elseif(VCurSet=="wast12")
	{
		CurEnvTrigger("door1213");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="wast13")
	{
		CurEnvTrigger("door1213");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
		CurEnvTrigger("door1315");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="wast14")
	{
		CurEnvTrigger("door314");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="wast15")
	{
		CurEnvTrigger("door1315");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="wast17")
	{
		CurEnvTrigger("transit");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
/////////////////////////
//// CONVEYER SCRIPT ////
/////////////////////////
	elseif(VCurSet=="convier1")
	{
		CurEnvTrigger("convtrig");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("trig2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			message("door open message here",120,10);

			CurEnvTrigger("enemy01");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
				kfsample(SFXDoOp1,SFXDoMo1,-1,SFXDoCl1);
			}
		}

		CurEnvTrigger("enemy01");
		if(VAICon==0 && Vtrigger==_DIREnvTrigger && VKeyObjTriggered==1)
		{
			CurEnvTriggerSet("convier2","CAGE03");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,2,1,-1);
				call(KeyObjActiveSegment,0,2);
			}
		}
	}
	elseif(VCurSet=="convier2")
	{
		CurEnvTrigger("cage04");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
		{
			call(KeyObjTrigger,2,1,-1);
			call(KeyObjActiveSegment,0,2);
		}
	}
	elseif(VCurSet=="convier3")
	{
		CurEnvTrigger("transit");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)
		{
			callsub(DoorOpen,0,1);
		}
	}
}
