
/*

		AIClass(_AIClassCopSkeleton);

		AIClass(_AIClassProstSkeleton);

		AIClass(_AIClassBobSkeleton);

		AIclass(_AIClassBeastSkeleton);

		AIclass(_AIClassAbeastSkeleton);


beast:	Thrown

*/


Action(GENIdle)
{
		trigger(_allDIR);
		nrintframes(-1);
		connections(BobIdle,CopIdle,Prost1Idle,BeastIdle,ABeastIdle);
}

Action(GENIdleLongTime)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobIdleLongTime,CopIdleLongTime,Prost1IdleLongTime,BeastIdleLongTime,ABeastIdleLongTime);
}

Action(GENDrown)
{
		trigger(_allDIR);
		nrintframes(-1);
		connections(BobDrown,CopDrown);
}

Action(GENPossesed)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobDepossesDaze,CopPossesed,Prost1Possesed,BeastPossesed,ABeastPossesed);
}

Action(GENDePossesed)
{
		trigger(_allDIR);
		nrintframes(-1);
		connections(BobDepossesDaze,CopDePossesed,Prost1Depossesed,BeastDepossesed,ABeastDepossesed);
}

action(GENCrouchPossession)//forward-flip, somersault
{
		file("pc\actors\chot\xxx\MCrStun.ske",100,on);//Crouch stunned
		trigger(_allDIR);
		nrintframes(4);
		break(off);
		connections(CopCrouchIdle,Prost1CrouchIdle,GENIdle);
}

action(GENCrouchDepossession)
{
		file("pc\actors\chot\xxx\MCrStun.ske",100,on);//Crouch Stunned

		trigger(_allDIR);
		nrintframes(4);
		break(off);
		connections(CopCrouchIdle,Prost1CrouchIdle,GENIdle);
}

action(GENCrawlPossession)//forward-flip, somersault
{
		file("pc\actors\chot\xxx\MCrlKikU.ske",100,on);//Crouch stunned
		trigger(_allDIR);
		nrintframes(4);
		break(off);
		connections(CopCrawlIdle,GENIdle);
}

action(GENCrawlDepossession)
{
		file("pc\actors\chot\xxx\MCrlKikU.ske",100,on);//Crouch stunned

		trigger(_allDIR);
		nrintframes(4);
		break(off);
		connections(CopCrawlIdle,GENIdle);
}

//------------------

Action(GENThrowGrenade)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(DwarfLaunch,CopThrowGrenade,Prost1ThrowGrenade,ABeastThrowGrenade);
}

Action(GENCrouchGrenade)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopCrouchGrenade,Prost1CrouchGrenade);
}

action(GENPickup)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopPickup,Prost1Pickup);
}

action(GENPickupChest)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopPickupChest,Prost1PickupChest);
}

action(GENPickupCrouch)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopPickupCrouch,Prost1PickupCrouch);
}

action(GENPressGun)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopPressGun,Prost1PressGun);
}

Action(GENShotInRLeg)
{
		//file("pc\actors\chot\xxx\MSnpLeg1.ske",50,off,100,-1,_DIRcombatmode);
		file("pc\actors\chot\xxx\MSnpLeg2.ske",100,off,100,-1,_DIRcombatmode);
		file("pc\actors\chot\xxx\MSnpLeg3.ske",100,off,100,-1);
		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(BobWoundLight,CopCrawlIdle);
}

Action(GENShotInLLeg)
{
		file("pc\actors\chot\xxx\MSnpLeg4.ske",100,off,100,-1);
		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(BobWoundLight,CopCrawlIdle);
}


//-------------  NOT DONE

action(GENFallToCrawl)
{
		//file("pc\actors\chot\xxx\MBrn2Kns.ske",100,off);
		file("pc\actors\chot\xxx\MBrkleg.ske",100,off,50);
		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(CopCrawlIdle);
}

action(GENCrawlSpreadOut)	//Lead directly to next animation
{
		trigger(_allDIR);
		nrintframes(-1);
		connections(CopCrawlForward,CopCrawlBackwards,CopCrawlTurnLeft,CopCrawlTurnRight,CopCrawlIdle);
}

action(GENThrownForward)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopThrownForward,Prost1ThrownForward);
}

action(GENThrownBack)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopThrownBack,Prost1ThrownBack);
}

action(GENThrownLeft)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopThrownLeft,Prost1ThrownLeft);
}

action(GENThrownRight)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopThrownRight,Prost1ThrownRight);
}

//-------------  'TILL HERE

action(GENWoundLight)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopWoundLight,Prost1WoundLight,BeastWoundLight,ABeastWoundLight);
}

action(GENWoundLightRun)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLightRun,CopWoundLight,Prost1WoundLight,BeastWoundLight,ABeastWoundLight);
}

action(GENWoundLightNoBreak)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopWoundLightNoBreak,Prost1WoundLightNoBreak,BeastWoundLightNoBreak,ABeastWoundLightNoBreak);
}

action(GENCrouchWoundLight)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopCrouchWoundLight,Prost1CrouchWoundLight);
}


action(GENShotInLeg)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopShotInLeg,Prost1ShotInLeg);
}

action(GENShotFrHead)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobFallDead,CopShotFrHead,Prost1ShotFrHead);
}

action(GENShotFrTorso)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopShotFrTorso,Prost1ShotFrTorso);
}

action(GENShotFrRShoulder)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopShotFrRShoulder,Prost1ShotFrRShoulder);
}

action(GENShotFrLShoulder)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopShotFrLShoulder,Prost1ShotFrLShoulder);
}

action(GENShotGeneric)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopShotGeneric,Prost1ShotGeneric);
}

action(GENShotBkHead)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobFallDead,CopShotBkHead,Prost1ShotBkHead);
}

action(GENShotBkBack)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobWoundLight,CopShotBkBack,Prost1ShotBkBack);
}


action(GENElectricShock0)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobElectricShock0,CopElectricShock0,Prost1ElectricShock0,BeastElectricShock0,ABeastElectricShock0);
}

action(GENElectricShock1)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobElectricShock0,CopElectricShock1,Prost1ElectricShock1,BeastElectricShock1,ABeastElectricShock1);
}


action(GENTouchDown)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobTouchDown,CopTouchDown,Prost1TouchDown,BeastTouchDown,ABeastTouchDown);
}

action(GENFallDead)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobFallDead,CopFallDead,Prost1FallDead,BeastFallDead,ABeastFallDead);
}

action(GENFallInPlace)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobFallDead,CopFallInPlace,Prost1FallInPlace,BeastStandDead,ABeastStandDead);
}


//-------------  NOT DONE

action(GENPoleDead)
{
		file("pc\actors\Chot\xxx\Poldedlf.ske",50,off);
		file("pc\actors\Chot\xxx\Poldedlb.ske",100,off);
		//file("pc\actors\Chot\xxx\mbelly.ske",100,off);
		trigger(_allDIR);
		break(off);
		nrintframes(31);
		shadow(off);
}

action(GENOnPole)
{
		file("pc\actors\Chot\xxx\mback.ske",20,off);
		file("pc\actors\Chot\xxx\PolTwch1.ske",50,on);
		file("pc\actors\Chot\xxx\PolTwch2.ske",100,on);
		trigger(_allDIR);
		break(off);
		nrintframes(12);
		intforloop(on);
		connections(GENOnPole,GENPoleDead);
}

/* *************   harpooned animations ******************* */

action(GENHarpoonFrontHold)
{
		file("pc\actors\Chot\xxx\AHrpedH.ske",100,on);
		trigger(_allDIR);
		break(on);
		nrintframes(6);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonFrontHold);
}

action(GENHarpoonFrontHitWall)
{
		file("pc\actors\Chot\xxx\AHrpedSt.ske",100,off);
		trigger(_allDIR);
		break(off);
		nrintframes(4);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonFrontIdle);
}

action(GENHarpoonFrontIdle)
{
		file("pc\actors\Chot\xxx\AHrpedI1.ske",10,on);
		file("pc\actors\Chot\xxx\AHrpedI2.ske",100,on);
		trigger(_allDIR);
		break(on);
		nrintframes(6);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonFrontIdle);
}

action(GENHarpoonFrontBeg)
{
		file("pc\actors\Chot\xxx\AHrpedI3.ske",50,off);
		file("pc\actors\Chot\xxx\AHrpedI4.ske",100,off);
		trigger(_allDIR);
		break(off);
		nrintframes(6);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonFrontIdle);
}

action(GENHarpoonFrontBurn)
{
		file("pc\actors\Chot\xxx\AHrpedI1.ske",100,on);
		trigger(_allDIR);
		break(off);
		nrintframes(6);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonFrontBurn);
}

action(GENHarpoonBackHold)
{
		file("pc\actors\Chot\xxx\AHrpedHB.ske",100,on);
		trigger(_allDIR);
		break(on);
		nrintframes(6);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonBackHold);
}

action(GENHarpoonBackHitWall)
{
		file("pc\actors\Chot\xxx\AHrpedSB.ske",100,off);
		trigger(_allDIR);
		break(off);
		nrintframes(4);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonBackIdle);
}

action(GENHarpoonBackIdle)
{
		file("pc\actors\Chot\xxx\AHrpdI1B.ske",10,on);
		file("pc\actors\Chot\xxx\AHrpdI2B.ske",100,on);
		trigger(_allDIR);
		break(on);
		nrintframes(6);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonBackIdle);
}

action(GENHarpoonBackBurn)
{
		file("pc\actors\Chot\xxx\AHrpdI1B.ske",100,on);
		trigger(_allDIR);
		break(off);
		nrintframes(6);
		intforloop(on);
		shadow(off);
		connections(GENHarpoonBackBurn);
}

Action(GENCrawlDead)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopCrawlDead,Prost1CrawlDead);
}

Action(GENStandDead)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopStandDead,Prost1StandDead,BeastStandDead,ABeastStandDead);
}

Action(GENCrouchDead)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopCrouchDead,Prost1CrouchDead);
}

//---------- 'TILL HERE

Action(GENCrouchDown)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobCrouchDown,CopCrouchDown,Prost1CrouchDown,BeastCrouchDown,ABeastCrouchDown);
}

Action(GENCrouchUp)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobCrouchUp,CopCrouchUp,Prost1CrouchUp,BeastCrouchUp,ABeastCrouchUp);
}


Action(GENRunUpStairs)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobRunUpStairs,CopRunUpStairs,Prost1RunUpStairs);
}


Action(GENJump)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobJumpWithGravity,CopJump,SubGirlJump,Prost1Jump,BeastJump,ABeastJump);
}

Action(GENFall)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobFall,CopFall,Prost1Fall,Beastfall,ABeastfall);
}

action(GENSlideAction)
{
		file("pc\actors\Chot\xxx\mslyde1.ske",100,on);
		trigger(_allDIR);
		nrintframes(4);
		intforloop(on);
		gravity(on);
		ydeltafromzeroframe(off);
		break(on);
		connections(GENSlide);
}

action(GENSlide)
{
		trigger(_allDIR);
		nrintframes(-1);
		connections(BobSlide,GENSlideAction);
}

//------------------------------------

action(GENBurningRollOnFloor)		//Roll on floor to extinguish fire
{
		file("pc\actors\chot\xxx\ABrnRoll.ske",100,on,80);
		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENSlowGetUpFace);
}


Action(GENBurnedIdle)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopBurnedIdle,Prost1BurnedIdle);
}

Action(GENGettingBurned)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopGettingBurned,Prost1GettingBurned);
}

Action(GENBlindForward)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopBlindForward,Prost1BlindForward);
}

Action(GENBlindBackwards)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopBlindBackwards,Prost1BlindBackwards);
}

Action(GENBurningRunInCircle)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopBurningRunInCircle,Prost1BurningRunInCircle);
}

Action(GENSlowGetUpFace)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopSlowGetUpFace,Prost1SlowGetUpFace);
}

Action(GENGetUpFromBack)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopGetUpFromBack,Prost1GetUpFromBack);
}

Action(GENReload)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopReload,Prost1Reload);
}

Action(GENReloadCrouch)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopReloadCrouch,Prost1ReloadCrouch);
}

Action(GENHeavyRecoil)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopHeavyRecoil,Prost1HeavyRecoil);
}

Action(GENLightRecoil)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopLightRecoil,Prost1LightRecoil);
}

Action(GENCrouchHeavyRecoil)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopCrouchHeavyRecoil,Prost1CrouchHeavyRecoil);
}

Action(GENCrouchLightRecoil)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopCrouchLightRecoil,Prost1CrouchLightRecoil);
}



//----------------------------

action(GENBackRollRight)
{
		file("pc\actors\bob\xxx\BR_B2F_L.ske",100,off,100,_AIclassangel);
		file("pc\actors\chot\xxx\MR_B2F_L.ske",100,off);
		break(off);
		connections(GENBackRollRight);
}

action(GENBackRollLeft)
{
		file("pc\actors\bob\xxx\BR_F2B_R.ske",100,off,100,_AIclassangel);
		file("pc\actors\chot\xxx\MR_F2B_R.ske",100,off);
		break(off);
		connections(GENBackRollLeft);
}

action(GENStomachRollRight)
{
		file("pc\actors\bob\xxx\BR_F2B_L.ske",100,off,100,_AIclassangel);
		file("pc\actors\chot\xxx\MR_F2B_L.ske",100,off);
		break(off);
		connections(GENStomachRollRight);
}

action(GENStomachRollLeft)
{
		file("pc\actors\bob\xxx\BR_B2F_R.ske",100,off,100,_AIclassangel);
		file("pc\actors\chot\xxx\MR_B2F_R.ske",100,off);
		break(off);
		connections(GENStomachRollLeft);
}


//	COP KICKALONG ACTION

Action(GENKickLeftFD)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAonlydeadpeople|_SXAAdisablecollision|_SXAAdisablerotation);

		AttackHeight(40);
		AlignDistance(100);
		DistanceSlack(150);
		AlignSlack(180);	

		AttachActionStartAtFrame(14);
		AttachAction(GENStomachRollLeft);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(0);
		connections(GENIdle);
}

Action(GENKickRightFD)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAonlydeadpeople|_SXAAdisablecollision|_SXAAdisablerotation);

		AttackHeight(40);
		AlignDistance(100);
		DistanceSlack(150);
		AlignSlack(180);	

		AttachActionStartAtFrame(14);
		AttachAction(GENStomachRollRight);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(0);
		connections(GENIdle);
}

Action(GENKickRightFU)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAonlydeadpeople|_SXAAdisablecollision|_SXAAdisablerotation);

		AttackHeight(40);
		AlignDistance(100);
		DistanceSlack(150);
		AlignSlack(180);	

		AttachActionStartAtFrame(14);
		AttachAction(GENBackRollRight);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(0);
		connections(GENIdle);
}

Action(GENKickLeftFU)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAonlydeadpeople|_SXAAdisablecollision|_SXAAdisablerotation);

		AttackHeight(40);
		AlignDistance(100);
		DistanceSlack(150);
		AlignSlack(180);	

		AttachActionStartAtFrame(14);
		AttachAction(GENBackRollLeft);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(0);
		connections(GENIdle);
}

Action(GENKickedCrotchFD)
{
		file("pc\actors\MultiAnm\xxx\MKkdCrFd.ske",100,off,100,_AIclassmale);
		file("pc\actors\MultiAnm\xxx\FKkdCrFd.ske",100,off,100,_AIclassfemale);
		file("pc\actors\MultiAnm\xxx\MKkdCrFd.ske",100,off);
		trigger(_allDIR);
		connections(GENKickedCrotchFD);
}

Action(GENKickedCrotchFU)
{
		file("pc\actors\MultiAnm\xxx\MKkdCrFu.ske",100,off,100,_AIclassmale);
		file("pc\actors\MultiAnm\xxx\FKkdCrFu.ske",100,off,100,_AIclassfemale);
		file("pc\actors\MultiAnm\xxx\MKkdCrFu.ske",100,off);
		trigger(_allDIR);
		connections(GENKickedCrotchFU);
}

Action(GENKickedHeadFD)
{
		file("pc\actors\MultiAnm\xxx\MKkdHdFd.ske",100,off,100,_AIclassmale);
		file("pc\actors\MultiAnm\xxx\FKkdHdFd.ske",100,off,100,_AIclassfemale);
		file("pc\actors\MultiAnm\xxx\MKkdHdFd.ske",100,off);
		trigger(_allDIR);
		connections(GENKickedHeadFD);
}

Action(GENKickedHeadFU)
{
		file("pc\actors\MultiAnm\xxx\MKkdHdFu.ske",100,off,100,_AIclassmale);
		file("pc\actors\MultiAnm\xxx\FKkdHdFu.ske",100,off,100,_AIclassfemale);
		file("pc\actors\MultiAnm\xxx\MKkdHdFu.ske",100,off);
		trigger(_allDIR);
		connections(GENKickedHeadFU);
}


Action(GENKickHeadFD)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//male right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAalignmovingslave|_SXAAonlydeadpeople|_SXAAdisablecollision);

		AlignAngle(0);
		TargetAngle(-1);
		AttackHeight(50);
		AlignDistance(100);
		AlignSlack(20);
		DistanceSlack(50);

		AlignStartFrame(0);
		AlignNrFrames(10);

		AttachActionStartAtFrame(15);
		AttachAction(GENKickedHeadFD);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENIdle);
}

Action(GENKickHeadFU)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//male right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAalignmovingslave|_SXAAonlydeadpeople|_SXAAdisablecollision);

		AlignAngle(0);
		TargetAngle(-1);
		AttackHeight(50);
		AlignDistance(100);
		AlignSlack(20);
		DistanceSlack(50);

		AlignStartFrame(0);
		AlignNrFrames(10);

		AttachActionStartAtFrame(15);
		AttachAction(GENKickedHeadFU);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENIdle);
}

Action(GENKickCrotchFD)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//male right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAalignmovingslave|_SXAAonlydeadpeople|_SXAAdisablecollision);

		AlignAngle(0);
		TargetAngle(-1);
		AttackHeight(50);
		AlignDistance(100);
		AlignSlack(20);
		DistanceSlack(50);

		AlignStartFrame(0);
		AlignNrFrames(10);

		AttachActionStartAtFrame(15);
		AttachAction(GENKickedCrotchFD);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENIdle);
}

Action(GENKickCrotchFU)
{
		file("pc\actors\Chot\xxx\MWrKikLw.ske",100,on,100);	//male right leg kick, holding gun

		flag(_SXAAAlignTransToY|_SXAAalignmovingslave|_SXAAonlydeadpeople|_SXAAdisablecollision);

		AlignAngle(0);
		TargetAngle(-1);
		AttackHeight(50);
		AlignDistance(100);
		AlignSlack(20);
		DistanceSlack(50);

		AlignStartFrame(0);
		AlignNrFrames(10);

		AttachActionStartAtFrame(15);
		AttachAction(GENKickedCrotchFU);

		ActionSubRoutine(Sub_RandomKickRollSFX);

		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENIdle);
}

Action(GENclimbupAction)
{
//		file("pc\actors\chot\xxx\MClmbWlS.ske",50,off,100);
		file("pc\actors\chot\xxx\MClmbWlF.ske",100,off,100);
		nrintframes(8);
		break(off);
		trigger(_allDIR);
		gravity(off);
		ydeltafromzeroframe(off);
		connections(GENIdle);
}
Action(GENclimbup)
{
		nrintframes(-2);
		trigger(_allDIR);
		connections(BobClimbUp,GENclimbupAction,GENidle);
}

Action(GENIdleHitWall)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(bobidleHitWall,CopIdleHitWall,Prost1IdleHitWall,BeastIdleHitWall,ABeastIdleHitWall);
}

Action(GENIdleHitWallFront)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(bobidleHitWallFront,CopIdleHitWallFront,Prost1IdleHitWallFront,BeastIdleHitWallFront,ABeastIdleHitWallFront);
}

Action(GENHitWallSpreadOut)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(BobHitWallSpreadOut,CopHitWallSpreadOut,Prost1HitWallSpreadOut,BeastHitWallSpreadOut,ABeastHitWallSpreadOut);
}

Action(GENSpreadOut)
{
		trigger(_allDIR);
		nrintframes(-1);
		connections(BobSpreadOut,CopSpreadOut,Prost1Spread,BeastSpreadOut,ABeastSpreadOut);
}

Action(GENSpreadOutGun)
{
		trigger(_allDIR);
		nrintframes(-1);
		connections(BobSpreadOut,CopSpreadOutGun,Prost1SpreadGun,BeastSpreadOut,ABeastSpreadOut);
}

Action(GENHolsterGun)
{
		file("pc\actors\Dwellr1\xxx\DwMHlstG.ske",100,off,100,_AIclassmale);
		file("pc\actors\Dwelfem1\xxx\DwFHlstG.ske",100,off,80,_AIclassfemale);
		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENidle);
}

Action(GENUnHolsterGun)
{
		file("pc\actors\Dwellr1\xxx\DwMDrawG.ske",100,off,100,_AIclassmale);
		file("pc\actors\Dwelfem1\xxx\DwFDrawG.ske",100,off,100,_AIclassfemale);
		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENidle);
}

Action(GENSurrender)
{
		file("pc\actors\Dwellr1\xxx\DwMSurSt.ske",100,off,100,_AIclassmale);
		file("pc\actors\Dwellr1\xxx\DwMSurLp.ske",100,on,100,_AIclassmale);
		file("pc\actors\Dwelfem1\xxx\DwFSurSt.ske",100,off,100,_AIclassfemale);
		file("pc\actors\Dwelfem1\xxx\DwFSurLp.ske",100,on,100,_AIclassfemale);
		trigger(_allDIR);
		break(off);
		nrintframes(3);
		connections(GENSurrender);
}

Action(GENTurn180)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(Cop180);
}

Action(GENCrouchTurn180)
{
		trigger(_allDIR);
		nrintframes(-2);
		connections(CopCrouch180);
}


action(GENCoweringLoop)
{
		file("pc\actors\Prost1\xxx\FCrCowrL.ske",30,on,100,_AIclassFemale);
		file("pc\actors\Prost1\xxx\FCrCowrI.ske",100,on,100,_AIclassFemale);
		file("pc\actors\Chot\xxx\MCrCowe2.ske",30,on);
		file("pc\actors\Chot\xxx\MCrCower.ske",100,on);
		trigger(_allDIR);
		break(off);
		nrintframes(12);
		connections(GENCoweringLoop);
}


