//WastePlant Script file

SubRoutine(InitSceneSound10)
{
			#include "messiahscripts\stages\scene10sfx.hxx"
}

SubRoutine(InitScene10)
{
			vector(_set,Gactorangle,0,1024,0);
			InitActor(Bob1,0,Gactorangle,"s1r1");
			
			// Reset all the variables
			float(_set,VarKey111,0);
			float(_set,VarKey112,0);
			float(_set,VarKey113,0);
			float(_set,VarKey114,0);
			float(_set,VarKey115,0);
			float(_set,VarKey116,0);
			float(_set,VarKey117,0);
			float(_set,VarKey118,0);
			float(_set,VarKey119,1);
			float(_set,VarKey120,0); 
			float(_set,timer,0);
			float(_set,timer2,0);
			float(_set,timer3,0);
			float(_set,BarrelTimer,0);
			//float(_set,WorkerPushingObject,0);	//Whether worker is pushing an object

			float(_set,PlatformLevel1,1);
			float(_set,PlatformLevel2,1);

			#include "messiahscripts\enemies\c2_waste.spt"

			callsub(InitSceneSound10);
}

SubRoutine(MainScene10)
{

	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST1                                                      |	
	//|	                                                                  |
	// 
	if(VSetActive=="wast1")
	{
		call(SetParticleSetID,"wast1");
		CurEnvTriggerSet("wast1","door14");
		float(_set,tmpfloat,0xFF0000);     //set lights to red
		call(expSet1,1,tmpfloat,0);
		call(expSet2,1,tmpfloat,0);

		if(VarKey118>0)
		{
			//CODE FOR DAMAGED CONSOLE
			//----------------------------------------------------------------
			if(vrnd<40)	//Randomly spit smoke from the corner
			{
				vector(_set,Gactorpos,-16136.70,25392.41,13480.68);
				vector(_set,Gactorine,0,15,0);
				spawnparticle(fx_Steam,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
			}
			if(vrnd<10)	//Randomly spit sparks and flash lights from the same spot
			{
				//Spawn dim white light
				vector(_set,Gactorpos,-16136.70,25392.41,13480.68);
				vector(_set,tmpVector,50,50,50);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,300);	//spawnlight(name,bone,position,color,radius)


				//Spawn randomly aimed sparks
				spawnparticle(fx_sparks,-1,gactorpos,Emptyvector,-1);

				//Play that funky music white boy
				sample(SFXSparks,Gactorpos);
			}
			//----------------------------------------------------------------
		}

		//CODE FOR DAMAGED DOOR
		//----------------------------------------------------------------		
		if(Varkey118==1)
		{
			if(vrnd<40)
			{
				//sparks from above door			
				vector(_set,Gactorpos,-16082.67,25546.98,13611.11);
				spawnparticle(fx_sparks,-1,gactorpos,Emptyvector,-1);

				vector(_set,Gactorpos,-16110.85,25547.98,13610.24);
				spawnparticle(fx_sparks,-1,gactorpos,Emptyvector,-1);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,Emptyvector,300);

				vector(_set,Gactorpos,-16059.03,25547.98,13611.26);
				spawnparticle(fx_sparks,-1,gactorpos,Emptyvector,-1);

				//sparks from below door
				vector(_set,Gactorpos,-16082.67,25172.87,13611.11);
				spawnparticle(fx_impactsparks,-1,gactorpos,Emptyvector,-1);

				vector(_set,Gactorpos,-16110.85,25172.87,13610.24);
				spawnparticle(fx_impactsparks,-1,gactorpos,Emptyvector,-1);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,Emptyvector,300);	

				vector(_set,Gactorpos,-16059.03,25172.87,13611.26);
				spawnparticle(fx_sparks,-1,gactorpos,Emptyvector,-1);

				vector(_set,Gactorpos,-16130.03,25172.87,13611.26);
				spawnparticle(fx_sparks,-1,gactorpos,Emptyvector,-1);
			}
		}

	}


	// 


	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST2                                                      |	
	//|	                                                                  |
	//  
	if(VSetActive=="wast2")
	{
		CurEnvTriggerSet("wast2","door23");
		float(_set,tmpfloat,0x00FF00);
		call(expSet1,1,tmpfloat,0);
	}
	// 

	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST3                                                      |	
	//|	                                                                  |
	//  
	if(VSetActive=="wast3")
	{
		CurEnvTriggerSet("wast3","door13");
		float(_set,tmpfloat,0xFF0000);
		call(expSet1,1,tmpfloat,0);

		CurEnvTriggerSet("wast3","door23");
		float(_set,tmpfloat,0x00FF00);
		call(expSet1,1,tmpfloat,0);

		CurEnvTriggerSet("wast3","door314");
		float(_set,tmpfloat,0xFF0000);
		call(expSet1,1,tmpfloat,0);

	}
	// 

	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST5                                                      |	
	//|	                                                                  |
	// 
	if(VSetActive=="wast5")
	{
		vector(_set,Gactorpos,-13027.10,22463.12,12901.67);
		call(SetParticleSetID,"wast5");
		spawnparticle(fx_laserstrip,-1,gactorpos,emptyvector,-1);	//spawnparticle(particlename,bone,position,angle,color)
	}
	// 


	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST6                                                      |	
	//|	                                                                  |
	// 
	if(VSetActive=="wast6" || VSetActive=="wast7")
	{
		call(SetParticleSetID);
		CurEnvTriggerSet("WAST6","BRLTRIG2");
		if(VKeyObjTriggered==0)
		{

			call(KeyObjTrigger,255,1);
//			kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd);		

			CurEnvTriggerSet("WAST6","CLAMPTRIG");
			call(KeyObjTrigger,255,1);

			CurEnvTriggerSet("WAST7","PIPES");
			call(KeyObjTrigger,255,1);
		}

		if(vrnd<40)	//Randomly spit smoke from the corner
		{
			vector(_set,Gactorpos,-12451.10,22260.23,14094.59);
			vector(_set,Gactorine,0,15,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_radsteam);	//spawnparticle(particlename,bone,position,angle,color)
		}
	}
	// 


	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST12                                                     |	
	//|	                                                                  |
	// 
	if(VSetActive=="wast12")
	{
		call(SetParticleSetID,"wast12");

		//vector(_set,Gactorpos,-15732.52,24232.13,14798.87);
		//vector(_addy,Gactorpos,24);
		//spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
	
		
		
		float(_rnd2,tmpfloat,256);
		if(tmpfloat<60)
		{

			if(tmpfloat<20)
			{
				vector(_set,Gactorpos,-15732.52,24232.13,14798.87);
			}
			elseif(tmpfloat>=20 && tmpfloat<40)
			{
				vector(_set,Gactorpos,-15732.52,24232.13,14500);
				float(_sub,tmpfloat,20);
			}
			elseif(tmpfloat>=40 && tmpfloat<60)
			{
				vector(_set,Gactorpos,-15732.52,24232.13,14200);
				float(_sub,tmpfloat,40);
			}

			if(tmpfloat<10)
			{
				if(tmpfloat<3)
				{
					vector(_addy,Gactorpos,24);
				}
				elseif(tmpfloat<6 && tmpfloat>=3)
				{
					vector(_addy,Gactorpos,48);
				}
			}
			else
			{
				vector(_addz,Gactorpos,59);
				vector(_addy,Gactorpos,2);

				if(tmpfloat<12)
				{
					vector(_addz,Gactorpos,35);
				}
				elseif(tmpfloat<15 && tmpfloat>=12)
				{
					vector(_addz,Gactorpos,71);
				}
			}

			vector(_set,Gactorine,20,0,0);
			float(_rnd2,tmpfloat, 25);
			float(_add,tmpfloat,5);
			vector(_setx,Gactorine,tmpfloat);
			vector(_set,tmpvector,128,128,128);

			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			sample(SFXGunTurretSteam,gactorpos,30);  //sample(sample name,position)
		}



/*			vector(_set,Gactorpos,-15732.52,24232.13,14798.87);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addy,Gactorpos,24);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addy,Gactorpos,24);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)

			vector(_set,Gactorpos,-15732.52,24234.13,14858);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addz,Gactorpos,35);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addz,Gactorpos,36);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)



			vector(_set,Gactorpos,-15732.52,24232.13,14500);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addy,Gactorpos,24);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addy,Gactorpos,24);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)

			vector(_set,Gactorpos,-15732.52,24234.13,14559.13);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addz,Gactorpos,35);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addz,Gactorpos,36);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)


			
			vector(_set,Gactorpos,-15732.52,24232.13,14200);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addy,Gactorpos,24);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addy,Gactorpos,24);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)

			vector(_set,Gactorpos,-15732.52,24232.13,14259.13);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addz,Gactorpos,35);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
			vector(_addz,Gactorpos,36);
			spawnparticle(fx_steampipes,-1,gactorpos,gactorine,-1);	//spawnparticle(particlename,bone,position,angle,color)
*/


			
/*		if (Timer>0 && Timer<150)
		{
			float(_sub,Timer,1);
			vector(_set,Gactorpos,-15560.44,23774.96,15318.39);
			vector(_set,tmpvector,50,200,0);
			spawnlight(LightPulseOmni5,-1,Gactorpos,tmpvector,EmptyVector,500);	//spawnlight(name,bone,position,color,radius)
		}
		else
		{
			float(_set,Timer,150);
		}*/
	}
	// 


	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST13                                                     |	
	//|	                                                                  |
	// 
	if(VSetActive=="wast13")
	{


		CurEnvTriggerSet("wast13","lift");
		float(_set,TmpFloat,0x777711);  // brown-green
		float(_set,TmpFloat2,0xffff000); // yellow
		float(_set,TmpFloat1,0xff7722);   // orange
		call(expset1,4,TmpFloat,TmpFloat1); //lift direction
		call(expset2,3,TmpFloat,TmpFloat2); //floor indicator
		if(VKeyObjFrame==0 && VKeyObjTriggered==0 && LiftMsg==1)
		{
			message("Waste Evaluation Sector",120,10);
			float(_set,LiftMsg,0);
		}
		if(VKeyObjFrame==1 && VKeyObjTriggered==0 && LiftMsg==1)
		{
			message("Loading Docks",120,10);
			float(_set,LiftMsg,0);
		}
	}
	// 

	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST15                                                     |	
	//|	                                                                  |
	// 
	if(VSetActive=="wast15")
	{
		CurEnvTriggerSet("WAST15","DOOR1417");
		float(_set,tmpfloat,0xFF0000);
		call(expSet1,1,tmpfloat,0);
		call(expSet2,1,tmpfloat,0);


		if(VarKey119==1)
		{
			CurEnvTriggerSet("WAST15","BRLTRIG");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd);			
			}
			//call(KeyObjActiveSegment,0,17);
		}
	}
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST17                                                     |	
	//|	                                                                  |
	// 
	if(VSetActive=="wast17")
	{
		if(VarKey119==1)
		{
			CurEnvTriggerSet("WAST17","BRLTRIG");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd);			
			}
			//call(KeyObjActiveSegment,0,17);
		}
	}

	// 

}



SubRoutine(BackgroundTriggerChecksScene10)
{

	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST1                                                      |	
	//|	                                                                  |
	// 
	if(VCurSet=="wast1") //Returns the Current Set name and check if the actor is within the set
	{
		call(SetParticleSetID,"wast1");
		CurEnvTrigger("door14"); // fill triggerptr to check its structure
		//If Player is in Trigger
		if(VTrigger==_DIREnvTrigger) // Vtrigger checks informations from the trigger // _DIREnvTrigger checks if character within the trigger // _DIRaction checks if action key has been pressed
		{
			//If controlled by bob
			if(VAICon==0) // checks if it's the player or an AI character (0==player 1==AI Character)
			{
				if(VAIClass==_AIClassWorker)
				{
					//Make the surrounding lights green
					float(_set,tmpfloat,0x00FF00);
					call(expSet1,1,tmpfloat,0);  //call(expSet1,functionality,color,0)
					call(expSet2,1,tmpfloat,0); 
					
					//If he hits the action key
					if(VTrigger==_DIRAction)
					{
						//Open the door
						callsub(DoorOpen,2,1); //see enemies\shared.hxx
					}
				}
				else	//Otherwise he is just bob
				{
					//If he hits action key
					if(VTrigger==_DIRAction)
					{
						//Turn his bitch ass out
						message("Locked.",120,10); //displays a message. Message(String,Displaytime,FontSize)
						vector(_set,Gactorpos,-15509.51,25500,13143.63);
						sample(SFXLockedSound,Gactorpos);
					}
				}
			}
		}
		else
		{
			float(_set,tmpfloat,0xFF0000);
			call(expSet1,1,tmpfloat,0);
			call(expSet2,1,tmpfloat,0);
		}

		//Anyone can get through this door
	    CurEnvTrigger("Door13");
		if (VTrigger==_DIREnvTrigger)
		{
			float(_set,tmpfloat,0xFF0000)  //change acces lights to red
			call(expSet1,1,tmpfloat,0);

			if(VTrigger==_DIRAction && timer3==0)
			{
				message("You are not allo..... ",120,10); //displays a message. Message(String,Displaytime,FontSize)
				vector(_set,gactorpos,-15963.53,25550.47,13571.60);
				float(_rnd2,tmpfloat,48);
				float(_sub,tmpfloat,24);
				vector(_setx,Gactorine,tmpFloat);
				float(_rnd2,tmpfloat,24);
				float(_sub,tmpfloat,48);
				vector(_sety,Gactorine,tmpFloat);
				float(_rnd2,tmpfloat,6);
				float(_sub,tmpfloat,18);
				vector(_setz,Gactorine,tmpFloat);
				vector(_set,Gactorine,0,-8,24);
				spawnparticle(fx_sparks,-1,gactorpos,gactorine,-1);
				sample(SFXSparks,Gactorpos);
				float(_set,timer3,1);
				float(_set,VarKey118,1);
			}
		}
		else
		{
			float(_set,tmpfloat,0xFF0000);
			call(expSet1,1,tmpfloat,0);
		}

		if (timer3>0)
		{
			if (timer3<30)
			{
				float(_add,timer3,1);
			}
			if (timer3==30)
			{
				CurEnvTrigger("Door13");
				call(KeyObjTrigger,1,1); //Triggers the animation of the object : 255 -> End Frame / 1 : direction (1 is forward, -1 is backward)
				direction(_clr,_DIRaction); //clears the action key
				CurEnvTriggerSet("Wast3","Door13");
				call(KeyObjTrigger,1,1); //Triggers the animation of the object : 255 -> End Frame / 1 : direction (1 is forward, -1 is backward)
				sample(sfxdoop1, -1);
				//sample(sfxdomo1, -1);
				sample(SFXLiftGrind, -1)

				float(_set,timer3,31);
			}
			if (VKeyObjFrame==1 && timer3==31 && VKeyObjTriggered==0)
			{
				float(_add,timer3,1);			
				//sample(SFXLiftGrind, -1);
				float(_set,VarKey118,2);
			}
/*			if (timer3>31)
			{
				if (timer3<62)
				{
					float(_add,timer3,1);
				}
				else
				{
					CurEnvTrigger("Door13");
					call(KeyObjTrigger,1,255); //Triggers the animation of the object : 255 -> End Frame / 1 : direction (1 is forward, -1 is backward)
					CurEnvTriggerSet("Wast3","Door13");
					call(KeyObjTrigger,1,255); //Triggers the animation of the object : 255 -> End Frame / 1 : direction (1 is forward, -1 is backward)
				}
			}
			CurEnvTrigger("Door13");
			if (timer3>=62 && VKeyObjTriggered==0)
			{
				float(_set,timer3,0);
				print("Animation over",0);
			}*/
		}
	}


	// 


	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST2                                                      |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast2") // check if ACTOR is in the set
	{
		CurEnvTrigger("Door23");
		if(VTrigger==_DIREnvTrigger)
		{
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);

			if(VTrigger==_DIRAction)
			{
				//if(VKeyObjTriggered==0)
				//{
 					call(KeyObjTrigger,255,1);
					direction(_clr,_DIRaction);
					kfsample(SFXVaultOpen,SFXVaultMove,-1,SFXVaultClose);

					if(VClass==_ClassCop && VTrigger==_DIRhavegun && VTrigger==_DIRcombatmode)
					{
						SpawnAction(CopOpenDoorCombat);
					}
				//}
			}
		}
		else
		{
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);
		}
	}
	// 
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST3                                                      |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast3") // check if ACTOR is in the set
	{		
		CurEnvTrigger("Door23");
		if (VTrigger==_DIREnvTrigger)
		{
			//set lights for door 23 to green
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);

			if(VTrigger==_DIRAction)
			{
				callsub(DoorOpen,2,1); //see enemies\shared.hxx
                                //callsub(DoorOpen,doorsize,waittype) 
			}
		}
		else
		{
			//turn off access lights
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);
		}


		CurEnvTrigger("Door314");
		if (VTrigger==_DIREnvTrigger)
		{
			if(VAICOn==0)
			{
				float(_set,tmpfloat,0xFF0000);
				call(expSet1,1,tmpfloat,0);
			}

			if(VTrigger==_DIRAction)
			{
				if(VAICon==1)
				{
					callsub(DoorOpen,2,1); //see enemies\shared.hxx
										//callsub(DoorOpen,doorsize,waittype)
					float(_set,tmpfloat,0x00FF00);
					call(expSet1,1,tmpfloat,0);  //turn lights green as npc opens door
				}
				else
				{
					//Turn his bitch ass out
					message("Locked.",120,10); //displays a message. Message(String,Displaytime,FontSize)
					vector(_set,Gactorpos,-16037.46,25500,14349.60);
					sample(SFXLockedSound,Gactorpos);

					float(_set,tmpfloat,0xFF0000);  //turn lights red
					call(expSet1,1,tmpfloat,0);
				}
			}
		}

		else
		{
			float(_set,tmpfloat,0xFF0000);
			call(expSet1,1,tmpfloat,0);
		}
	}

	// 

	
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST4                                                      |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast4") // check if ACTOR is in the set
	{
		CurEnvTrigger("Death");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VState!=StateDead)
			{
				if(VAICon==0)
				{
					call(LockCamera,true);
				}
				state(_set,StateDead);
			}
		}

		if(PlatformLevel1==0)
		{
			CurEnvTriggerSet("wast5","TopTrig");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
				float(_set,PlatformLevel1,1);
				debugmessage("Going Up!");
			}
		}

		if(PlatformLevel2==0)
		{
			CurEnvTriggerSet("wast5","BttmTrig");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
				float(_set,PlatformLevel2,1);
				debugmessage("Going Down!!!!");
			}
		}
	}
	// 


	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST5                                                      |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast5") // check if ACTOR is in the set
	{
		CurEnvTrigger("Death");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VState!=StateDead)
			{
				if(VAICon==0)
				{
					call(LockCamera,true);
				}
				state(_set,StateDead);
			}
		}
		
		CurEnvTrigger("TopTrig");
		if(VTrigger==_DIREnvTrigger)
		{
			if(PlatformLevel1==1)
			{
				if(PlatformTimer<30)
				{
					float(_add,PlatformTimer,1);
				}
				elseif(PlatformTimer==30)
				{
					call(KeyObjTrigger,1,1);
					float(_set,PlatformLevel1,0);
					float(_set,PlatformTimer,0);
					debugmessage("Going down!");
				}
			}
		}
		CurEnvTrigger("TopTrig2");
		if(VTrigger==_DIREnvTrigger)
		{
			if(PlatformLevel1==1)
			{
				if(PlatformTimer<30)
				{
					float(_add,PlatformTimer,1);
				}
				elseif(PlatformTimer==30)
				{
					CurEnvTriggeR("TopTrig");
					call(KeyObjTrigger,1,1);
					float(_set,PlatformLevel1,0);
					float(_set,PlatformTimer,0);
					debugmessage("Going down!");
				}
			}
		}
		CurEnvTrigger("TopTrig3");
		if(VTrigger==_DIREnvTrigger)
		{
			if(PlatformLevel1==1)
			{
				if(PlatformTimer<30)
				{
					float(_add,PlatformTimer,1);
				}
				elseif(PlatformTimer==30)
				{
					CurEnvTriggeR("TopTrig");
					call(KeyObjTrigger,1,1);
					float(_set,PlatformLevel1,0);
					float(_set,PlatformTimer,0);
					debugmessage("Going down!");
				}
			}
		}

		CurEnvTrigger("TopTrig4")
		if(PlatformLevel1==0)
		{
			if(VTrigger!=_DIREnvTrigger)
			{
				CurEnvTrigger("TopTrig5")
				if(VTrigger!=_DIREnvTrigger)
				{
					CurEnvTrigger("TopTrig6")
					if(VTrigger!=_DIREnvTrigger)
					{
						CurEnvTrigger("TopTrig");
						if(VKeyObjTriggered==0)
						{
							CurEnvTrigger("TopTrig")
							call(KeyObjTrigger,255,1);
							float(_set,PlatformLevel1,1);
							debugmessage("Going Up!");
						}
					}
				}
			}
		}



		CurEnvTrigger("BtmTrig");
		if(VTrigger==_DIREnvTrigger)
		{
			if(PlatformLevel2==1)
			{
				if(PlatformTimer<30)
				{
					float(_add,PlatformTimer,1);
				}
				elseif(PlatformTimer==30)
				{
					call(KeyObjTrigger,1,1);
					float(_set,PlatformLevel2,0);
					float(_set,PlatformTimer,0);
					debugmessage("Going up!");
				}
			}
		}
		CurEnvTrigger("BtmTrig2");
		if(VTrigger==_DIREnvTrigger)
		{
			if(PlatformLevel2==1)
			{
				if(PlatformTimer<30)
				{
					float(_add,PlatformTimer,1);
				}
				elseif(PlatformTimer==30)
				{
					CurEnvTriggeR("BtmTrig");
					call(KeyObjTrigger,1,1);
					float(_set,PlatformLevel2,0);
					float(_set,PlatformTimer,0);
					debugmessage("Going up!");
				}
			}
		}
		CurEnvTrigger("BtmTrig3");
		if(VTrigger==_DIREnvTrigger)
		{
			if(PlatformLevel2==1)
			{
				if(PlatformTimer<30)
				{
					float(_add,PlatformTimer,1);
				}
				elseif(PlatformTimer==30)
				{
					CurEnvTriggeR("BtmTrig");
					call(KeyObjTrigger,1,1);
					float(_set,PlatformLevel2,0);
					float(_set,PlatformTimer,0);
					debugmessage("Going up!");
				}
			}
		}

		CurEnvTrigger("BtmTrig4")
		if(PlatformLevel2==0)
		{
			if(VTrigger!=_DIREnvTrigger)
			{
				CurEnvTrigger("BtmTrig5")
				if(VTrigger!=_DIREnvTrigger)
				{
					CurEnvTrigger("BtmTrig6")
					if(VTrigger!=_DIREnvTrigger)
					{
						CurEnvTrigger("BtmTrig");
						if(VKeyObjTriggered==0)
						{
							CurEnvTrigger("BtmTrig")
							call(KeyObjTrigger,255,1);
							float(_set,PlatformLevel2,1);
							debugmessage("Going Down!");
						}
					}
				}
			}
		}

		
		/*		CurEnvTrigger("BttmTrig");
		if(VTrigger==_DIREnvTrigger)
		{
			if(PlatformLevel2==1)
			{
				if(PlatformTimer<30)
				{
					float(_add,PlatformTimer,1);
				}
				elseif(PlatformTimer==30)
				{
					call(KeyObjTrigger,1,1);
					float(_set,PlatformLevel2,0);
					float(_set,PlatformTimer,0);
					debugmessage("Going up!!!!!");
				}
			}
		}
		CurEnvTrigger("Mid1Trig")
		if(VTrigger!=_DIREnvTrigger)
		{
			if(PlatformLevel2==0)
			{
				CurEnvTrigger("BttmTrig");
				if(VKeyObjTriggered==0)
				{
					CurEnvTrigger("BttmTrig");
					call(KeyObjTrigger,255,1);
					float(_set,PlatformLevel2,1);
					debugmessage("Going Down!!!!");
				}
			}
		}*/
	}
	// 
	
	
	
	
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST6                                                      |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast6") // check if ACTOR is in the set
	{
		if(PlatformLevel1==0)
		{
			CurEnvTriggerSet("wast5","TopTrig");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
				float(_set,PlatformLevel1,1);
				debugmessage("Going Up!");
			}
		}

		if(PlatformLevel2==0)
		{
			CurEnvTriggerSet("wast5","BttmTrig");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
				float(_set,PlatformLevel2,1);
				debugmessage("Going Down!!!!");
			}
		}
	}	
	// 

	
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST7                                                      |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast7")
	{
		CurEnvTrigger("FldTrig");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VState!=StateDead)
			{
				if(VAICon==0)
				{
					call(LockCamera,true);
				}
				state(_set,StateDead);
			}
		}
	}

	// 



	// 
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST12                                                     |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast12") // check if ACTOR is in the set
	{
		CurEnvTrigger("Door1213");
		if (VTrigger==_DIREnvTrigger && VTrigger==_DIRAction)
		{
			if (VAICon==0 && VAIClass==_AIClassScientist)	//Make sure it's bob
			{
				callsub(DoorOpen,2,1); //see enemies\shared.hxx
			}
			else
			{
				//Turn his bitch ass out
				message("Locked.",120,10); //displays a message. Message(String,Displaytime,FontSize)
				vector(_set,Gactorpos,-15436.38,23869.75,15474.05);
				sample(SFXLockedSound,Gactorpos);
			}
		}

	}

	// 
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST13                                                     |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast13") // check if ACTOR is in the set
	{

		CurEnvTrigger("lift");
		if(VkeyObjTriggered==0)
		{
			CurEnvTrigger("door1213");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("door1315");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			if(CameraPan==0)
			{
				float(_set,CameraPan,1);
			}
		}
		else
		{
			if(CameraPan==1)
			{
				float(_set,CameraPan,0);
			}
			float(_set,LiftMsg,1);
		}

		if(VAICon==0)
		{
			if(CameraPan==1)
			{
				callsub(Sub_SetCameraNormal);
			}
			if(CameraPan==0)
			{
				Camera(elevator_camera_distance,elevator_camera_angle);
				Target(elevator_camera_Tdistance,elevator_camera_Tangle);
			}
		}

		if(VTrigger==_DIRactionhold)
		{
			float(_set,TmpFloat,-1);	//must do this before calling LiftControl!
			CurEnvTrigger("panel1");
			callsub(LiftControl,0,1);
			CurEnvTrigger("panel2");
			callsub(LiftControl,1,1);

			
			if(TmpFloat!=-1)
			{
				CurEnvTrigger("lift");
				if(TmpFloat1==1)
				{
					if(TmpFloat==1)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXElevatorCenter,1);
					}
				}
				else
				{
					if(TmpFloat==0)
					{
						call(ActivateButton,0,TmpFloat,2);
						kfsample(-1,-1,-1,SFXTankGarage,1);
					}
				}
				if(VAICON==0)
				{
					call(ActivateButtonSample,SFXValidFunction);
				}
				float(_set,CameraPan,0);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd,1);
				direction(_clr,_DIRAction);
			}
		}
	}
	// 
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST14                                                     |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast14") // check if ACTOR is in the set
	{
		CurEnvTrigger("Door314");
		if (VTrigger==_DIREnvTrigger)
		{
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);

			if(VTrigger==_DIRAction)
			{
				callsub(DoorOpen,2,1); //see enemies\shared.hxx
                                //callsub(DoorOpen,doorsize,waittype) 
			}
		}
		else
		{
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);
		}

		CurEnvTrigger("Door1415");
		if (VTrigger==_DIREnvTrigger)
		{
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);
			if(VTrigger==_DIRAction)
			{
				callsub(DoorOpen,2,1); //see enemies\shared.hxx
                                //callsub(DoorOpen,doorsize,waittype) 
			}
		}
		else
		{
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat,0);
		}
	}
	// 
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST15                                                     |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast15") // check if ACTOR is in the set
	{
		CurEnvTrigger("Door1317");
		if (VTrigger==_DIREnvTrigger && VTrigger==_DIRAction)
		{
			SetKeyFrame("Wast13","lift",1);
			callsub(DoorOpen,2,1);
		}

		CurEnvTrigger("Door1417");
		if (VTrigger==_DIREnvTrigger && VTrigger==_DIRAction)
		{
			message("Locked",120,10);
		}
	}
	// 
	// ___________________________________________________________________
	//|	                                                                  |
	//| SCENE: WAST17                                                     |	
	//|	                                                                  |
	// 
	elseif(VCurSet=="wast17")
	{
		call(SetParticleSetID,"wast17");
		CurEnvTrigger("TrkTrig");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VState!=StateDead)
			{
				if(VAICon==0)
				{
					call(LockCamera,true);
				}
//				colstate(_or,_Colfire);
				state(_set,StateDead);
			}
		}


		CurEnvTrigger("CopTrig");
		if (VTrigger==_DIREnvTrigger && VAItargetfound==_AIEnemy && VarKey117==0)
		{
			float(_set,VarKey117,1);
		}

		if(VarKey117>0 && VarKey117<30)
		{
			float(_add,VarKey117,1);
		}

		if(VarKey117==30)
		{
			CurEnvTriggerSet("Wast15","Door1417");
			callsub(DoorOpen,2,1);

			vector(_set,Gactorpos,-16000,24723,15185);
			vector(_set,Gactorangle,0,2048,0);
			InitActor(copl,Gactorpos,Gactorangle,"Wast15",TRUE,1);
			InitActor(WeaponPumpGun,Gactorpos,Gactorangle,"Wast17");

			vector(_set,Gactorpos,-16100,24723,15185);
			vector(_set,Gactorangle,0,2048,0);
			InitActor(copl,Gactorpos,Gactorangle,"Wast15",TRUE,1);
			InitActor(WeaponPumpGun,Gactorpos,Gactorangle,"Wast17");

			float(_set,VarKey117,31);
		}

		CurEnvTrigger("CMPTRIG");
		if (VTrigger==_DIREnvTrigger && VTrigger==_DIRAction)
		{
			if(VAICon==0)
			{
				if(VAIClass==_AIClassCop)// && VRank==_RankCommander)
				{
					sample(SFXValidFunction,-1);
					float(_set,VarKey119,2);
				}
				else
				{
					message("Access Denied",120,10);
				}
			}
		}

		if(VarKey119==2)
		{
			CurEnvTrigger("BRLTRIG");
			if(VKeyObjFrame==0)
			{
				SetKeyFrame("Wast17","BRLTRIG",0);
				
				CurEnvTrigger("CMPTRIG");
				call(KeyObjTrigger,1,1);
				vector(_set,Gactorpos,-15697.28,24831.28,17272.21);
				sample(SFXLiftStart,gactorpos,80);
				sample(SFXLiftMove,gactorpos,80);

				float(_set,VarKey119,3);
				float(_set,Timer,80);
			}
		}
		elseif(VarKey119<2)
		{
			CurEnvTrigger("BRLTRIG");
			if(VKeyObjFrame==16 && BarrelTimer==0)
			{
				float(_set,BarrelTimer,1);
			}
			
			if(BarrelTimer>0 && BarrelTimer<200)
			{
				float(_add,BarrelTimer,1);
			}
			elseif(BarrelTimer==200)
			{
				vector(_set,Gactorpos,-15733.75,24828.96,17262.73);
				vector(_set,tmpvector,70,20,100);
				sample(SFXSparks,Gactorpos);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,400);	//spawnlight(name,bone,position,color,radius)
				float(_add,BarrelTimer,1);
			}
			
			if(BarrelTimer>200)
			{
				float(_set,BarrelTimer,0);
			}
		}

		if(VarKey119==3)
		{
			CurEnvTrigger("CMPTRIG");
			if(VKeyObjTriggered==0)
			{
				if(Timer==80)
				{
					vector(_set,Gactorpos,-15697.28,24831.28,17272.21);
					samplestop(SFXLiftMove,gactorpos);
					sample(SFXSmallLiftStop,gactorpos);
					CurEnvTrigger("RearTrig");
					call(SetTriggerObjFlag,0,_or,_SXObjInvisible);
				}
				if(Timer>0)
				{
					float(_sub,Timer,1);
					if(vrnd<50)
					{
						vector(_set,gactorine,0,30,0);
						vector(_set,gactorpos,-15561.42,24540.25,17513);
						spawnparticle(fx_Steam,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
						spawnparticle(fx_SteamPipes,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
						vector(_setx,gactorpos,-14969.10);
						spawnparticle(fx_Steam,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
						spawnparticle(fx_SteamPipes,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
						vector(_set,gactorpos,-15561.42,24540.25,16986.73);
						spawnparticle(fx_Steam,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
						spawnparticle(fx_SteamPipes,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
						vector(_setx,gactorpos,-14969.10);
						spawnparticle(fx_Steam,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)
						spawnparticle(fx_SteamPipes,-1,gactorpos,gactorine,fx_doorsteam);	//spawnparticle(particlename,bone,position,angle,color)

						if(vrnd<25)
						{
							vector(_set,Gactorpos,-15355.17,24527.21,17272.21);
							sample(SFXVent2,GactorPos,100);
						}
					}
				}
				else
				{
					call(KeyObjTrigger,255,1);

					CurEnvTrigger("LIFTTRIG");
					call(KeyObjTrigger,255,1);

					float(_set,tmpfloat,0xFFFF00);
					call(expSet1,1,tmpfloat,0);	//call(expSet1,functionality,color,0)

					vector(_set,Gactorpos,-15355.17,24527.21,17272.21);
					sample(SFXLiftStart,gactorpos,100);
					sample(SFXHangerLift,gactorpos,100);

					float(_set,VarKey119,4);
				}
			}
		}


		if(VarKey119==4)
		{
			CurEnvTrigger("LIFTTRIG")
			if(VKeyObjTriggered==0)
			{
				CurEnvTrigger("CMPTRIG")
				float(_set,tmpfloat,0xFFFFFF);
				call(expSet1,1,tmpfloat,0);	//call(expSet1,functionality,color,0)
				float(_set,tmpfloat,0x333333);
				call(expSet2,1,tmpfloat,0);	//call(expSet1,functionality,color,0)
				float(_set,VarKey119,5);

				vector(_set,Gactorpos,-15355.17,24527.21,17272.21);
				samplestop(SFXHangerLift,gactorpos);
				sample(SFXLiftEnd,gactorpos,100);
			}
		}



		if(VarKey119>=2 && VarKey119<=4)
		{
			CurEnvTrigger("STRIG01");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
	
				vector(_set,tmpvector,255,180,60);
				vector(_set,tmpvector1,0,0,1);
				vector(_set,Gactorpos,-14688.36,25173.00,17251.29);
				SpawnLight(Lplanelight3,-1,Gactorpos,tmpvector,tmpvector1,600);
			}

			CurEnvTrigger("STRIG2");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
	
				vector(_set,tmpvector,255,180,60);
				vector(_set,tmpvector1,1,0,-1);
				vector(_set,Gactorpos,-16857.81,25371.07,17250.89);
				SpawnLight(Lplanelight3,-1,Gactorpos,tmpvector,tmpvector1,600);
			}
		}
	}
	// 
}
