//*************** SEWER LEVEL ************ (PASTE IN SCENE4.HXX)

#define TICKS_SCAN_NOTICE  5    // scanning message
#define TICKS_SCAN_LIGHT_1 50    // green light 1
#define TICKS_SCAN_LIGHT_2 75    // green light 2
#define TICKS_SCAN_LIGHT_3 100   // green light 3   
#define TICKS_SCAN_LIGHT_4 125   // green light 4
#define TICKS_SCAN_DOOR_OPENS 180   // Door opens
#define TICKS_SCAN_DOOR_OPENED 181   // Door opened


SubRoutine(InitSceneSound13)
{
			//ambient sound Fx
			#include	"messiahscripts\stages\scene4sfx.hxx"
}



/**************************** R O U T I N E S ****************************/

SubRoutine(InitScene13)
{
			InitActor(Bob1,0,Gactorangle,"S3_s14")
			#include    "messiahscripts\enemies\c1_sewer_e.spt"
			#include    "messiahscripts\enemies\c1_lab_e.spt"
			#include    "messiahscripts\enemies\c1_factory_e.spt"

			// Reset all the variables
         float(_set,VarKey101,0);
			float(_set,VarKey102,0);
			float(_set,VarKey103,0);
			float(_set,VarKey104,0);
			float(_set,VarKey105,0);
			float(_set,VarKey106,0);
			float(_set,VarKey107,0);
			float(_set,VarKey108,0);
			float(_set,VarKey109,0);
			float(_set,VarKey110,1);
			float(_set,OpenDoor,0);
			float(_set,MissionLevel1,0);
			float(_set,MissionLevel2,0);
			float(_set,MissionLevel3,0);
			float(_set,MissionLevel4,0);
			float(_set,WeaponDelay01,0);
			float(_set,WeaponDelay02,0);
			float(_set,WeaponDelay03,0);
			float(_set,CameraPan,0);
			float(_set,LiftMsg,0);
			float(_set,timer,0);
			float(_set,timer2,0);
			float(_set,timer3,0);
			float(_set,timer4,0);

			callsub(InitSceneSound13);
}

SubRoutine(MainScene13)
{

/////////////////////////
//// SECTOR 3 SCRIPT ////
/////////////////////////

	//////////////////
	//	VSETACTIVE	//
	//////////////////

	if(VSetActive=="s3_s03")
	{
		CurEnvTriggerSet("s3_s03","sdoor2");
		if(varkey103==0)
		{
			float(_set,tmpfloat,0xFF0000);
			call(expSet1,1,tmpfloat);
		}
		else
		{
			float(_set,tmpfloat,0x00FF00);
			call(expSet1,1,tmpfloat);
		}
	}

	if(VSetActive=="s3_s12")
	{
		call(SetParticleSetID,"S3_s12");
		if(VarKey104<2)
		{
			vector(_set,gactorpos,-7460,-880,14573);
			vector(_set,gactorine,-7670,-880,14573);
			callsub(LaserStrip,gactorpos,gactorine,fx_yellow,0);

			vector(_set,gactorpos,-7670,-880,14573);
			spawnparticle(fx_flare,-1,gactorpos,emptyvector,fx_coplaserflarered);
			if(vrnd<20)
			{
				vector(_set,gactorine,0,15,0);
				spawnparticle(fx_fagsmoke,-1,gactorpos,gactorine,-1);
			}

			vector(_set,gactorpos,-7460,-830,14573);
			vector(_set,gactorine,-8075,-830,14573);
			callsub(LaserStrip,gactorpos,gactorine,fx_yellow,0);

			vector(_set,gactorpos,-7460,-780,14573);
			vector(_set,gactorine,-8075,-780,14573);
			callsub(LaserStrip,gactorpos,gactorine,fx_yellow,0);

			vector(_set,gactorpos,-7460,-730,14573);
			vector(_set,gactorine,-8075,-730,14573);
			callsub(LaserStrip,gactorpos,gactorine,fx_yellow,0);

			vector(_set,gactorpos,-7460,-680,14573);
			vector(_set,gactorine,-8075,-680,14573);
			callsub(LaserStrip,gactorpos,gactorine,fx_yellow,0);

			vector(_set,gactorpos,-7460,-630,14573);
			vector(_set,gactorine,-8075,-630,14573);
			callsub(LaserStrip,gactorpos,gactorine,fx_yellow,0);

			vector(_set,gactorpos,-7460,-580,14573);
			vector(_set,gactorine,-8075,-580,14573);
			callsub(LaserStrip,gactorpos,gactorine,fx_yellow,0);
		}

		CurEnvTriggerSet("s3_s12","sdoor1");
		if(VarKey103==0)
		{
			float(_set,TmpFloat,0xff0000);
			call(expset1,1,TmpFloat,0);
		}
		else
		{
			float(_set,TmpFloat,0x00ff00);
			call(expset1,1,TmpFloat,0);
		}

		if(VarKey104==2)
		{
			if(vrnd<15)
			{
				vector(_set,tmpvector,0,0,0);
				float(_rnd2,tmpfloat,48);
				float(_sub,tmpfloat,24);
				vector(_setx,tmpvector,tmpfloat);
				float(_rnd2,tmpfloat,48);
				float(_sub,tmpfloat,24);
				vector(_sety,tmpvector,tmpfloat);
				float(_rnd2,tmpfloat,48);
				float(_sub,tmpfloat,24);
				vector(_setz,tmpvector,tmpfloat);
				vector(_set,Gactorpos,-7468,-777,14373);
				vector(_add,gactorpos,tmpvector);
				SpawnParticle(fx_sparks,-1,Gactorpos,EmptyVector,-1);

				vector(_set,tmpvector,238,177,10);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,100);
			}
		}
	}

	if(VSetActive=="s3_s14")
	{
		CurEnvTriggerSet("s3_s14","door1");
		if(VarKey103==0)
		{
			float(_set,TmpFloat,0xff0000); //set door lights to red
			call(expset1,1,TmpFloat,0);
		}
		else
		{
			float(_set,TmpFloat,0x00ff00);  // set door lights to green
			call(expset1,1,TmpFloat,0);
		}
	}

	if(VSetActive=="s3_s15")
	{
		if(VarKey103==0)
		{
			CurEnvTriggerSet("s3_s15","street09");
			float(_set,TmpFloat,0x020202);
			call(expset1,TmpFloat,10,-1);
			call(expset2,TmpFloat,10,-1);

			CurEnvTriggerSet("s3_s15","street10");
			float(_set,TmpFloat,0x020202);
			call(expset1,TmpFloat,10,-1);
		}
		elseif(VarKey103==3)
		{
			CurEnvTriggerSet("s3_s15","street09");
			float(_set,TmpFloat,0x00ff22);
			call(expset1,TmpFloat,450,-1);
			call(expset2,TmpFloat,450,-1);

			CurEnvTriggerSet("s3_s15","street10");
			float(_set,TmpFloat,0x00ff22);
			call(expset1,TmpFloat,450,-1);

			CurEnvTrigger("street07");
			float(_set,TmpFloat,0xffffff);
			call(expset2,1,TmpFloat,0);

			CurEnvTrigger("street08");
			float(_set,TmpFloat,0xffffff);
			call(expset1,1,TmpFloat,0);
			call(expset2,1,TmpFloat,0);
		}
	}


	///////////////
	//	VCURSET	 //
	///////////////

	if(VCurSet=="s3_s15")
	{
		CurEnvTrigger("computer");
		if(VKeyObjFrame>=3 && VarKey103==1)
		{
			float(_set,timer3,0);
			float(_set,VarKey103,2);	
		}

		if(VarKey103==2)
		{
			float(_add,timer3,1);
			if(timer3==15)
			{
				CurEnvTrigger("street01");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==20)
			{
				CurEnvTrigger("street01");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==30)
			{
				CurEnvTrigger("street02");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==40)
			{
				CurEnvTrigger("street02");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);

			}
			if(timer3==50)
			{
				CurEnvTrigger("street03");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==60)
			{
				CurEnvTrigger("street03");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==70)
			{
				CurEnvTrigger("street04");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==80)
			{
				CurEnvTrigger("street04");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==90)
			{
				CurEnvTrigger("street05");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==100)
			{
				CurEnvTrigger("street05");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==110)
			{
				CurEnvTrigger("street06");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==120)
			{
				CurEnvTrigger("street06");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==130)
			{
				CurEnvTrigger("street07");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3>=140)
			{
				float(_set,VarKey103,3);
				float(_set,timer3,0);
			}
		}
	}
	elseif(VCurSet=="s3_s13")
	{

		CurEnvTrigger("sdoor2");
		if(VKeyObjFrame==1 && timer2==0)
		{
			vector(_set,Gactorpos,-5169,-848,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-848,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,1);
		}
		if(VKeyObjFrame==2 && timer2==1)
		{
			vector(_set,Gactorpos,-5169,-813,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-813,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,2);
		}
		if(VKeyObjFrame==3 && timer2==2)
		{
			vector(_set,Gactorpos,-5169,-765,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-765,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,3);
		}
		if(VKeyObjFrame==4 && VarKey102==3)
		{
			vector(_set,Gactorpos,-5169,-724,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-724,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,4);
		}
		if(VKeyObjFrame==5 && timer2==4)
		{
			vector(_set,Gactorpos,-5169,-691,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-691,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,5);
		}
		if(VKeyObjFrame==6 && timer2==5)
		{
			vector(_set,Gactorpos,-5169,-647,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-647,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,6);
		}
		if(VKeyObjFrame==7 && timer2==6)
		{
			vector(_set,Gactorpos,-5169,-621,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-621,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,7);
		}
		if(VKeyObjFrame==8 && timer2==7)
		{
			vector(_set,Gactorpos,-5169,-584,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-584,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,8);
		}
		if(VKeyObjFrame==9 && timer2==8)
		{
			vector(_set,Gactorpos,-5169,-551,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-551,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,9);
		}
		if(VKeyObjFrame==10 && timer2==9)
		{
			vector(_set,Gactorpos,-5169,-519,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-519,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,10);
		}
		if(VKeyObjFrame==11 && timer2==10)
		{
			vector(_set,Gactorpos,-5169,-493,17398);
			vector(_set,Gactorine,0,0,-2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-493,16797);
			vector(_set,Gactorine,0,0,2);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,VarKey102,11);
		}
		if(VKeyObjFrame==12 && VarKey102==11)
		{
			vector(_set,Gactorpos,-5169,-458,17398);
			vector(_set,Gactorine,0,0,-8);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-458,16797);
			vector(_set,Gactorine,0,0,8);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,12);
		}
		if(VKeyObjFrame==13 && timer2==12)
		{
			vector(_set,Gactorpos,-5169,-428,17398);
			vector(_set,Gactorine,0,0,-8);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-428,16797);
			vector(_set,Gactorine,0,0,8);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,13);
		}
		if(VKeyObjFrame==14 && timer2==13)
		{
			vector(_set,Gactorpos,-5169,-397,17398);
			vector(_set,Gactorine,0,0,-8);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			vector(_set,Gactorpos,-5169,-397,16797);
			vector(_set,Gactorine,0,0,8);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam)
			sample(SFXVent2,gactorpos);
			float(_set,timer2,0);
		}
	}

	//random dripping sounds
	if(VarKey105==3)
	{
		if(RandomSound<0)
		{
			float(_rnd2,RandomSound,20);
			float(_add,RandomSound,20);
			if(vrnd<15)
			{
				sample(SFXdrip1,-1);
			}
			elseif(vrnd<30)
			{
				sample(SFXdrip2,-1);
			}
			elseif(vrnd<45)
			{
				sample(SFXdrip3,-1);
			}
			elseif(vrnd<60)
			{
				sample(SFXdrip4,-1);
			}
			elseif(vrnd<75)
			{
				sample(SFXdrip5,-1);
			}
			else
			{
				sample(SFXdrip6,-1);
			}
		}
		else
		{
			float(_sub,RandomSound,1);
		}
	}
}




SubRoutine(BackgroundTriggerChecksScene13)
{

/////////////////////////
//// SECTOR 3 SCRIPT ////
/////////////////////////

	if(VCurSet=="s3_s01")
	{
		float(_set,VarKey105,3);
	}
	elseif(VCurSet=="s3_s03")
	{
		CurEnvTrigger("sdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICON==0)
			{
				if(varkey103==0)
				{
					message("Door locked from inside",120,10);
					sample(SFXInvalidFunction,Gactorpos);
				}

				else
				{
					callsub(DoorOpen,1,1);
				}
			}
		}
	}
	elseif(VCurSet=="s3_s14")
	{
		CurEnvTrigger("door1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(varkey103==1)
			{
				callsub(DoorOpen,1,1);
			}
			else
			{
				message("It will not open...",210,10);
			}

		}
	}
	if(VCurSet=="s3_s11")
	{
		if(aivisiontoggle==1)
		{
			float(_set,aivisiontoggle,0);
		}
	}
	elseif(VCurSet=="S3_s12")
	{
		if(MissionLevel2==0)				
		{									
			float(_set,aivisiontoggle,1);
		}
		if(VarKey104==1)
		{
			float(_add,timer3,1);
			if(timer3>=70)
			{
				vector(_set,gactorpos,-7670,-880,14573);
				samplestop(SFXBurningFlesh,Gactorpos);
				vector(_set,Gactorpos,-7749,-744,14672);
				samplestop(SFXLaserAmbient,gactorpos);
				sample(SFXPumpPower,Gactorpos);
				vector(_set,Gactorpos,-7482,-779,14375);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				sample(SFXBazookaExplode,Gactorpos);
				float(_set,timer3,0);
				float(_set,VarKey104,2);
			}
		}
		if(VarKey104==3)
		{
			float(_add,timer3,1);
			if(timer3>=70)
			{
				vector(_set,gactorpos,-7670,-880,14573);
				sample(SFXBurningFlesh,Gactorpos);
				vector(_set,Gactorpos,-7749,-744,14672);
				sample(SFXLaserAmbient,gactorpos);
				sample(SFXPumpPowerUp,Gactorpos);
				float(_set,timer3,0);
				float(_set,VarKey104,0);
			}
		}

		if(VAICon==0)
		{

			CurEnvTrigger("sdoor1");
			if(VTrigger==_DIRaction && VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
			{
				if(VClass==_ClassCop)
				{
					if(VarKey103>=1)
					{
						callsub(DoorOpen,1,1);
					}
					else
					{
						message("Door Remotely Closed",120,10);
						sample(SFXAccessDenied,Gactorpos);
					}
				}
				else
				{
					message("Security Personnel Only",120,10);
					sample(SFXAccessDenied,Gactorpos);
				}
			}
		}
	

		CurEnvTrigger("switch");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VTrigger==_DIRaction)
			{
				if(VClass==_ClassCop)
				{
					if(VarKey104==0)
					{
						call(ActivateButton,"Laser Deactivated",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
						float(_set,timer3,0);
						float(_set,VarKey104,1);
					}
					else
					{
						call(ActivateButton,"Laser Malfunction. Overheating Problem.",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
				else
				{
					if(VAICON==0)
					{
						call(ActivateButton,"Security Personnel Only",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
					direction(_clr,_DIRaction);
				}
			}
		}

		CurEnvTrigger("lzrzapn");
		if(Vtrigger==_DirEnvTrigger && VarKey104==0)
		{
			if(Vclass==_ClassAngel && VState==StateCrouching)
			{
				sample(SFXSmallSparks02,-1);
			}
			else
			{
				colstate(_or,_COLelectricity);
			}
		}

		CurEnvTrigger("lzrzapo");
		if(Vtrigger==_DirEnvTrigger && VarKey104==0)
		{
			if(Vclass==_ClassAngel && VState==StateCrouching)
			{
				sample(SFXSmallSparks02,-1);
			}
			else
			{
				colstate(_or,_Colelectricity);
			}
		}

		CurEnvTrigger("laserin");
		if(VTrigger==_DIREnvTrigger && VarKey104==0)
		{
			colstate(_or,_COLelectricity);
		}
		CurEnvTrigger("laserout");
		if(VTrigger==_DIREnvTrigger && VarKey104==0)
		{
			colstate(_or,_COLelectricity);
		}
	}
	elseif(VCurSet=="s3_s13")
	{
		
		if(aivisiontoggle==1)
		{
			float(_set,aivisiontoggle,0);
		}
	
		CurEnvTrigger("sdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
		CurEnvTrigger("sdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			float(_set,VarKey102,0);
			callsub(DoorOpen,1,1);
			direction(_clr,_DIRaction);
		}
	}
	elseif(VCurSet=="s3_s15")
	{
		if(VAICon==0)
		{
			CurEnvTrigger("what");
			if(VTrigger==_DIREnvTrigger)
			{
				float(_set,AIVisionToggle,0);
			}

			CurEnvTrigger("computer");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction);
			{
				if(VClass!=_ClassAngel)
				{
					if(VarKey103==0)
					{
						call(ActivateButton,"Outskirts Power restored. Level Complete",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
						call(KeyObjTrigger,8,1,-1);
						call(KeyObjActiveSegment,4,8);
						sample(SFXPowerRestored,emptyvector);
						float(_set,AIVisionToggle,0);
						float(_set,VarKey103,1);
					}
					else
					{
						call(ActivateButton,"Power Already Restored",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
					}
				}
				else
				{
					call(ActivateButton,"strange ....nothing happened!",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
			CurEnvTrigger("memo");
			if(VTrigger==_DIREnvTrigger && VAIcon==0 && MissionLevel2==0)
			{
				float(_set,MissionLevel2,1);
			}
		}

		CurEnvTrigger("check");
		if(VTrigger==_DIREnvTrigger && VAICon!=0 && MissionLevel2==1)
		{
			call(PlayerInput,0);
			CutScene("choteat");
			float(_set,MissionLevel2,2);
		}

		if(MissionLevel2==2 && VCutSceneFrameEqual==125)
		{
			if(VAIClass==_AIClassChot)
			{
				sample(SFXChotGrunt,-1);
				float(_set,MissionLevel2,3);
			}
		}
		if(MissionLevel2==3 && VCutSceneFrameEqual==230)
		{
			if(VAIClass==_AIClassChot && Vaction==ChotEatCop)
			{
				spawnaction(ChotStandUpFromEat);
				vector(_set,gactorpos,8152,888,13307);
				samplestop(SFXChotEatFlesh,Gactorpos);
				float(_set,MissionLevel2,4);
			}
		}
		if(MissionLevel2==4 && VCutSceneFrameEqual==325)
		{
			call(PlayerInput,1);
			float(_set,MissionLevel2,5);
			float(_set,timer3,0);
		}
		if(MissionLevel2==5)
		{
			float(_add,timer3,1);
			if(timer3>=50)
			{
				float(_set,aivisiontoggle,0);
				float(_set,MissionLevel2,6);
				float(_set,timer3,0);
			}
		}
	}
	elseif(VCurSet=="s3_s17")
	{
		CurEnvTrigger("slamdoor");
		if(VTrigger==_DIREnvTrigger && VAICon==0)
		{
			if(VarKey110&=1)
			{
				CurEnvTrigger("opendoor");
				if(VKeyObjFrame!=1)
				{
					call(KeyObjTrigger,1,1);
					sample(SFXRustDoorClose,Gactorpos);
				}
			}
		}
		CurEnvTrigger("opendoor");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VarKey110&=1)
			{
				message("Door Locked",120,10);
				sample(SFXAccessDenied,Gactorpos);
			}
			else
			{
				if(VKeyObjFrame==1)
				{
					call(KeyObjTrigger,2,1);
				}
			}
		}
		if(VAICon==0 && VarKey110&=1)
		{
			if(VCutScene==0)
			{
				if(VarKey110&=2)
				{
					float(_and,VarKey110,0xfffffc);
					call(PlayerInput,1);				//player input on
//					float(_set,aivisiontoggle,0);		//ai vision off
//					float(_set,aitoggle,0);				//ai off
				}
				else
				{
					CurEnvTrigger("SEQTRIG");
					if(VTrigger==_DIREnvTrigger)
					{
						CutScene("chotbeh");
						call(PlayerInput,0);				//player input off
//						float(_set,aivisiontoggle,1);		//ai vision off
//						float(_set,aitoggle,1);				//ai off
						float(_or,VarKey110,2);
					}
				}
			}
		}
	}
	elseif(VCurSet=="s3_s18")
	{
		if(VAICon!=0)
		{
			if(VarKey110&=1)
			{
				Direction(_and,0);
				ActorFlag(_or,_AFLAGnoai);
			}
			else
			{
				ActorFlag(_clr,_AFLAGnoai);
			}

			if(VCutScene!=0)
			{
				if(VAIClass==_AIclasschot)
				{
					if(VRank==_RankGeneral)
					{
						if(VCutSceneFrame>30)
						{
							Direction(_or,_DIRshoot);
						}
					}
					elseif(VCutSceneFrame>10 && VAction!=CopDance)
					{
						SpawnAction(CopDance);
					}
				}

			}
		}
	}
}
