//factory script

//CameraPan	- Not Used
//VarKey31	-	Laserwall in fact_19 (bridge up/down)
//VarKey32	-  100 Doors in factory opened (Fact_1)
//VarKey33	-	weapon construction camera handler in Fact_17
//VarKey34	-	weapon construction sound handler in Fact_17
//VarKey35		beserker cannon in fact_20
//VarKey36	- Block doors in Factory (before activation of weapon)
//VarKey37	- Whether or not fact_2 is active

SubRoutine(InitSceneSound7)
{
		#include	"messiahscripts\stages\scene7sfx.hxx"
}

SubRoutine(InitScene7)
{
		InitActor(Bob1,0,Gactorangle,"fact_7");

		#include	"messiahscripts\enemies\c2_factory.spt"
		#include	"messiahscripts\enemies\c2_factlow.spt"
		#include	"messiahscripts\enemies\c2_pistons.spt"

		// Reset all the variables
		float(_set,VarKey31,0);
		float(_set,VarKey32,0);
		float(_set,VarKey33,0);
		float(_set,VarKey34,0);
		float(_set,VarKey35,0);
		float(_set,VarKey36,1);
		float(_set,VarKey37,0);
		float(_set,VarKey38,60);	//For helicopter location  (0-100)
		float(_set,VarKey39,1);	//For helicopter direction (-1,0,1)
		float(_set,VarKey40,0);
		float(_set,timer,0);
		float(_set,timer2,0);
		float(_set,timer3,0);
		float(_set,CameraPan,0);

		float(_set,FurnaceTimer1,0);
		float(_set,FurnaceTimer2,0);
		float(_set,FurnaceTimer3,0);
		float(_set,FurnaceTimer4,0);

		float(_set,WepConstructionTimer,0);
		float(_set,GunTurretKey,0);
		float(_set,MaserKey,1);		
		callsub(InitSceneSound7);
}




SubRoutine(MainScene7)
{
	if(GunTurretKey>=3 && GunTurretKey<300)
	{
		float(_add,GunTurretKey,1);
	}

	
	//MOVEMENT CODE FOR HELICOPTER
	if(VSetActive=="Fact_23")
	{
		if(VarKey39==0)
		{
			float(_rnd2,tmpfloat,200);
			float(_round,tmpfloat);
			if(tmpfloat==1)
			{
				float(_set,VarKey39,1);
				float(_set,VarKey38,0);
				if(VSetActive=="fact_23")
				{
					CurEnvTriggerSet("fact_23","FlyByTrg");
					setkeyframe("fact_23","FlyByTrg",0);
					call(KeyObjTrigger,255,1);
					kfsample(-1,SFXHeli,-1,-1,1);
				}
				
			}
			elseif(tmpfloat==2)
			{
				float(_set,VarKey39,-1);
				float(_set,VarKey38,60);
				if(VSetActive=="fact_23")
				{
					CurEnvTriggerSet("fact_23","FlyByTrg");
					setkeyframe("fact_23","FlyByTrg",6);
					call(KeyObjTrigger,0,-1);
					kfsample(-1,SFXHeli,-1,-1,1);
				}
			}
		}
		elseif(VarKey39==1)
		{
			float(_set,tmpfloat,1);
			float(_div,tmpfloat,4);
			float(_add,VarKey38,tmpfloat);
			if(VarKey38>60)
			{
				float(_set,VarKey39,0);
				float(_set,VarKey38,0);
				float(_set,tmpfloat,0x000000);
				CurEnvTriggerSet("fact_23","Heli1");
				call(ExpSet1,1,tmpfloat,0);
				CurEnvTriggerSet("fact_23","Heli2");
				call(ExpSet1,1,tmpfloat,0);
				call(ExpSet2,1,tmpfloat,0);
				CurEnvTriggerSet("fact_23","Heli3");
				call(ExpSet1,1,tmpfloat,0);
				call(ExpSet2,1,tmpfloat,0);
			}
		}
		else
		{
			float(_set,tmpfloat,1);
			float(_div,tmpfloat,4);
			float(_sub,VarKey38,tmpfloat);
			if(VarKey38<0)
			{
				float(_set,VarKey39,0);
				float(_set,VarKey38,0);
				float(_set,tmpfloat,0x000000);
				CurEnvTriggerSet("fact_23","Heli1");
				call(ExpSet1,1,tmpfloat,0);
				CurEnvTriggerSet("fact_23","Heli2");
				call(ExpSet1,1,tmpfloat,0);
				call(ExpSet2,1,tmpfloat,0);
				CurEnvTriggerSet("fact_23","Heli3");
				call(ExpSet1,1,tmpfloat,0);
				call(ExpSet2,1,tmpfloat,0);
			}
		}
	}
	//----------------------------------------------------------------

	if(VSetActive=="fact_1")
	{
		if(varkey32!=100)
		{
			float(_set,tmpfloat,0xFF0000);
			CurEnvTriggerSet("fact_1","trigdoor1");		
			call(expSet1,1,tmpfloat,0);

			CurEnvTriggerSet("fact_1","trigdoor2");
			call(expSet1,1,tmpfloat,0);
		}
		elseif(varkey32==100)
		{
			float(_set,tmpfloat,0x00FF00);
			CurEnvTriggerSet("fact_1","trigdoor1");
			call(expSet1,1,tmpfloat,0);

			CurEnvTriggerSet("fact_1","trigdoor2");
			call(expSet1,1,tmpfloat,0);
		}
	}
	//----------------------------------------------------------------

	if(VSetActive=="fact_2")
	{
		if(VarKey37==0)
		{
			//Fact_2 has just been activated
			float(_set,VarKey37,1);
			vector(_set,gactorpos,-10783,24800,19360);
			sample(SFXFlamesBurning,gactorpos);
		}
		else
		{
		}
	}
	else
	{
		if(VarKey37==0)
		{
		}
		else
		{
			//Fact_2 has just been de-activated
			float(_set,VarKey37,0);
		}
	}

	
	if(VSetActive=="fact_2")
	{
		call(SetParticleSetID,"fact_2");
		float(_add,FurnaceTimer4,1)
		if(FurnaceTimer4>2)
		{
			float(_set,FurnaceTimer4,1);
		}

		//vector(_set,Gactorpos,-10722.80,25000,19377.80);
		//vector(_set,Gactorine,0,10,0);
		//SpawnParticle(fx_mainexplosion,-1,Gactorpos,Gactorine,-1);
		if(FurnaceTimer4==1)
		{
			vector(_set,Gactorpos,-10800,25000,19450);
			vector(_set,Gactorine,0,10,0);
			SpawnParticle(fx_mainexplosion,-1,Gactorpos,Gactorine,-1);
		}
		elseif(FurnaceTimer4==2)
		{	
			vector(_set,Gactorpos,-10800,25000,19150);
			vector(_set,Gactorine,0,10,0);
			spawnParticle(fx_mainexplosion,-1,Gactorpos,Gactorine,-1);
		}


		if (FurnaceTimer1<24900 && FurnaceTimer1!=0)
		{
			float(_set,FurnaceTimer1,0);
		}
		
		if(FurnaceTimer1==0)
		{
			if(vrnd==1 || vrnd==4)
			{
				float(_set,FurnaceTimer1,24900);
				vector(_set,Gactorpos,-10783,24800,19499.59);
				vector(_set,Gactorine,0,10,0);
				sample(SFXBazookaExplode,gactorpos);
			}
		}

		else
		{
			if(FurnaceTimer1<=25300)
			{
				float(_add,FurnaceTimer1,50);
				vector(_setx,gactorpos,-10783);
				vector(_sety,gactorpos,FurnaceTimer1);
				vector(_setz,gactorpos,19499.59);

				vector(_set,Gactorine,0,10,0);
				SpawnParticle(fx_mainexplosion2,-1,Gactorpos,Gactorine,-1);

				vector(_set,tmpvector,230,85,15);
				spawnlight(fire_light2,-1,Gactorpos,tmpvector,EmptyVector,600);	//spawnlight(name,bone,position,color,radius)
			}
			else
			{
				float(_set,FurnaceTimer1,0);
			}
		}


		
		if (FurnaceTimer2<24900 && FurnaceTimer2!=0)
		{
			float(_set,FurnaceTimer2,0);
		}
		
		if(FurnaceTimer2==0)
		{
			if(vrnd==2 || vrnd==5)
			{
				float(_set,FurnaceTimer2,24900);
				vector(_set,Gactorpos,-10783,24800,19360);
				vector(_set,Gactorine,0,10,0);
				sample(SFXBazookaExplode,gactorpos);
			}
		}
		else
		{
			if(FurnaceTimer2<=25300)
			{
				float(_add,FurnaceTimer2,50);
				vector(_setx,gactorpos,-10783);
				vector(_sety,gactorpos,FurnaceTimer2);
				vector(_setz,gactorpos,19360);

				vector(_set,Gactorine,0,10,0);
				SpawnParticle(fx_mainexplosion2,-1,Gactorpos,Gactorine,-1);

				vector(_set,tmpvector,230,85,15);
				spawnlight(fire_light2,-1,Gactorpos,tmpvector,EmptyVector,600);	//spawnlight(name,bone,position,color,radius)
			}
			else
			{
				float(_set,FurnaceTimer2,0);
			}
		}

		if (FurnaceTimer3<24900 && FurnaceTimer3!=0)
		{
			float(_set,FurnaceTimer3,0);
		}
		
		if(FurnaceTimer3==0)
		{
			if(vrnd==3 || vrnd==6)
			{
				float(_set,FurnaceTimer3,24900);
				vector(_set,Gactorpos,-10783.40,24800,19156.50);
				vector(_set,Gactorine,0,10,0);
				sample(SFXBazookaExplode,gactorpos);
			}
		}
		else
		{
			if(FurnaceTimer3<=25300)
			{
				float(_add,FurnaceTimer3,50);
				vector(_setx,gactorpos,-10783.40);
				vector(_sety,gactorpos,FurnaceTimer3);
				vector(_setz,gactorpos,19156.50);

				vector(_set,Gactorine,0,10,0);
				SpawnParticle(fx_mainexplosion2,-1,Gactorpos,Gactorine,-1);

				vector(_set,tmpvector,230,85,15);
				spawnlight(fire_light2,-1,Gactorpos,tmpvector,EmptyVector,600);	//spawnlight(name,bone,position,color,radius)
			}
			else
			{
				float(_set,FurnaceTimer3,0);
			}
		}
	}
	//----------------------------------------------------------------

	if(VSetActive=="fact_3")
	{
		float(_set,tmpfloat,0x00FF00);
		CurEnvTriggerSet("fact_3","trigdoor1");  // door from fact_1
		call(expSet1,1,tmpfloat,0);

		float(_set,tmpfloat,0xFF0000);
		CurEnvTriggerSet("fact_3","trigdoor2");  // level exit
		call(expSet1,1,tmpfloat,0);

		if(varkey36==0)
		{
			float(_set,tmpfloat,0xFF0000);
			CurEnvTriggerSet("fact_3","trigdoor3");  // elevator door
			call(expSet1,1,tmpfloat,0);
		}
		elseif(varkey36==1)
		{
			float(_set,tmpfloat,0x00FF00);
			CurEnvTriggerSet("fact_3","trigdoor3");
			call(expSet1,1,tmpfloat,0);
		}
	}
	//----------------------------------------------------------------

	if(VSetActive=="fact_4")
	{
		float(_set,tmpfloat,0x00FF00);
		CurEnvTriggerSet("fact_4","doortrig1");
		call(expSet1,1,tmpfloat,0);

		CurEnvTriggerSet("fact_4","doortrig2");
		call(expSet1,1,tmpfloat,0);

		CurEnvTriggerSet("fact_4","doortrig3");
		call(expSet1,1,tmpfloat,0);
	}
	//----------------------------------------------------------------


	//thingy Tony crap test
	if(vkey==key_v && VarKey2==0 && VCurSet=="fact_23")
	{
		float(_set,VarKey2,60);
	}

	vector(_set,tmpvector,-100,-100,-100);
	if(VarKey2==50)
	{
		vector(_set,gactorpos,-8560,24800,16700);
		SpawnLight(dark_light600,-1,gactorpos,tmpvector,EmptyVector,600);
		sample(SFXLightsOn,gactorpos);
	}
	if(VarKey2==40)
	{
		vector(_set,gactorpos,-9160,24800,16700);
		SpawnLight(dark_light600,-1,gactorpos,tmpvector,EmptyVector,600);
		sample(SFXLightsOn,gactorpos);
	}
	if(VarKey2==30)
	{
		vector(_set,gactorpos,-9760,24800,16700);
		SpawnLight(dark_light600,-1,gactorpos,tmpvector,EmptyVector,600);
		sample(SFXLightsOn,gactorpos);
	}
	if(VarKey2==20)
	{
		vector(_set,gactorpos,-10360,24800,16700);
		SpawnLight(dark_light600,-1,gactorpos,tmpvector,EmptyVector,600);
		sample(SFXLightsOn,gactorpos);
	}
	if(VarKey2==10)
	{
		vector(_set,gactorpos,-10960,24800,16700);
		SpawnLight(dark_light600,-1,gactorpos,tmpvector,EmptyVector,600);
		sample(SFXLightsOn,gactorpos);
	}

	if(VarKey2!=0)
	{
		float(_sub,VarKey2,1);
	}
	//----------------------------------------------------------------


	if(VKey==KEY_C)
	{
		CutScene("Camera01");
	}
	//----------------------------------------------------------------

	if(Vsetactive=="fact_5")
	{
		CurEnvTriggerSet("FACT_5","FACT5DOOR");
		float(_set,tmpfloat,0x00FF00);     //set lights to green
		call(expSet1,1,tmpfloat,0);

	}
	//----------------------------------------------------------------

	if(VSetActive=="fact_6")
	{
		CurEnvTriggerSet("FACT_6","TRIGDOOR1");
		float(_set,tmpfloat,0x00FF00);  //set lights to green
		call(expSet1,1,tmpfloat,0);

		CurEnvTriggerSet("FACT_6","TRIGDOOR2");
		float(_set,tmpfloat,0x00FF00);  //set lights to green
		call(expSet1,1,tmpfloat,0);
	}
	//----------------------------------------------------------------

	if(VSetActive=="FACT_7")
	{
		CurEnvTriggerSet("FACT_7","ENTRANCE");
		float(_set,tmpfloat,0xFF0000);     //set lights to red
		call(expSet1,1,tmpfloat,0);

	}
	//----------------------------------------------------------------

	if(VSetActive=="FACT_8")
	{
		CurEnvTriggerSet("FACT_8","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);  //sets lights to green
		call(expSet1,1,TmpFloat,0);

		CurEnvTriggerSet("FACT_8","TRIGDOOR2");
		float(_set,TmpFloat,0x00FF00);  //sets lights to green
		call(expSet1,1,TmpFloat,0);
	}
	//----------------------------------------------------------------


	if(VSetActive=="fact_9")
	{
		CurEnvTriggerSet("FACT_9","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);     //set lights to green
		call(expSet1,1,TmpFloat,0);
	}
	//----------------------------------------------------------------

	if(VSetActive=="FACT_10")
	{
		CurEnvTriggerSet("FACT_10","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);     //set access lights to green
		call(expSet1,1,TmpFloat,0);

		CurEnVTriggerSet("FACT_10","TRIGDOOR2");
		float(_set,TmpFloat,0x00FF00);     //set access lights to green
		call(expSet1,1,TmpFloat,0);

	}
	//----------------------------------------------------------------


	if(VSetActive=="FACT_11")
	{
		CurEnvTriggerSet("FACT_11","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);     //set access lights to green
		call(expSet1,1,TmpFloat,0);

		CurEnvTriggerSet("FACT_11","TRIGDOOR2");
		float(_set,TmpFloat,0x00FF00);     //set access lights to green
		call(expSet1,1,TmpFloat,0);

	}
	//----------------------------------------------------------------

	if(VSetActive=="FACT_14")
	{
		CurEnvTriggerSet("FACT_14","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);     //set access lights to green
		call(expSet1,1,TmpFloat,0);

	}
	//----------------------------------------------------------------

	if(VCurSet=="fact_16")
	{
		CurEnvTriggerSet("FACT_16","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);
		call(expSet1,1,TmpFloat,0);
	}
	//----------------------------------------------------------------

	if(VSetActive=="FACT_17")
	{
		CurEnvTriggerSet("FACT_17","F17F21");
		float(_set,TmpFloat,0x00FF00);
		call(expSet1,1,TmpFloat,0);

		if(varkey36==0)
		{
			CurEnvTriggerSet("FACT_17","TRIGDOOR1");
			float(_set,TmpFloat,0xFF0000);
			call(expSet1,1,TmpFloat,0);
		}
		elseif(varkey36==1)
		{
			CurEnvTriggerSet("FACT_17","TRIGDOOR1");
			float(_set,TmpFloat,0x00FF00);
			call(expSet1,1,TmpFloat,0);
		}

		if(VarKey33==5)
		{
			if(WepConstructionTimer!=0)
			{
				float(_set,tmpfloat,WepConstructionTimer);
				float(_add,tmpfloat,120);
				vector(_set,gactorpos,-8540,24528.76,18149.13);
				vector(_set,tmpvector,200,250,180);
				SpawnLight(fire_light4,-1,gactorpos,tmpvector,EmptyVector,tmpfloat);
	
				float(_add,WepConstructionTimer,1);
				if(WepConstructionTimer==90)
				{
					//CurEnvTriggerSet("fact_17","GoDown");
					//Call(KeyObjTrigger,255,1);
				}
				elseif(WepConstructionTimer==180)
				{
					float(_set,WepConstructionTimer,0);
				}
				call(SetParticleSetID,"s1r3");
				vector(_set,gactorpos,-8540,24528.76,18149.13);
				float(_rnd2,tmpfloat,80);
				float(_sub,tmpfloat,40);
				vector(_addx,gactorpos,tmpfloat);
				vector(_set,gactorine,0,0,0);
				float(_rnd2,tmpfloat,30);
				float(_sub,tmpfloat,30);
				vector(_sety,gactorine,tmpfloat);
				spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
			}
			else
			{
				vector(_set,gactorpos,-8540,24528.76,18149.13);
				vector(_set,tmpvector,200,250,180);
				SpawnLight(fire_light4,-1,gactorpos,tmpvector,EmptyVector,300);
			}
		}
	}

	if(VSetActive=="FACT_19")
	{
		CurEnvTriggerSet("FACT_19","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);     //set access lights to green
		call(expSet1,1,TmpFloat,0);

		CurEnVTriggerSet("FACT_19","TRIGDOOR2");
		float(_set,TmpFloat,0x00FF00);     //set access lights to green
		call(expSet1,1,TmpFloat,0);

	}
	//----------------------------------------------------------------


	if(VSetActive=="FACT_20")
	{
		CurEnvTriggerSet("FACT_20","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);     //set lights to green
		call(expSet1,1,TmpFloat,0);
	}
	//----------------------------------------------------------------


	if(VSetActive=="FACT_20")
	{
		if(GunTurretKey==301)
		{
			vector(_set,gactorpos,-7787,25632,19686);
			vector(_set,tmpvector,150,150,150);
			SpawnLight(dark_light600,-1,gactorpos,tmpvector,EmptyVector,300);
			vector(_set,tmpvector,255,0,0);
			vector(_set,tmpvector1,0,0,1);
			SpawnLight(Lplanelight2,-1,Gactorpos,tmpvector,tmpvector1,1000);
			vector(_set,gactorpos,-7781.88,25600,19750);
			sample(SFXMechanicalFailure,Gactorpos);
			float(_add,GunTurretKey,1);
		}
	}
	//----------------------------------------------------------------

	if(VSetActive=="FACT_21")
	{	
		CurEnvTriggerSet("FACT_21","TRIGDOOR2");
		float(_set,TmpFloat,0x00FF00);
		call(expSet1,1,TmpFloat,0);			

	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_3" || VCurSet=="fact_9")
	{
		if(RandomSound<0)
		{
			float(_rnd2,RandomSound,200);
			float(_add,RandomSound,200);
		}
		else
		{
			float(_sub,RandomSound,1);
		}


		if(RandomSound<60)
		{
			if(vrnd<50)
			{
				vector(_set,Gactorpos,-9790,20200,18782);
				sample(SFXThunder1,gactorpos);
			}
			else
			{
				vector(_set,Gactorpos,-9647,20200,19444);
				sample(SFXThunder2,gactorpos);
			}

			vector(_set,tmpvector,128,128,255);
			if(vrnd<10)
			{
				vector(_set,Gactorpos,-10265,20300,17961);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			//}
			//elseif(vrnd<24)
			//{
				vector(_set,Gactorpos,-9595,20300,17917);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			//}
			//elseif(vrnd<36)
			//{
				vector(_set,Gactorpos,-9790,20200,18782);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			//}
			//elseif(vrnd<48)
			//{
				vector(_set,Gactorpos,-10170,20180,19431);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			//}
			//elseif(vrnd<60)
			//{
				vector(_set,Gactorpos,-9647,202600,19444);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			//}
			//elseif(vrnd<72)
			//{
				vector(_set,Gactorpos,-10252,20300,20264);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			//}
			//elseif(vrnd<84)
			//{
				vector(_set,Gactorpos,-9228,20300,20352);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			//}
			//else
			//{
				vector(_set,Gactorpos,-8950,20300,19900);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			}
		}
	}
	//----------------------------------------------------------------

	if(VSetActive=="FACT_23")
	{
		CurEnvTriggerSet("FACT_23","TRIGDOOR1");
		float(_set,TmpFloat,0x00FF00);
		call(expSet1,1,TmpFloat,0);
		
		if(varkey36==0)
		{
			float(_set,tmpfloat,0xFF0000);
			CurEnvTriggerSet("fact_23","trigdoor2");
			call(expSet1,1,tmpfloat,0);

			CurEnvTriggerSet("FACT_23","TRIGDOOR3");
			call(expSet1,1,TmpFloat,0);
		}
		elseif(varkey36==1)
		{
			float(_set,TmpFloat,0x00FF00);
			CurEnvTriggerSet("FACT_23","TRIGDOOR2");
			call(expSet1,1,TmpFloat,0);

			CurEnvTriggerSet("FACT_23","TRIGDOOR3");
			call(expSet1,1,TmpFloat,0);
		}

		if(RandomSound<0)
		{
			float(_rnd2,RandomSound,200);
			float(_add,RandomSound,200);
		}
		else
		{
			float(_sub,RandomSound,1);
		}

		if(RandomSound<60)
		{
			vector(_set,tmpvector,128,128,255);

			if(vrnd<20)
			{
				vector(_set,Gactorpos,-10935,24949.85,16399.76);
				sample(SFXThunder1,gactorpos);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			}
			elseif(vrnd<40 && vrnd>=20)
			{
				vector(_set,Gactorpos,-10335,24949.85,16399.76);
				sample(SFXThunder2,gactorpos);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			}
			elseif(vrnd<60 && vrnd>=40)
			{
				vector(_set,Gactorpos,-9735,24949.85,16399.76);
				sample(SFXThunder1,gactorpos);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			}
			elseif(vrnd<80 && vrnd>=60)
			{
				vector(_set,Gactorpos,-9135,24949.85,16399.76);
				sample(SFXThunder1,gactorpos);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			}
			else
			{
				vector(_set,Gactorpos,-8535,24949.85,16399.76);
				sample(SFXThunder1,gactorpos);
				SpawnLight(fire_light3,-1,gactorpos,tmpvector,EmptyVector,500);
			}
		}

		 
		//Helicopter Lights code
		if(varKey38>0)
		{
//			vector(_set,Gactorpos,-8535,24949.85,16399.76);
			vector(_set,Gactorpos,-11242.79,25026.95,16352.69);
			float(_set,tmpfloat,varkey38);
			float(_div,tmpfloat,60);
			float(_mul,tmpfloat,3000);
			float(_add,tmpfloat,-11242.79);
			vector(_setx,Gactorpos,tmpfloat);
		
			vector(_set,tmpvector,255,255,255);
			spawnlight(LomnilightHelicopter,-1,Gactorpos,tmpvector,EmptyVector,400);

			
			if(VarKey38==10)
			{
				debugmessage("Stop 1");
				setkeyframe("Fact_23","FlyByTrg",1);
				CurEnvTriggerSet("Fact_23","FlyByTrg");
				if(VarKey39==1)
				{
					call(KeyObjTrigger,255,1);
				}
				elseif(VarKey39==-1)
				{
					call(KeyObjTrigger,0,-1);
				}
			}
			elseif(VarKey38==20)
			{
				debugmessage("Stop 2");
				setkeyframe("Fact_23","FlyByTrg",2);
				CurEnvTriggerSet("Fact_23","FlyByTrg");
				if(VarKey39==1)
				{
					call(KeyObjTrigger,255,1);
				}
				elseif(VarKey39==-1)
				{
					call(KeyObjTrigger,0,-1);
				}
			}
			elseif(VarKey38==30)
			{
				debugmessage("Stop 3");
				setkeyframe("Fact_23","FlyByTrg",3);
				CurEnvTriggerSet("Fact_23","FlyByTrg");
				if(VarKey39==1)
				{
					call(KeyObjTrigger,255,1);
				}
				elseif(VarKey39==-1)
				{
					call(KeyObjTrigger,0,-1);
				}
			}
			elseif(VarKey38==40)
			{
				debugmessage("Stop 4");
				setkeyframe("Fact_23","FlyByTrg",4);
				CurEnvTriggerSet("Fact_23","FlyByTrg");
				if(VarKey39==1)
				{
					call(KeyObjTrigger,255,1);
				}
				elseif(VarKey39==-1)
				{
					call(KeyObjTrigger,0,-1);
				}
			}
			elseif(VarKey38==50)
			{
				debugmessage("Stop 5");
				setkeyframe("Fact_23","FlyByTrg",5);
				CurEnvTriggerSet("Fact_23","FlyByTrg");
				if(VarKey39==1)
				{
					call(KeyObjTrigger,255,1);
				}
				elseif(VarKey39==-1)
				{
					call(KeyObjTrigger,0,-1);
				}
			}

			
			if(VarKey38<20)
			{
				//Window 3
				float(_set,tmpfloat,VarKey38);
				float(_sub,tmpfloat,10);
				float(_div,tmpfloat,10);
				if(tmpfloat>0)
				{
					CurEnvTriggerSet("fact_23","Heli2");
					float(_set,tmpfloat4,tmpfloat);
					float(_mul,tmpfloat,256);//0x000100);
					float(_round,tmpfloat);
					float(_set,tmpfloat2,tmpfloat);
					float(_set,tmpfloat3,tmpfloat);
					float(_mul,tmpfloat2,256);//0x100);
					float(_mul,tmpfloat3,65536);//0x10000);
					float(_add,tmpfloat,tmpfloat2);
					float(_add,tmpfloat,tmpfloat3);
					if(tmpfloat<16777216)
					{
						call(ExpSet2,1,tmpfloat,0);

						CurEnvTriggerSet("fact_23","Heli1");
						float(_set,tmpfloat2,16777216);
						float(_sub,tmpfloat2,tmpfloat);
						call(ExpSet1,1,tmpfloat2,0);
					}
				}
				elseif(tmpfloat<0)
				{
					CurEnvTriggerSet("fact_23","Heli1");
					float(_mul,tmpfloat,-1);
					float(_mul,tmpfloat,256);//0x000100);
					float(_round,tmpfloat);
					float(_set,tmpfloat2,tmpfloat);
					float(_set,tmpfloat3,tmpfloat);
					float(_mul,tmpfloat2,256);//0x100);
					float(_mul,tmpfloat3,65536);//0x10000);
					float(_add,tmpfloat,tmpfloat2);
					float(_add,tmpfloat,tmpfloat3);
					if(tmpfloat<16777216)
					{
						float(_set,tmpfloat2,16777216);
						float(_sub,tmpfloat2,tmpfloat);
						call(ExpSet1,1,tmpfloat2,0);
					}
				}
			}
			elseif(VarKey38<40)
			{
				//Window 4
				float(_set,tmpfloat,VarKey38);
				float(_sub,tmpfloat,30);
				float(_div,tmpfloat,10);
				if(tmpfloat>0)
				{
					CurEnvTriggerSet("fact_23","Heli3");
					float(_set,tmpfloat4,tmpfloat);
					float(_mul,tmpfloat,256);//0x000100);
					float(_round,tmpfloat);
					float(_set,tmpfloat2,tmpfloat);
					float(_set,tmpfloat3,tmpfloat);
					float(_mul,tmpfloat2,256);//0x100);
					float(_mul,tmpfloat3,65536);//0x10000);
					float(_add,tmpfloat,tmpfloat2);
					float(_add,tmpfloat,tmpfloat3);
					if(tmpfloat<16777216)
					{
						call(ExpSet2,1,tmpfloat,0);

						CurEnvTriggerSet("fact_23","Heli2");
						float(_set,tmpfloat2,16777216);
						float(_sub,tmpfloat2,tmpfloat);
						call(ExpSet1,1,tmpfloat2,0);
					}
				}
				elseif(tmpfloat<0)
				{
					CurEnvTriggerSet("fact_23","Heli2");
					float(_mul,tmpfloat,-1);
					float(_mul,tmpfloat,256);//0x000100);
					float(_round,tmpfloat);
					float(_set,tmpfloat2,tmpfloat);
					float(_set,tmpfloat3,tmpfloat);
					float(_mul,tmpfloat2,256);//0x100);
					float(_mul,tmpfloat3,65536);//0x10000);
					float(_add,tmpfloat,tmpfloat2);
					float(_add,tmpfloat,tmpfloat3);
					if(tmpfloat<16777216)
					{
						call(ExpSet2,1,tmpfloat,0);

						float(_set,tmpfloat2,16777216);
						float(_sub,tmpfloat2,tmpfloat);
						call(ExpSet1,1,tmpfloat2,0);
					}
				}
			}
			else
			{
				//Window 5
				float(_set,tmpfloat,VarKey38);
				float(_sub,tmpfloat,50);
				float(_div,tmpfloat,10);
				if(tmpfloat>0)
				{
					CurEnvTriggerSet("fact_23","Heli3");
					float(_set,tmpfloat4,tmpfloat);
					float(_mul,tmpfloat,256);//0x000100);
					float(_round,tmpfloat);
					float(_set,tmpfloat2,tmpfloat);
					float(_set,tmpfloat3,tmpfloat);
					float(_mul,tmpfloat2,256);//0x100);
					float(_mul,tmpfloat3,65536);//0x10000);
					float(_add,tmpfloat,tmpfloat2);
					float(_add,tmpfloat,tmpfloat3);
					if(tmpfloat<16777216)
					{
						float(_set,tmpfloat2,16777216);
						float(_sub,tmpfloat2,tmpfloat);
						call(ExpSet1,1,tmpfloat2,0);
					}
				}
				elseif(tmpfloat<0)
				{
					CurEnvTriggerSet("fact_23","Heli3");
					float(_mul,tmpfloat,-1);
					float(_mul,tmpfloat,256);//0x000100);
					float(_round,tmpfloat);
					float(_set,tmpfloat2,tmpfloat);
					float(_set,tmpfloat3,tmpfloat);
					float(_mul,tmpfloat2,256);//0x100);
					float(_mul,tmpfloat3,65536);//0x10000);
					float(_add,tmpfloat,tmpfloat2);
					float(_add,tmpfloat,tmpfloat3);
					if(tmpfloat<16777216)
					{
						call(ExpSet2,1,tmpfloat,0);

						float(_set,tmpfloat2,16777216);
						float(_sub,tmpfloat2,tmpfloat);
						call(ExpSet1,1,tmpfloat2,0);
					}
				}
			}
		}		
	}
	//----------------------------------------------------------------

	//This code sets up activate and de-activate events for fact_2
	if(VCurSet=="fact_2")
	{
		if(VarKey37==0)
		{
			//Fact_2 has just been activated
			float(_set,VarKey37,1);
			vector(_set,gactorpos,-10783,24800,19360);
			sample(SFXFlamesBurning,gactorpos);
		}
		else
		{
		}
	}
	//----------------------------------------------------------------
	
}


SubRoutine(BackgroundTriggerChecksScene7)
{
	////////////////////////
	//// FACTORY SCRIPT ////
	////////////////////////


	if(VCurSet=="fact_1")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VarKey32>=100)
			{
				callsub(DoorOpen,0,1);
			}
			else
			{
				if(VAICON==0)
				{
					sample(SFXInvalidFunction,Gactorpos);
					message("LOCKED",120,10);
				}
			}
		}

		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			if(VarKey32>=100)
			{
				callsub(DoorOpen,0,1);
			}
			else
			{
				if(VAICon==0)
				{
					sample(SFXInvalidFunction,Gactorpos);
					message("LOCKED",120,10);
				}
			}
		}


		CurEnvTrigger("DT_DOOR");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAIClass!=_AIClassAngel)
			{
				if(VAIClass==_AIClassScientist)
				{
					if(VarKey32<=99)
					{
						if(VAICon==0)
						{
							call(ActivateButton,"FACTORY DOORS UNLOCKED",-1,FALSE);
							call(ActivateButtonSample,SFXValidFunction);
						}
						float(_set,VarKey32,100);

						//CurEnvTrigger("trigdoor1");
						//float(_set,TmpFloat,0x8000);
						//call(expset1,1,TmpFloat,0);

						//CurEnvTrigger("trigdoor2");
						//float(_set,TmpFloat,0x8000);
						//call(expset1,1,TmpFloat,0);
					}
					else
					{
						if(VAICon==0)
						{
							call(ActivateButton,"DOORS ALREADY OPEN",-1,FALSE);
							call(ActivateButtonSample,SFXValidFunction);
						}
					}
				}
				else
				{
					if(VAICON==0)
					{
						sample(SFXInvalidFunction,Gactorpos);
						message("SECURITY ACCESS ONLY - CLEARANCE REQUIRED",120,10);
					}
				}
			}
			else
			{
				//blipp...blipp...blipp.....nothing!
				if(VAICON==0)
				{
					call(ActivateButton,"slap@slap@slap@nothing..",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}
	}	
    //----------------------------------------------------------------


	elseif(VCurSet=="fact_2")
	{
		//This code burns dem Biatches up when they jump in the flames.
		CurEnvTrigger("Furnace");  
		if(VTrigger==_DIREnvTrigger)
		{
			if(VState!=StateDead)
			{
				if(VAICon==0)
				{
					Camera(500,elevator_camera_angle);
					call(LockCamera,true);
				}
				colstate(_or,_Colfire)
				state(_set,StateDead);
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_3")
	{
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			CurEnvTrigger("trigdoor1");
			if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
			{
				callsub(DoorOpen,0,1);
			}

			CurEnvTrigger("trigdoor2");
			if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
			{
				callsub(DoorOpen,0,1);
			}

			CurEnvTrigger("trigdoor3");
			if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
			{				
				if(VarKey36==1)
				{
					setkeyframe("fact_4","lift",2);
					callsub(DoorOpen,1,1);
					direction(_clr,_DIRaction);
				}
				else
				{
					if(VAICON==0)
					{
						message("Elevator not Operational",120,10);
						sample(SFXInvalidFunction,Gactorpos);
					}
				}
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_4")
	{
		CurEnvTrigger("lift");
		if(VKeyObjTriggered==0)
		{
			CurEnvTrigger("doortrig1");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("doortrig2");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("doortrig3");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			if(CameraPan==0)
			{
				float(_set,CameraPan,1);
			}
		}
		
		if(CameraPan==1)
		{
			callsub(Sub_SetCameraNormal);
		}
		if(CameraPan==0)
		{
			Camera(elevator_camera_distance,elevator_camera_angle);
			Target(elevator_camera_Tdistance,elevator_camera_Tangle);
		}

		if(VTrigger==_DIRactionhold && VActivateButton==0)
		{
			float(_set,TmpFloat,-1);	//must do this before calling LiftControl!
			CurEnvTrigger("panel3");
			callsub(LiftControl,2,2);
			CurEnvTrigger("panel2");
			callsub(LiftControl,1,2);
			CurEnvTrigger("panel1");
			callsub(LiftControl,0,2);

			CurEnvTrigger("lift");
			if(TmpFloat!=-1 && VKeyObjTriggered==0)			//elevator should be activated
			{
				if(TmpFloat1==1)
				{
					if(TmpFloat==2)
					{
						call(ActivateButton,"third floor",TmpFloat,2);
						kfsample(-1,-1,-1,SFXSector3,1);
					}
					else
					{
						call(ActivateButton,"second floor",TmpFloat,2);
						kfsample(-1,-1,-1,SFXSector2,1);
					}
				}
				else
				{
					if(TmpFloat==0)
					{
						call(ActivateButton,"Basement",TmpFloat,2);
						kfsample(-1,-1,-1,SFXSectorBase,1);
					}
					else
					{
						call(ActivateButton,"second floor",TmpFloat,2);
						kfsample(-1,-1,-1,SFXSector2,1);
					}
				}
				call(ActivateButtonSample,SFXValidFunction);
				float(_set,CameraPan,0);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd,1);
				direction(_clr,_DIRAction);
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_5")
	{
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			CurEnvTrigger("trigdoor2");
			if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
			{
				callsub(DoorOpen,0,1);
			}

			CurEnvTrigger("fact5door");
			if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_6")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			message("Locked.",120,10);
			vector(_set,Gactorpos,-11702.78,23446.35,17257.42);
			sample(SFXLockedSound,Gactorpos);
		}

		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_7")
	{
		CurEnvTrigger("ENTRANCE");
		
		if(VTrigger==_DIREnvTrigger)
		{
			debugmessage("in the trigger");
			if(VTrigger==_DIRaction)
			{
				message("It Will Not Open.",120,10);
				debugmessage("display text");
			}
		}

		call(SetParticleSetID,"fact_7");
		if(vrnd<20)
		{
			//Spawn randomly aimed sparks from rollers
			vector(_set,Gactorine,0,24,-6);
			vector(_set,Gactorpos,-11690.47,25019.87,19053.96);
			spawnparticle(fx_impactsparks,-1,gactorpos,gactorine,-1);
		}


/*		CurEnvTrigger("transit02");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)
		{
			callsub(DoorOpen,0,1);
		}*/
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_8")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_9")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("ARME");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VAIClass==_AIClassCop)
			{
				if(VKeyObjTriggered!=0)
				{
					float(_set,tmpfloat,0x0000FF);
				}
				else
				{
					float(_set,tmpfloat,0x00FF00);
				}
				call(expset1,1,tmpfloat,0);

				if(VTrigger==_DIRaction)
				{
					//if(VKeyObjFrame==0)
					if(VKeyObjTriggered==0)
					{
						vector(_set,Gactorpos,-9334,25500,19797);
						vector(_set,Gactorangle,0,0,0);
						InitActor(WeaponFlameThrower,Gactorpos,Gactorangle,"fact_9");
						call(KeyObjTrigger,255,1);
						float(_set,TmpFloat,0x0000ff);
						call(expset1,1,TmpFloat,0);
						direction(_clr,_DIRaction);
					}
					else
					{
						if(VAICON==0)
						{
							message("Weapon Dispenser Already Used",120,10);
						}
						direction(_clr,_DIRaction);
					}
				}
			}
			else
			{
				if(VKeyObjTriggered!=0)
				{
					float(_set,tmpfloat,0xFF0000);
				}
				else
				{
					float(_set,tmpfloat,0x00FF00);
				}
				call(expset1,1,tmpfloat,0);
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_10")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_11")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_14")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_16")
	{
		CurEnvTrigger("lift");
		if(VKeyObjTriggered==0)
		{
			CurEnvTrigger("trigdoor1");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("trigdoor3");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
			{
				callsub(DoorOpen,1,1);
			}
			if(CameraPan==0)
			{
				float(_set,CameraPan,1);
			}
		}

		if(CameraPan==1)
		{
			callsub(Sub_SetCameraNormal);
		}
		if(CameraPan==0)
		{
			Camera(elevator_camera_distance,elevator_camera_angle);
			Target(elevator_camera_Tdistance,elevator_camera_Tangle);
		}

		if(VTrigger==_DIRactionhold && VActivateButton==0)
		{
			float(_set,TmpFloat,-1);	//must do this before calling LiftControl!
			CurEnvTrigger("panel1");
			callsub(LiftControl,0,1);
			CurEnvTrigger("panel2");
			callsub(LiftControl,1,1);

			CurEnvTrigger("lift");
			if(TmpFloat!=-1 && VKeyObjTriggered==0)			//elevator should be activated
			{
				if(TmpFloat1==1)
				{
					if(TmpFloat==1)
					{
						call(ActivateButton,"second floor",TmpFloat,2);
						kfsample(-1,-1,-1,SFXSector2,1);
					}
				}
				else
				{
					if(TmpFloat==0)
					{
						call(ActivateButton,"Basement",TmpFloat,2);
						kfsample(-1,-1,-1,SFXSectorBase,1);
					}
				}
				call(ActivateButtonSample,SFXValidFunction);
				float(_set,CameraPan,0);
				kfsample(SFXLiftStart,SFXLiftMove,-1,SFXLiftEnd,1);
				direction(_clr,_DIRAction);
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_17")
	{
		callsub(Sub_SetCameraNormal);

		CurEnvTrigger("console");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICon==0)
			{
				if(VAIClass==_AIClassScientist)
				{
					if(VarKey33==0)
					{
						//call(ActivateButton,"Weapon Construction Initialized",-1,FALSE);
						//call(ActivateButtonSample,SFXValidFunction);
						//call(PlayerInput,0);
						float(_set,VarKey33,1);
						call(KeyObjTrigger,57,1);
						CurEnvTrigger("getwepn");
						call(KeyObjTrigger,57,1);
						kfsample(-1,SFXIndustrial10,-1,SFXLatch2,1);
		
						message("Weapon Construction Initialized",120,10);
						sample(SFXValidFunction,-1);
					}
					else
					{
						//call(ActivateButton,"Weapon Already Built",-1,FALSE);
						//call(ActivateButtonSample,SFXInvalidFunction);
						message("Weapon Already Built",120,10);
						sample(SFXInvalidFunction,-1);
					}
				}
				else
				{
					//call(ActivateButton,"Authorized Personnel Only",-1,FALSE);
					//call(ActivateButtonSample,SFXInvalidFunction);
					message("Authorized Personnel Only",120,10);
					sample(SFXInvalidFunction,-1);
				}
			}
		}
		if(VarKey33==1)
		{
			//CurEnvTrigger("ctrlcam");
			//call(ExpSet2,660,1,1);
			float(_set,VarKey33,2);
		}

		if(VarKey33==2)
		{
			CurEnvTrigger("console");
			if(VKeyObjTriggered==0)
			{
				float(_set,VarKey33,3);
			}
		}

	
		CurEnvTrigger("getwepn");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRAction)
		{
			if(VAIClass==_AIClassScientist)
			{
				if(VarKey33<2)
				{
					message("Weapon Construction Not Yet Initialized",120,10);
//					call(ActivateButtonSample,SFXInvalidFunction);
					sample(SFXInvalidFunction,-1);
				}
				elseif(VarKey33==2)
				{
					message("Weapon Construction Not Yet Complete",120,10);
//					call(ActivateButtonSample,SFXInvalidFunction);
					sample(SFXInvalidFunction,-1);
				}
				elseif(VarKey33>3)
				{
					message("Weapon Construction Already Completed",120,10);
//					call(ActivateButtonSample,SFXInvalidFunction);
					sample(SFXInvalidFunction,-1);
				}
				else
				{
					call(KeyObjTrigger,255,1);
					kfsample(-1,SFXHatchLoop,-1,SFXHatchEnd,1);

					CurEnvTrigger("GoDown");
					call(KeyObjTrigger,255,1);
					kfsample(-1,SFXWeaponMovement,-1,-1,1);
					
					sample(SFXValidFunction,-1);
					message("Retrieving Weapon");
					float(_set,VarKey33,4);
					vector(_set,gactorpos,-8540,24800.76,18149.13);
					vector(_set,Gactorangle,0,1024,0);
					InitActor(WeaponMaser,Gactorpos,Gactorangle,"fact_17",TRUE);
					call(PlayerInput,0);
					CutScene("masercam");
					call(ChangeCutScene,_SXCUTflag,_or,_SXCUTdontreset);
//					Camera(0,elevator_camera_angle);
				}
			}
			else
			{
				message("Authorized Personnel Only",120,10);
//				call(ActivateButtonSample,SFXInvalidFunction);
				sample(SFXInvalidFunction,-1);
			}
		}

		if(VarKey33==4)
		{
			if(VKeyObjFrame==67)
			{
				float(_set,WepConstructionTimer,1);
				float(_set,VarKey33,5);
			}
		}
		elseif(VarKey33==5)
		{
			CurEnvTrigger("GetWepn");
			if(VKeyObjTriggered==0)
			{
				call(PlayerInput,1);
				float(_set,MaserKey,1);
			}
		}

		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			if(VarKey36==1)
			{
				callsub(DoorOpen,1,1);
			}
			else
			{
				message("Elevator Not Operational",120,10);
				sample(SFXInvalidfunction,Gactorpos);
			}
		}

		CurEnvTrigger("f17f21");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}


/*		CurEnvTrigger("console");
		if(VKeyObjFrame!=0 && VKeyObjFrame<56)
		{
			if(vrnd<5)
			{
				vector(_set,Gactorpos,-8561,24459,18223);
				vector(_set,tmpvector,200,150,100);
				SpawnLight(flash_light,-1,gactorpos,tmpvector,EmptyVector,300);
			}
		}
		if(VKeyObjFrame==1 && VarKey34==0)
		{
			vector(_set,Gactorpos,-8561,24459,18223);
			sample(SFXIndustrial2,Gactorpos);
			sample(SFXRustDoorLoop,Gactorpos);
			float(_set,VarKey34,1);
		}
		if(VKeyObjFrame==55 && VarKey34==1)
		{
			samplestop(SFXIndustrial2);
			samplestop(SFXRustDoorLoop);
			vector(_set,Gactorpos,-8561,24459,18223);
			sample(SFXLatch1,Gactorpos);
			float(_set,VarKey34,2);
		}	
		if(VKeyObjFrame==59 && VarKey34==2)
		{
			vector(_set,Gactorpos,-8561,24459,18223);
			sample(SFXGunTurretHatch,Gactorpos);
			float(_set,VarKey34,3);
		}
		if(VKeyObjFrame>=57 && VKeyObjFrame<60)
		{
			if(Vrnd<10)
			{
				vector(_set,Gactorpos,-8643,24459,18223);
				vector(_set,Gactorine,0,-5,-5);
				spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
				vector(_set,Gactorpos,-8561,24459,18223);
				spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
				vector(_set,Gactorpos,-8445,24459,18223);
				spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
				sample(SFXVent2,gactorpos);
			}
		}*/

/*		CurEnvTrigger("godown");
		if(VKeyObjTriggered!=0 && VarKey34==3)
		{
			vector(_set,Gactorpos,-8561,24459,18223);
			sample(SFXFactLift,Gactorpos);
			float(_set,VarKey34,4);
		}

		if(VarKey33==1)
		{
			CurEnvTrigger("ctrlcam");
			call(KeyObjTrigger,1,1);
			if(VKeyObjFrame==1)
			{
				float(_set,VarKey33,2);
			}
		}
		if(VarKey33==2)
		{
			CurEnvTrigger("console");
			call(KeyObjTrigger,56,1);
			if(VKeyObjFrame==56)
			{
				float(_set,VarKey33,3);
			}
		}
		if(VarKey33==3)
		{
			CurEnvTrigger("console");
			call(KeyObjTrigger,255,1);
			CurEnvTrigger("ctrlcam");
			call(KeyObjTrigger,3,1);
			if(VKeyObjFrame==3)
			{
				float(_set,VarKey33,4);
			}
		}
		if(VarKey33==4)
		{
			CurEnvTrigger("godown");
			call(KeyObjTrigger,255,1);
			CurEnvTrigger("ctrlcam");
			call(KeyObjTrigger,255,1);
			float(_set,VarKey33,5);
		}
		if(VarKey33==5)
		{
			call(PlayerInput,1);
			float(_set,VarKey33,6);
		}*/
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_19")
	{
		if(VarKey31==0)
		{
			CurEnvTrigger("enterin");
			if(VTrigger==_DIREnvTrigger && VAICon==0 && VarKey31==0)
			{
				float(_set,VarKey31,1);
				call(PlayerInput,0);
			}
		}

		if(VarKey31==1)
		{
			CurEnvTrigger("ctrlcam");
			if(VKeyObjFrame==0)
			{
				call(ExpSet2,160,1,1);
				call(KeyObjTrigger,255,1); 
			}
		}
		if(VKeyObjFrame==2 && VarKey31<2)
		{
			if(VAIClass==_AIClassScientist)
			{
				direction(_or,_DIRaction);
				call(PlayerInput,1);
			}
		}

		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("bridgeup");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VKeyObjFrame==0 && VarKey31!=0)
			{
				call(ActivateButton,"Bridge open",-1,FALSE);
				call(ActivateButtonSample,SFXValidFunction);
				call(KeyObjTrigger,7,2);
				float(_set,VarKey31,3);
				direction(_clr,_DIRaction);
			}
			else
			{
				if(VAICon==0)
				{
					call(ActivateButton,"Bridge shut",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					call(KeyObjTrigger,255,1);
					float(_set,VarKey31,4);
					direction(_clr,_DIRaction);
				}
			}
		}
		if(VKeyObjFrame==7)
		{
			call(PlayerInput,1);
		}



		if(MaserKey==2 && vframe==33)
		{
			call(CheckAttached,_CADropWeapon);
			float(_set,MaserKey,3);
		}


		CurEnvTrigger("Charge1");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VTrigger==_DIRAction && VWeaponType==WeaponMaser)
		{
			if(VWeaponType==WeaponMaser)
			{
				spawnaction(CopPickupCrouch);
				float(_set,MaserKey,2);
			}
		}

		CurEnvTrigger("Charge2");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VTrigger==_DIRAction && VWeaponType==WeaponMaser)
		{
			if(VWeaponType==WeaponMaser)
			{
				spawnaction(CopPickupChest);
				float(_set,MaserKey,2);
			}
		}

		CurEnvTrigger("Charge3");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VTrigger==_DIRAction && VWeaponType==WeaponMaser)
		{
			if(VWeaponType==WeaponMaser)
			{
				spawnaction(CopPickupChest);
				float(_set,MaserKey,2);
			}
		}
		
		CurEnvTrigger("Charge4");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VTrigger==_DIRAction && VWeaponType==WeaponMaser)
		{
			if(VWeaponType==WeaponMaser)
			{
				spawnaction(CopPickupChest);
				float(_set,MaserKey,2);
			}
		}

		CurEnvTrigger("Charge5");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VTrigger==_DIRAction && VWeaponType==WeaponMaser)
		{
			if(VWeaponType==WeaponMaser)
			{
				spawnaction(CopPickupChest);
				float(_set,MaserKey,2);
			}
		}

		CurEnvTrigger("Charge6");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VTrigger==_DIRAction && VWeaponType==WeaponMaser)
		{
			if(VWeaponType==WeaponMaser)
			{
				spawnaction(CopPickupChest);
				float(_set,MaserKey,2);
			}
		}




		CurEnvTrigger("Console");
		if(VAICon==0 && VTrigger==_DIREnvTrigger && VTrigger==_DIRAction)
		{
			if(MaserKey<2)
			{
				message("No weapon detected.  Please place weapon on plate for charging",120,10);
			}
			elseif(MaserKey>=2)
			{
				setkeyframe("fact_19","console",0);
				call(KeyObjTrigger,255,1);
				kfsample(-1,SFXWeaponCharge,-1,-1,1);
				call(ExpSet1,0,-1000,0);
				message("Charging weapon",120,10);
				float(_set,MaserKey,3);
			}
			else
			{
				message("Weapon already charged",120,10);
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_20")
	{
		callsub(Sub_SetCameraNormal);

		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
		{
			callsub(DoorOpen,1,1);
		}



		CurEnvTrigger("console");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRAction)
		{
			float(_set,GunTurretKey,1);
			message("Gun turret activated.");
		}

		if(GunTurretKey==1)
		{
			if(VAIClass==_AIClassDroid)
			{
				spawnaction(GunTurretFire);
				float(_set,GunTurretKey,2);
			}
		}
		elseif(GunTurretKey==300)
		{
			if(VAIClass==_AIClassDroid)
			{
				if(VAction!=GunTurretBeserker)
				{
					spawnaction(GunTurretBeserker);
					float(_set,GunTurretKey,301);
				}
			}
		}

		/*Removed by JOE on 11/23/99.  Fuck all this noise. 

		CurEnvTrigger("console");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICON==0)
			{
				if(VarKey35==0)
				{
					if(VAIClass==_AIClassScientist)
					{
						if(VAIClass==_AIClassScientist)
						{
							call(ActivateButton,"Improper Command - System Malfunction",-1,FALSE);
							call(ActivateButtonSample,SFXValidFunction);
							float(_set,VarKey35,1);
							direction(_clr,_DIRaction);
						}
						else
						{
							call(ActivateButton,"Authorized Personnel Only",-1,FALSE);
							call(ActivateButtonSample,SFXInvalidFunction);
							direction(_clr,_DIRaction);
						}
					}
					else
					{
						call(ActivateButton,"Authorized Personnel Only",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
						direction(_clr,_DIRaction);

					}
				}
				else
				{
					call(ActivateButton,"Console Not Operational - Call Nearest Dealer",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
				}
			}
		}*/
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="fact_21")
	{
		if(VAICon==0)
		{
			Camera(elevator_camera_distance,elevator_camera_angle);
		}
		
		CurEnvTrigger("trigdoor2");
		if(VTrigger==_DIREnvTrigger && Vtrigger==_DIRAction)	
		{
			callsub(DoorOpen,1,1);
		}

		if(GunTurretKey==2)
		{
			CurEnvTrigger("fodder");
			if(VTrigger==_DIREnvTrigger && VAICon!=0 && VAIClass==_AIClassScientist)
			{
				if(VHealth>1)
				{
					float(_seti,tmpfloat,VHealth);
					float(_sub,tmpfloat,1);
					call(SubtractHealth,0,tmpfloat);
					float(_set,GunTurretKey,3);
				}
				call(AIfindpathwithspecificid,2);
				vector(_set,Gactorpos,-8355,25500,18430);
//				sample(SFXWorkerWhatThe,Gactorpos);
				sample(SFXScientistDontTouch,-1);
				debugmessage("What the...");
			}
		}
		if(GunTurretKey==75)
		{
			CurEnvTrigger("fodder");
			if(VTrigger==_DIREnvTrigger && VAICon!=0 && VAIClass==_AIClassScientist)
			{
				State(_clr,StateFollowPath);
				State(_or,StateExecutePathSequence);
				spawnaction(WorkerKneelCrush);
				sample(SFXScientistScared,-1);
				debugmessage("I'm scared!");
			}
		}
		if(GunTurretKey==100)
		{
			CurEnvTrigger("fodder");
			if(VTrigger==_DIREnvTrigger && VAICon!=0 && VAIClass==_AIClassScientist)
			{
				sample(SFXScientistOhShit,-1);
				debugmessage("Oh shit!");
			}
		}

		CurEnvTrigger("elpower");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			if(VAIClass!=_AIClassAngel)
			{
				if(VarKey36==0)
				{
					call(ActivateButton,"Elevator Power Restored",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					float(_set,VarKey36,1);
					
					direction(_clr,_DIRaction);
				}
				else
				{
					call(ActivateButton,"Power Already restored",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
					direction(_clr,_DIRaction);
				}
			}
			else
			{
				call(ActivateButton,"Godamned computers !",-1,FALSE);
				call(ActivateButtonSample,SFXInvalidFunction);
			}
		}

		/*
		REMOVED BY JOE ON 9/17/99
		THIS CONSOLE NOW RESTORES ELEVATOR POWER

		CurEnvTrigger("guttorm");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VarKey35==3)
			{
				call(ActivateButton,"Gun Turret Override - System back to Normal",-1,FALSE);
				call(ActivateButtonSample,SFXValidFunction);
				float(_set,VarKey35,4);
				direction(_clr,_DIRaction);
			}
			else
			{
				call(ActivateButton,"System Normal - Override Impossible",-1,FALSE);
				call(ActivateButtonSample,SFXInvalidFunction);
				direction(_clr,_DIRaction);
			}
		}*/
	}
	//----------------------------------------------------------------



	elseif(VCurSet=="fact_23")
	{
		if(VTrigger==_DIRaction&&VTrigger==_DIREnvTrigger)
		{
			CurEnvTrigger("trigdoor1");
			if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0)	
			{
				callsub(DoorOpen,0,1);
			}

			CurEnvTrigger("TRIGDOOR2");
			if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
			{
				if(VarKey36==1)
				{
					setkeyframe("fact_4","lift",1);
					callsub(DoorOpen,1,1);
				}
				else
				{
					if(VAICON==0)
					{
						message("Elevator not Operational",120,10);
						sample(SFXInvalidFunction,Gactorpos);
					}
				}
			}
			CurEnvTrigger("TRIGDOOR3");
			if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
			{		
				if(VarKey36==1)
				{				
					setkeyframe("fact_16","lift",1);
					callsub(DoorOpen,1,1);
				}
				else
				{
					if(VAICON==0)
					{
						message("Elevator not Operational",120,10);
						sample(SFXInvalidFunction,Gactorpos);
					}
				}
			}
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="pston_1")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
	//----------------------------------------------------------------


	elseif(VCurSet=="pston_5")
	{
		CurEnvTrigger("trigdoor1");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	
		{
			callsub(DoorOpen,1,1);
		}
	}
}
