//VarKey51	- Activate trap in Clubsas
//VarKey52	- Pimp escape sequence
//VarKey53  - Steelbar in Hsing1
//VarKey54  - Decontamination area (rlquar)
//VarKey55	- Lift Control in Acs07
//VarKey56	- VideoBall Control
//VarKey57	- Activate lift in ACS01
//VarKey58	- progress stats
//				1	- passcode for elevator in rlplin
//				2	- door from rlhstn1 to rlhsin unlocked
//VarKey59	- Electric Strips in Acs04
//VarKey60	
//VarKey61	- WindBlow when exploding glass
//VarKey62	- timer for Quarantine Area
//VarKey63  - FireJets
//				1	- rlplza3b fire1
//				2	- rlplza3b fire2
//				4	- rlplza2a fire1
//				8	- rlplza2a fire2
//				16	- rlplza2c fire1
//				32	- rlplza2c fire2
//				64	- rlplza3c fire1
//				128	- rlplza3c fire2
//
//VarKey64	- Delaytime for steam in rlhsng4
//VarKey67  - FireJets
//				1 - firejet 1 In acs02
//				2 - firejet 2 In acs02
//				4 - firejet 1 In acs02
//				8 - firejet 2 In acs02
//VarKey68	- level progress stats
//				1	- Worker has fallen
//				2	- init dweller in acs07
//				4	- Worker crushed in machinery 1
//				8	- Worker crushed in machinery 2
//				16	- Worker crushed in machinery 3
//VarKey69	
//VarKey70
//
//VarBit
//------
//
//Help01	> Bouncer outside Foyer
//Help02	> Change Path for Bouncer
//Help03	> Check if Barman is inside his trigger
//Help04	> First Encounter with Barman
//Help05	> Second Encounter with Barman
//Help06	> Third+ Encounter with Barman
//Help07	> Bouncer inside Foyer
//Help08	> "Displace" dweller in ACS07
//Help09	> Check if the lift in ACS07 is on the third floor
//timer		- used for lightning bolts

SubRoutine(InitSceneSound8)
{
			//ambient sound Fx
			#include	"messiahscripts\stages\scene8sfx.hxx"
}


SubRoutine(InitScene8)
{
			vector(_set,Gactorangle,0,2048,0);
			InitActor(Bob1,0,Gactorangle,"ltng");

			//Daniel's Enemy Script

			#include "messiahscripts\enemies\Redlite1.spt"
			#include "messiahscripts\enemies\Redlite2.spt"
			#include "messiahscripts\enemies\Perimeter.spt"


			// Reset all the variables
			float(_set,VarKey51,0);
			float(_set,VarKey52,0);
			float(_set,VarKey53,0);
			float(_set,VarKey54,1);				//init to worker not dead
			float(_set,VarKey55,0);
			float(_set,VarKey56,0);
			float(_set,VarKey57,0);
			float(_set,VarKey58,0);
			float(_set,VarKey59,0);
			float(_set,VarKey60,0);
			float(_set,VarKey61,0);
			float(_set,VarKey62,0);
			float(_set,VarKey63,0);				//init to flamejets not activated
			float(_set,VarKey64,0);
			float(_set,VarKey65,0);
			float(_set,VarKey66,0);
			float(_set,VarKey67,0);
			float(_set,VarKey68,0);
			float(_set,VarKey69,0);
			float(_set,VarKey70,0);
			float(_set,VarBit,AllHelp);
			float(_set,MissionLevel1,0);
			float(_set,MissionLevel2,0);
			float(_set,MissionLevel3,0);
			float(_set,MissionLevel4,0);
			float(_set,HudTimer,0);
			float(_set,AngelReact,0);
			float(_set,timer,0);
			float(_set,timer2,0);
			float(_set,timer3,0);

			MissionObjective("Club Perimeter                ",80,400);
			MissionObjective("------------------------------",90,400);
			MissionObjective("Primary Objective :           ",100,400);
			MissionObjective("     Find a Way Into Club Kyd ",110,400);


			callsub(InitSceneSound8);
}

SubRoutine(MainScene8)
{

/////////////////////
//// CLUB ACCESS ////
/////////////////////

	if(VSetActive=="acs04")
	{
		call(SetParticleSetID,"acs04");
		CurEnvTrigger("strip");
		call(expset1,500,5,200);
		call(expset2,500,5,200);

		if(VarKey59<=3)
		{
			CurEnvTriggerSet("acs04","fanctrl");
			float(_set,TmpFloat,0x0000ff);
			call(expset1,TmpFloat,350,-1);
			call(expset2,TmpFloat,350,-1);

			vector(_set,Gactorpos,-7928,18298,15701);
			vector(_set,Gactorine,-7921,18298,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

			vector(_set,Gactorpos,-7785,18466,15694);
			vector(_set,Gactorine,-7784,18470,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

			vector(_set,Gactorpos,-7644,18298,15701);
			vector(_set,Gactorine,-7652,18298,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

			vector(_set,Gactorpos,-7785,18132,15694);
			vector(_set,Gactorine,-7784,18132,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

//

			vector(_set,Gactorpos,-7928,19199,15701);
			vector(_set,Gactorine,-7921,19200,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

			vector(_set,Gactorpos,-7785,19377,15694);
			vector(_set,Gactorine,-7784,19372,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

			vector(_set,Gactorpos,-7644,19200,15701);
			vector(_set,Gactorine,-7651,19200,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

			vector(_set,Gactorpos,-7785,19041,15694);
			vector(_set,Gactorine,-7784,19033,14590);
			callsub(ElectricStrip,gactorine,gactorpos,fx_blue);

			if(vrnd<15)
			{
				vector(_set,Gactorpos,-7782,18300,15609);
				vector(_set,tmpvector,0,100,250);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,500);

				vector(_set,Gactorpos,-7786,18300,14521);
				vector(_set,tmpvector,0,100,250);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,500);
			}
		}
		if(VarKey59>=4)
		{
			CurEnvTriggerSet("acs04","fanctrl");
			float(_set,TmpFloat,0x000000);
			call(expset1,TmpFloat,350,-1);
			call(expset2,TmpFloat,350,-1);

			if(vrnd<10)
			{
				vector(_set,Gactorpos,-7800,18280,15600);
				vector(_set,Gactorine,0,15,0);
				call(SetParticleSetID,"acs04");
				spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
			}
		}

		if(vrnd<50)
		{
			call(SetParticleSetID,"acs04");
			vector(_set,gactorpos,-7020,18100,15180);
			spawnparticle(fx_windspecks,-1,gactorpos,emptyvector,-1);
			vector(_set,gactorpos,-8524,18100,15180);
			spawnparticle(fx_windspecks,-1,gactorpos,emptyvector,-1);
		}

		CurEnvTriggerSet("acs04","victim");
		if(VarKey59!=0)
		{
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
			}
		}
	}
	if(VSetActive=="acs05")
	{
		if(vrnd<50)
		{
			vector(_set,gactorpos,-11829,18100,15180);
			call(SetParticleSetID,"acs05");
			spawnparticle(fx_windspecks,-1,gactorpos,emptyvector,-1);
		}

		CurEnvTriggerSet("acs05","fanctrl");
		float(_set,TmpFloat,0x0099ff);
		call(expset1,TmpFloat,350,-1);
		call(expset2,TmpFloat,350,-1);
	}
	if(VCurSet=="acs06")
	{
		if(vrnd<50)
		{
			call(SetParticleSetID,"acs06");
			vector(_set,gactorpos,-13025,18100,14132);
			spawnparticle(fx_windspecks,-1,gactorpos,emptyvector,-1);
			vector(_set,gactorpos,-11844,18100,13070);
			spawnparticle(fx_windspecks,-1,gactorpos,emptyvector,-1);
		}

		CurEnvTrigger("fanctrl");
		call(expset1,1300,5,150);
		call(expset2,1300,5,150);
	}
	elseif(VCurSet=="acs11")
	{
		if(VarKey55==2)
		{
			CurEnvTrigger("trap");
			if(VKeyObjFrame==0)
			{
				CurEnvTrigger("workdor");
				if(VKeyObjFrame==0)
				{
					call(KeyObjTrigger,255,1);
					float(_set,TmpFloat,0x00ff00);
					call(expset2,1,TmpFloat,0);
					sample(SFXActivateComp,Gactorpos);
					vector(_set,Gactorpos,-9179,19558,13054);
					sample(SFXPneumatik2,Gactorpos);
					float(_set,VarKey55,3);
				}
			}
		}
	}
	if(VSetActive=="acs07")
	{
		CurEnvTriggerSet("acs07","lifty");
		if(VKeyObjFrame==0 || VKeyObjFrame==1)
		{
			float(_or,VarBit,Help09);
			call(expset1,0,0,0);
		}
		if(VKeyObjFrame==2)
		{
			float(_or,VarBit,Help09);
			call(expset1,11,11,11);
		}
		if(VKeyObjFrame==3)
		{
			float(_clr,VarBit,Help09);
			call(expset1,20,20,20);
		}
		if(VarKey55==0)
		{
			call(KeyObjTrigger,5,1,-1);
			call(KeyObjActiveSegment,0,5);
			float(_set,VarKey55,1);
		}
		if(VKeyObjFrame==2 && VarKey55==5)
		{
			float(_set,VarKey55,6);
		}
		
		CurEnvTriggerSet("acs07","lift2club");
		if(VarKey55<3 && VarKey55>6)
		{
			call(EXPSet1,0,0,0);
		}
	}
	elseif(VCurSet=="acs01")
	{
		CurEnvTrigger("lift");
		if(VKeyObjFrame==0)
		{
			float(_set,timer2,0);
		}
		if(VKeyObjFrame==7 && timer2==0)
		{
			vector(_set,Gactorpos,-8389,19854,9523);
			sample(SFXLiftMove,Gactorpos);
			float(_set,timer2,1);
		}
		if(VKeyObjFrame==23 && timer2==1)
		{
			vector(_set,Gactorpos,-8389,19854,9523);
			samplestop(SFXLiftMove,Gactorpos);
			sample(SFXLiftEnd,Gactorpos);
			float(_set,timer2,2);
		}
		if(VKeyObjFrame==25 && timer2==2)
		{
			vector(_set,Gactorpos,-8389,19854,9523);
			sample(SFXLiftMove,Gactorpos);
			sample(SFXLiftStart,Gactorpos);
			float(_set,timer2,3);
		}
		if(VKeyObjFrame==31 && timer2==3)
		{
			vector(_set,Gactorpos,-8389,19854,9523);
			samplestop(SFXLiftMove,Gactorpos);
			sample(SFXDoOp2,Gactorpos);
			sample(SFXLiftEnd,Gactorpos);
			float(_set,timer2,4);
		}
		if(VKeyObjFrame==41 && timer2==4)
		{
			vector(_set,Gactorpos,-8389,19854,9523);
			samplestop(SFXDoOp2,Gactorpos);
			sample(SFXDoCl2,Gactorpos);
			float(_set,timer2,5);
		}
	}
	elseif(VCurSet=="acs08")
	{
		CurEnvTrigger("doorslam");
		if(VKeyObjFrame==1 && timer2==0)	
		{
			vector(_set,Gactorpos,-9600,20033,14258);
			sample(SFXRustDoorOpen,Gactorpos);
			sample(SFXRustDoorLoop,Gactorpos);
			float(_set,timer2,1);
		}
		if(VKeyObjFrame==7 && timer2==1)
		{
			vector(_set,Gactorpos,-9600,20033,14258);
			samplestop(SFXRustDoorLoop,Gactorpos);
			sample(SFXRustDoorClose,Gactorpos);
			float(_set,timer2,2);
		}
		if(VKeyObjFrame==10 && timer2==2)
		{
			vector(_set,Gactorpos,-9500,20033,14258);
			sample(SFXRustDoorOpen,Gactorpos);
			sample(SFXRustDoorLoop,Gactorpos);
			float(_set,timer2,3);
		}
		if(VKeyObjFrame==12 && timer2==3)
		{
			vector(_set,Gactorpos,-9500,20033,14258);
			samplestop(SFXRustDoorLoop,Gactorpos);
			sample(SFXRustDoorClose,Gactorpos);
			float(_set,timer2,0);
		}
	}
	elseif(VCurSet=="acs02")
	{
		if(VCutSceneFrame==240)
		{
			call(PlayerInput,1);
		}

		if(VarKey2<3)
		{
			float(_add,HudTimer,1);
			if(Hudtimer==1)
			{
				float(_rnd2,TmpFloat,380);
			}
			if(HudTimer>=Tmpfloat)
			{
				vector(_set,Gactorpos,-6506,17328,11129);
				sample(SFXZap02,Gactorpos);
			}
		}

		if(VarKey2==0)
		{	
			float(_add,timer3,1)
			if(timer3&=16)
			{
				CurEnvTrigger("repair");
				float(_set,TmpFloat,0x000000)
				call(expset1,1,TmpFloat);
				call(expset2,1,TmpFloat);
				CurEnvTrigger("dr_bars");
				call(expset1,1,TmpFloat);
				call(expset2,1,TmpFloat);
			}
			else
			{
				CurEnvTrigger("repair");
				float(_set,TmpFloat,0xff0000)
				call(expset1,1,TmpFloat);
				call(expset2,1,TmpFloat);
				CurEnvTrigger("dr_bars");
				call(expset1,1,TmpFloat);
				call(expset2,1,TmpFloat);
			}
			if(vrnd<15)
			{
				vector(_set,tmpvector,0,0,0);
				float(_rnd2,tmpfloat,48);
				float(_sub,tmpfloat,24);
				vector(_setx,tmpvector,tmpfloat);
				float(_rnd2,tmpfloat,48);
				float(_sub,tmpfloat,24);
				vector(_sety,tmpvector,tmpfloat);
				float(_rnd2,tmpfloat,48);
				float(_sub,tmpfloat,24);
				vector(_setz,tmpvector,tmpfloat);
				vector(_set,Gactorpos,-8683,17634,10020);
				vector(_add,gactorpos,tmpvector);
				call(SetParticleSetID,"acs02");
				SpawnParticle(fx_sparks,-1,Gactorpos,EmptyVector,-1);

				vector(_set,tmpvector,238,177,10);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
			}
		}
		if(VarKey2==1 && VCutSceneFrame>=100)
		{
			float(_add,timer3,1);
			if(timer3==10)
			{
				CurEnvTrigger("dr_bars");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==30)
			{
				CurEnvTrigger("dr_bars");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==50)
			{
				CurEnvTrigger("repair");
				float(_set,TmpFloat,0x00ff00);
				call(expset1,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3==70)
			{
				CurEnvTrigger("repair");
				float(_set,TmpFloat,0x00ff00);
				call(expset2,1,TmpFloat,0);
				sample(SFXActivate1,Gactorpos);
			}
			if(timer3>=90)
			{
				float(_set,VarKey2,2);
				float(_set,timer3,0);
			}
		}

		CurEnvTrigger("lid02");
		float(_set,tmpfloat1,0);

		if(VarKey67&!=1)
		{
			if(vkeyobjframe==24)
			{
				vector(_set,Gactorpos,-7632,17396,11400);
				sample(SFXLatch3,gactorpos);
				float(_or,VarKey67,1);
			}
			elseif(vkeyobjframe==11)
			{
				vector(_set,Gactorpos,-7632,17396,11400);
				sample(SFXLatchSpecial,gactorpos);
				float(_or,VarKey67,1);
			}
		}

		if(vkeyobjframe!=24 && vkeyobjframe!=11)
		{
			float(_clr,VarKey67,1);
		}

		if(vkeyobjframe>=25||vkeyobjframe<=9)
		{
			float(_set,tmpfloat1,1);

			if(vkeyobjframe>=25||vkeyobjframe<8)
			{
				float(_set,tmpfloat3,0);
			}
			elseif(vkeyobjframe>=8)
			{
				float(_set,tmpfloat3,1);
			}

			if(vkeyobjframe==25 && VarKey67&!=4)
			{
				vector(_set,Gactorpos,-7632,17396,11400);
				sample(SFXFlamesBurning,gactorpos);
				float(_or,VarKey67,4);
			}
			elseif(vkeyobjframe==8 && VarKey67&=4)
			{
				vector(_set,Gactorpos,-7632,17396,11400);
				samplestop(SFXFlamesBurning,gactorpos);
				float(_clr,VarKey67,4);
			}
		}

		CurEnvTrigger("lid01");
		float(_set,tmpfloat,0);

		if(VarKey67&!=2)
		{
			if(vkeyobjframe==7)
			{
				vector(_set,Gactorpos,-8535,17396,11400);
				sample(SFXLatch3,gactorpos);
				float(_or,VarKey67,2);
			}
			elseif(vkeyobjframe==0)
			{
				vector(_set,Gactorpos,-8535,17396,11400);
				sample(SFXLatchSpecial,gactorpos);
				float(_or,VarKey67,2);
			}
		}

		if(vkeyobjframe!=7 && vkeyobjframe!=0)
		{
			float(_clr,VarKey67,2);
		}

		if(vkeyobjframe>=8&&vkeyobjframe<=26)
		{
			float(_set,tmpfloat,1);

			if(vkeyobjframe>=8&&vkeyobjframe<25)
			{
				float(_set,tmpfloat2,0);
			}
			elseif(vkeyobjframe>=25)
			{
				float(_set,tmpfloat2,1);
			}

			if(vkeyobjframe==8 && VarKey67&!=8)
			{
				vector(_set,Gactorpos,-8535,17396,11400);
				sample(SFXFlamesBurning,gactorpos);
				float(_or,VarKey67,8);
			}
			elseif(vkeyobjframe==25 && VarKey67&=8)
			{
				vector(_set,Gactorpos,-8535,17396,11400);
				samplestop(SFXFlamesBurning,gactorpos);
				float(_clr,VarKey67,8);
			}
		}


		if(tmpfloat==1)
		{
			if(vrnd<50&&tmpfloat2==0)
			{
				vector(_set,fxvector,0,0,-220);
				vector(_set,Gactorpos,-8535,17396,11350);
				float(_rnd2,tmpfloat,32);
				float(_sub,tmpfloat,16);
				vector(_addx,gactorpos,tmpfloat);
				vector(_addy,gactorpos,tmpfloat);
				vector(_addz,gactorpos,tmpfloat);

				vector(_set,Gactorine,0,0,-15);
				float(_rnd2,tmpfloat,5);
				vector(_subz,Gactorine,tmpfloat);
				call(SetParticleSetID,"acs02");
				SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
				if(skipcollidecount>=5)
				{
					vector(_copy,gactorine,gactorpos);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,85,0,_COLFire);

					vector(_set,fxvector,0,0,-20);
					vector(_add,gactorine,fxvector);
					call(CheckActorCollision,gactorine,85,0,_COLFire);
				}
			}
			else
			{
				vector(_set,Gactorpos,-8535,17396,11350);
				float(_rnd2,tmpfloat,32);
				float(_sub,tmpfloat,16);
				vector(_addx,gactorpos,tmpfloat);
				vector(_addy,gactorpos,tmpfloat);
				vector(_addz,gactorpos,tmpfloat);


				vector(_set,Gactorine,0,0,-10);
				float(_rnd2,tmpfloat,5);
				vector(_subz,Gactorine,tmpfloat);
				call(SetParticleSetID,"acs02");
				SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
			}
		}
		if(tmpfloat1==1)
		{
			if(vrnd<50&&tmpfloat3==0)
			{
				vector(_set,fxvector,0,0,-220);
				vector(_set,Gactorpos,-7632,17396,11350);
				float(_rnd2,tmpfloat,32);
				float(_sub,tmpfloat,16);
				vector(_addx,gactorpos,tmpfloat);
				vector(_addy,gactorpos,tmpfloat);
				vector(_addz,gactorpos,tmpfloat);

				vector(_set,Gactorine,0,0,-15);
				float(_rnd2,tmpfloat,5);
				vector(_subz,Gactorine,tmpfloat);
				call(SetParticleSetID,"acs02");
				SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,fx_scale10);
				if(skipcollidecount>=5)
				{
					vector(_copy,gactorine,gactorpos);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,85,0,_COLFire);

					vector(_set,fxvector,0,0,-20);
					vector(_add,gactorine,fxvector);
					call(CheckActorCollision,gactorine,85,0,_COLFire);
				}
			}
			else
			{
				vector(_set,Gactorpos,-7632,17396,11350);
				float(_rnd2,tmpfloat,32);
				float(_sub,tmpfloat,16);
				vector(_addx,gactorpos,tmpfloat);
				vector(_addy,gactorpos,tmpfloat);
				vector(_addz,gactorpos,tmpfloat);

				vector(_set,Gactorine,0,0,-10);
				float(_rnd2,tmpfloat,5);
				vector(_subz,Gactorine,tmpfloat);
				call(SetParticleSetID,"acs02");
				SpawnParticle(fx_smogjets,-1,Gactorpos,Gactorine,fx_scale10);
			}
		}

		
		//electric fence
		if(vrnd<50)
		{
			vector(_set,gactorpos,-6489,17333,11505);
			vector(_set,tmpvector,8,8,255);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,350);

			vector(_set,gactorpos,-6489,17333,10779);
			vector(_set,tmpvector,8,8,255);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,350);
		}

		CurEnvTrigger("dr_bars");
		if(VKeyObjTriggered==0 && VarKey2==4)
		{
			float(_set,VarKey2,2);
			vector(_set,Gactorpos,-6506,17328,11129);
			sample(SFXElectric4,Gactorpos);
		}
	}
//////////////////////////
//// REDLITE DISTRICT ////	//myskaz should clean up this stuff after himself
//////////////////////////
	elseif(VCurSet=="rlplin")
	{
		CurEnvTrigger("dr_acs01");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)	//remove later
		{
			CurEnvTriggerSet("acs01","lift");
			call(keyobjtrigger,8,1);
		}

		CurEnvTrigger("omnictrl1");
		float(_set,TmpFloat,0x0000ff);
		call(expset1,TmpFloat,300,-1);
		call(expset2,TmpFloat,300,-1);
		CurEnvTrigger("omnictrl2");
		float(_set,TmpFloat,0xff0000);
		call(expset1,TmpFloat,300,-1);
		call(expset2,TmpFloat,300,-1);
		CurEnvTrigger("omnictrl3");
		float(_set,TmpFloat,0xff0000);
		call(expset1,TmpFloat,300,-1);
		call(expset2,TmpFloat,300,-1);
		CurEnvTrigger("omnictrl2");
		float(_set,TmpFloat,0xffff00);
		call(expset1,TmpFloat,400,-1);
		CurEnvTrigger("vidball");
		float(_set,TmpFloat,0x0000ff);
		call(expset1,TmpFloat,300,-1);
		call(expset2,TmpFloat,300,-1);
	}

	if(VSetActive=="rlhstn1")
	{
		if(VarKey58&=2)
		{
			float(_set,TmpFloat,0x8000);
		}
		else
		{
			float(_set,TmpFloat,0x800000);
		}

		CurEnvTriggerSet("rlhstn1","DR_HSTN1C");
		call(expset1,1,TmpFloat,0);
	}  

	if(VSetActive=="rlquar")
	{
		if(VarKey54&=4)
		{
			float(_set,TmpFloat,0x8000);
		}
		else
		{
			float(_set,TmpFloat,0x800000);
		}
		CurEnvTriggerSet("rlquar","Dr_quar12");
		call(expset1,1,TmpFloat,0);
		CurEnvTriggerSet("rlquar","Dr_quar34");
		call(expset1,1,TmpFloat,0);

		if(VarKey54&=1)
		{
			GetNumbActorsInSet("rlquar",_AIClassWorker,TmpFloat);
			if(TmpFloat==0)
			{
				CurEnvTriggerSet("rlquar","dead");
				call(KeyObjTrigger,255,1);
				float(_clr,VarKey54,1);			//don't check for this door opening again
			}
		}

		if(VarKey54&=2)
		{
			float(_add,VarKey62,1);

			if(VarKey62==1)
			{
				dmessage("Decontamination Sequence Initiated",100,100);
				sample(SFXVent2loop2D,-1);
				call(ChangeFog,_SXFogType,_SXFogExp);
			}

			if(VarKey62<=350)
			{
				if(vrnd<2)
				{
					vector(_set,Gactorine,0,10,0);
					call(SetParticleSetID,"rlquar");
					vector(_set,Gactorpos,-10988,21723,8893);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-11092,21723,8993);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-10884,21723,9003);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-10779,21723,8900);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-10884,21723,8786);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-10987,21723,8695);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-11093,21723,8799);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);

					vector(_set,Gactorpos,-10779,21723,8705);
					SpawnParticle(fx_steampipes,-1,Gactorpos,Gactorine,-1);
				}
				float(_set,TmpFloat,VarKey62);
				float(_div,TmpFloat,350);
				float(_mul,TmpFloat,0.003);
				call(ChangeFog,_SXFogDensity,TmpFloat);
			}
			else
			{
				float(_set,TmpFloat,VarKey62);
				float(_div,TmpFloat,350);
				float(_set,TmpFloat2,2);
				float(_sub,TmpFloat2,TmpFloat);
				float(_mul,TmpFloat2,0.003);
				call(ChangeFog,_SXFogDensity,TmpFloat2);
			}

			if(VarKey62==700)
			{
				message("You may proceed",120,10);
				samplestop(SFXVent2loop2D);
				float(_set,VarKey62,0);
				float(_or,VarKey54,4);
				float(_clr,VarKey54,2);
				call(ChangeFog,_SXFogType,_SXFogOff);
			}
		}
	}
	if(VSetActive=="rlplza2")
	{
		float(_add,timer,2);

		if(timer==250)
		{
			vector(_set,gactorpos,-11551,21849,12386);
			sample(SFXThunder1,Gactorpos);
			float(_set,timer,0);
		}
		CurEnvTriggerSet("rlplza2","ltng5");
		if(Vrnd<15)
		{
			float(_set,TmpFloat,0xffffff);
			call(expset1,1,TmpFloat,0);

			vector(_set,gactorpos,-6609,21849,12128);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
		}
		else
		{
			float(_set,TmpFloat,0x000000);
			call(expset1,1,TmpFloat,0);
		}
	}

	if(VSetActive=="rlplza3")					//first plaza3
	{
		CurEnvTriggerSet("rlplza3","ltng6");
		if(Vrnd<5)
		{
			float(_set,TmpFloat,0xffffff);
			call(expset1,1,TmpFloat,0);

			vector(_set,gactorpos,-8595,21849,11934);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

			vector(_set,gactorpos,-7855,21849,11951);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
		}
		else
		{
			float(_set,TmpFloat,0x000000);
			call(expset1,1,TmpFloat,0);
		}
		if(Vrnd<2)
		{
			float(_set,TmpFloat,0xffffff);
			call(expset2,1,TmpFloat,0);

			vector(_set,gactorpos,-10556,21849,11268);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

			vector(_set,gactorpos,-9700,21849,11788);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
		}
		else
		{
			float(_set,TmpFloat,0x000000);
			call(expset2,1,TmpFloat,0);
		}
	}

	if(VSetActive=="rlplza3b")				//timer2&3 probably need some fixing
	{
/*		float(_add,timer,2);

		if(timer==320)
		{
			vector(_set,gactorpos,-8595,21849,11934);
			sample(SFXThunder1,Gactorpos);
		}
		if(timer==450)
		{
			vector(_set,gactorpos,-7855,21849,11951);
			sample(SFXThunder2,Gactorpos);
		}
		if(timer>=500)
		{
			float(_set,timer,0);
		}
*/
		if(VarKey63&=1)
		{
			if(timer2<1500)
			{
				float(_add,timer2,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-9508,21717,10885);
					vector(_set,Gactorine,0,3,-12);
					call(SetParticleSetID,"rlplza3b");
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,0,0,-12);
					vector(_add,Gactorpos,fxvector);
					call(SetParticleSetID,"rlplza3b");
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza3b","fire");
			call(CheckTriggerObjFlag,TmpFloat,1,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,1);
			}
			float(_set,timer2,0);
		}

		if(VarKey63&=2)
		{
			if(timer3<1500)
			{
				float(_add,timer3,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-9584,21717,10885);
					vector(_set,Gactorine,0,3,-12);
					call(SetParticleSetID,"rlplza3b");
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,0,0,-12);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza3b","fire");
			call(CheckTriggerObjFlag,TmpFloat,2,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,2);
			}
			float(_set,timer3,0);
		}
	}

	if(VSetActive=="rlplza2a")				//timer2&3 probably need some fixing
	{
		if(VarKey63&=4)
		{
			if(timer2<1500)
			{
				float(_add,timer2,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-6810,22623,10886);
					vector(_set,Gactorine,0,3,-12);
					call(SetParticleSetID,"rlplza2a");
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,0,0,-12);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza2a","fire");
			call(CheckTriggerObjFlag,TmpFloat,1,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,4);
			}
			float(_set,timer2,0);
		}

		if(VarKey63&=8)
		{
			if(timer3<1500)
			{
				float(_add,timer3,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-6882, 22623, 10886);
					vector(_set,Gactorine,0,3,-12);
					call(SetParticleSetID,"rlplza2a");
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,0,0,-12);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza2a","fire");
			call(CheckTriggerObjFlag,TmpFloat,2,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,8);
			}
			float(_set,timer3,0);
		}
	}

	if(VSetActive=="rlplza2c")				//timer2&3 probably need some fixing
	{
		call(SetParticleSetID,"rlplza2c");
		if(VarKey63&=16)
		{
			if(timer2<1500)
			{
				float(_add,timer2,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-8010, 20824, 10886);
					vector(_set,Gactorine,0,3,-12);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,0,0,-12);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza2c","fire");
			call(CheckTriggerObjFlag,TmpFloat,1,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,16);
			}
			float(_set,timer2,0);
		}

		if(VarKey63&=32)
		{
			if(timer3<1500)
			{
				float(_add,timer3,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-8082, 20824, 10886);
					vector(_set,Gactorine,0,3,-12);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,0,0,-12);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza2c","fire");
			call(CheckTriggerObjFlag,TmpFloat,2,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,32);
			}
			float(_set,timer3,0);
		}
	}

	if(VSetActive=="rlplza3c")				//timer2&3 probably need some fixing
	{
		call(SetParticleSetID,"rlplza3c");
		if(VarKey63&=64)
		{
			if(timer2<1500)
			{
				float(_add,timer2,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-10271,20824,9973);
					vector(_set,Gactorine,12,3,0);
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,12,0,0);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza3c","fire");
			call(CheckTriggerObjFlag,TmpFloat,1,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,64);
			}
			float(_set,timer2,0);
		}

		if(VarKey63&=128)
		{
			if(timer3<1500)
			{
				float(_add,timer3,1);
				if(VRnd<50)
				{
					vector(_set,Gactorpos,-10271,20824,9901);
					vector(_set,Gactorine,12,3,0);
					call(SetParticleSetID,"rlplza3c");
					SpawnParticle(fx_firejets,-1,Gactorpos,Gactorine,-1);
				}
				if(skipcollidecount>=5)
				{
					vector(_set,fxvector,12,0,0);
					vector(_add,Gactorpos,fxvector);
					call(CheckActorCollision,gactorpos,75,0,_COLFire);
				}
			}
		}
		else
		{
			CurEnvTriggerSet("rlplza3c","fire");
			call(CheckTriggerObjFlag,TmpFloat,2,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				float(_or,VarKey63,128);
			}
			float(_set,timer3,0);
		}
	}

	if(VSetActive=="rlhsng1")
	{
		call(SetParticleSetID,"rlhsng1");
		if(vrnd<10)
		{
			vector(_set,Gactorpos,-15250,20762,8904);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

			vector(_set,Gactorpos,-15250,20762,8766);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
			vector(_set,tmpvector,236,110,10);
			vector(_set,Gactorpos,-14922,20904,8953);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

			vector(_set,Gactorpos,-15250,20762,8644);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

			vector(_set,Gactorpos,-15250,20762,8511);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
		}
		if(vrnd<5)
		{
			call(SetParticleSetID,"rlhsng1");
			vector(_set,Gactorpos,-15940,20762,8904);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

			vector(_set,Gactorpos,-15940,20762,8766);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
			vector(_set,tmpvector,50,50,250);
			vector(_set,Gactorpos,-15914,20904,8953);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

			vector(_set,Gactorpos,-15940,20762,8644);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);

			vector(_set,Gactorpos,-15940,20762,8511);
			vector(_set,Gactorine,0,20,0);
			spawnparticle(fx_steam,-1,gactorpos,gactorine,fx_doorsteam);
		}
	}
	if(VSetActive=="rlhsng2")
	{
		float(_add,timer,2);

		if(timer==320)
		{
			vector(_set,gactorpos,-15754,21849,12721);
			sample(SFXThunder1,Gactorpos);
		}
		if(timer==450)
		{
			vector(_set,gactorpos,-13643,21849,12724);
			sample(SFXThunder2,Gactorpos);
		}
		if(timer>=500)
		{
			float(_set,timer,0);
		}

		CurEnvTrigger("DR_HSRM1A");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			CurEnvTriggerSet("rlhsrm1","DR_HSRM1A");
			call(KeyObjTrigger,255,1);
			kfsample(SFXDoOp1,SFXDoMo1,-1,SFXDoCl1);
			direction(_clr,_DIRaction);
		}

		CurEnvTrigger("ltng3");
		if(Vrnd<5)
		{
			float(_set,TmpFloat,0xffffff);
			call(expset1,1,TmpFloat,0);
			vector(_set,gactorpos,-15069,22138,11846);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

			vector(_set,gactorpos,-15069,21202,11846);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
		}
		else
		{
			float(_set,TmpFloat,0x000000);
			call(expset1,1,TmpFloat,0);
		}
		if(Vrnd<2)
		{
			float(_set,TmpFloat,0xffffff);
			call(expset2,1,TmpFloat,0);
			vector(_set,gactorpos,-16153,21202,11959);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

			vector(_set,gactorpos,-16153,22138,11959);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
		}
		else
		{
			float(_set,TmpFloat,0x000000);
			call(expset2,1,TmpFloat,0);
		}
	}

	if(VSetActive=="rlhsng3")
	{
		float(_add,timer,2);

		if(timer==250)
		{
			vector(_set,gactorpos,-11551,21849,12386);
			sample(SFXThunder1,Gactorpos);
			float(_set,timer,0);
		}


		CurEnvTrigger("ltng2");
		if(Vrnd<7)
		{
			float(_set,TmpFloat,0xffffff);
			call(expset1,1,TmpFloat,0);
			vector(_set,gactorpos,-13255,22138,12099);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

			vector(_set,gactorpos,-13255,21202,12099);
			vector(_set,tmpvector,18,167,236);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
		}
		else
		{
			float(_set,TmpFloat,0x000000);
			call(expset1,1,TmpFloat,0);
		}
	}

	if(VCurSet=="Rlhsng4")		//is curset, because there is so many active in redlite
	{
		call(SetParticleSetID,"Rlhsng4");
		if(VarKey64&=1)
		{
			float(_set,TmpFloat,1);
			float(_set,TmpFloat2,-1);
		}
		else
		{
			float(_set,TmpFloat,-1);
			float(_set,TmpFloat2,1);
		}
		
		//	Missing sounds
		//
		if(VarKey64<90)
		{
			vector(_set,Gactorpos,-12325,20978,8509);
			if(VRnd<50)
			{
				vector(_setx,Gactorine,10);
				vector(_sety,Gactorine,TmpFloat);
				vector(_setz,Gactorine,TmpFloat2);
				SpawnParticle(fx_steam,-1,Gactorpos,Gactorine,-1);
			}
			if(skipcollidecount>=5)
			{
				vector(_addx,Gactorpos,45);
				call(CheckActorCollision,gactorpos,45,0,_COLsteam);
			}
		}
		elseif(VarKey64<180)
		{
			vector(_set,Gactorpos,-12078,20978,8041);
			if(VRnd<50)
			{
				vector(_setx,Gactorine,TmpFloat);
				vector(_sety,Gactorine,TmpFloat2);
				vector(_setz,Gactorine,10);
				call(SetParticleSetID,"Rlhsng4");
				SpawnParticle(fx_steam,-1,Gactorpos,Gactorine,-1);
			}
			if(skipcollidecount>=5)
			{
				vector(_addz,Gactorpos,45);
				call(CheckActorCollision,gactorpos,45,0,_COLsteam);
			}
		}
		elseif(VarKey64<270)
		{
			vector(_set,Gactorpos,-11590,20978,8041);
			if(VRnd<50)
			{
				vector(_setx,Gactorine,TmpFloat2);
				vector(_sety,Gactorine,TmpFloat);
				vector(_setz,Gactorine,10);
				call(SetParticleSetID,"Rlhsng4");
				SpawnParticle(fx_steam,-1,Gactorpos,Gactorine,-1);
			}
			if(skipcollidecount>=5)
			{
				vector(_addz,Gactorpos,45);
				call(CheckActorCollision,gactorpos,45,0,_COLsteam);
			}
		}
		float(_add,VarKey64,1);
		if(VarKey64>360)
		{
			float(_set,VarKey64,0);
		}
	}

///////////////////////
//// MILITARY ZONE ////
///////////////////////
	
	if(skipcollidecount>=5)
	{
		float(_set,skipcollidecount,0);
	}
	float(_add,skipcollidecount,1);

	float(_add,FireJetLife,1);
}













SubRoutine(BackgroundTriggerChecksScene8)
{
////////////////////
//// CLUB ACCESS ////
/////////////////////
	if(VCurSet=="acs01")
	{
		CurEnvTrigger("lift");
		if(VTrigger==_DIREnvTrigger && VarKey57==0)
		{
			call(KeyObjTrigger,255,1);
			float(_set,VarKey57,1);
			float(_set,TmpFloat,0x00ccff);
			call(expset1,TmpFloat,350,-1);
			direction(_clr,_DIRaction);
		}
		if(VKeyObjFrame!=0 && VKeyObjTriggered==0 && timer2==5)
		{
			message("Have a Nice Day !",120,10);
			float(_set,timer2,0);
		}
		if(VKeyObjFrame==1)
		{
			call(DisplayObjectives);
		}
	}
	elseif(VCurSet=="acsfoyer")
	{
		CurEnvTrigger("foyerdoor");
		if(VTRigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}

		if(BarmanAction==0)
		{
			GetNumbActorsInSet("acsfoyer",_AIclassbarpeople,TmpFloat);
			if(TmpFloat!=0)
			{			
				if(VAIClass==_AIClassBarPeople && VAICon!=0 && VState==StateNormal)
				{
					CurEnvTrigger("inthere");
					if(VTrigger==_DIREnvTrigger)
					{
						if(Barmantimer==0)
						{
							float(_or,AirLock,Help03);
						}
						else
						{
							if(Vaction!=BarmanGestures)
							{
								spawnaction(BarmanGestures);
							}
						}
					}
					else
					{
						float(_clr,AirLock,Help03)
					}
				}

				if(VAICon==0)
				{
					CurEnvTrigger("bounce");
					if(VTrigger==_DIREnvTrigger)
					{
						if(VTrigger!=_DIRMove && Varbit&=Help07)
						{
							ClearDMessage();
							dmessage("I am sorry Mr. Daddy@ but the Club is full",50,150);
							float(_clr,VarBit,Help07);
						}
					}
					else
					{
						float(_or,VarBit,Help07);
					}
						
					CurEnvTrigger("talk2me");
					if(VTrigger==_DIREnvTrigger)
					{
						if(VTrigger==_DIRforward)
						{
							if(BarmanTimer==0 && VarBit!=Help03)
							{
								if(VarBit&=Help04)
								{
									ClearDMessage();
									dmessage("Well@ I have to say : that game rocks !",50,999);
									dmessage("It's so cool that I can be part of the",60,999);
									dmessage("cast. When they contacted me@ to tell",70,999);
									dmessage("me I had the job@ I was so happy that",80,999);
									dmessage("I wet my pants. But that's another story",90,999);
									dmessage("do you know juicy Linda ?",100,999);
									float(_clr,VarBit,Help04);
									float(_set,BarmanTimer,1);
								}
								elseif(VarBit&=Help05 && VarBit&!=Help04)
								{
									ClearDMessage();
									dmessage("Well juicy Linda is a waitress",50,999);
									dmessage("inside the club. But...er...she",60,999);
									dmessage("performs many...things. Services",70,999);
									dmessage("if you prefer...So if you feel",80,999);
									dmessage("lonely@ just tell me and I'll",90,999);
									dmessage("hook you up with her. My fees",100,999);
									dmessage("are fairly reasonable.",110,999);
									dmessage("I'll talk to you later",120,999);

									float(_clr,VarBit,Help05);
									float(_set,BarmanTimer,1);
								}
								elseif(VarBit&=Help06)
								{
									ClearDMessage();
									dmessage("Only 250 USD for the full night.",50,999);
									dmessage("65 bu' for a hand job",60,999);
									dmessage("85 bu' for a blow job",70,999);
									dmessage("115 bu' for ...",80,999);
									float(_clr,VarBit,Help06);
									float(_set,Barmantimer,1);
								}
							}
						}
					}
					else
					{
						float(_set,BarmanTimer,0);
					}
				}
			}
		}
	}
	elseif(VCurSet=="acs02")
	{
		if(vrnd<50)
		{
			vector(_set,gactorpos,-8818,18553,11742);
			float(_rnd2,tmpfloat,128);
			float(_sub,tmpfloat,64);
			vector(_addx,gactorpos,tmpfloat);
			vector(_addy,gactorpos,tmpfloat);
			vector(_addz,gactorpos,tmpfloat);
			call(SetParticleSetID,"acs02");
			vector(_set,tmpvector,64,64,255);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,400);
		}
		else
		{
			vector(_set,gactorpos,-8818,18553,11742);
			float(_rnd2,tmpfloat,128);
			float(_sub,tmpfloat,64);
			vector(_addx,gactorpos,tmpfloat);
			vector(_addy,gactorpos,tmpfloat);
			vector(_addz,gactorpos,tmpfloat);
			call(SetParticleSetID,"acs02");
			vector(_set,tmpvector,255,64,64);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,400);
		}
		if(vrnd<20)
		{
			vector(_set,gactorpos,-8818,18553,11742);
			float(_rnd2,tmpfloat,128);
			float(_sub,tmpfloat,64);
			vector(_addx,gactorpos,tmpfloat);
			vector(_addy,gactorpos,tmpfloat);
			vector(_addz,gactorpos,tmpfloat);

			vector(_set,tmpvector,128,255,128);
			spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,400)
		}

		CurEnvTrigger("diecheck");
		callsub(Fall2Death);
		
		CurEnvTrigger("lid01");
		if(VKeyObjTriggered==0)
		{
			call(KeyObjTrigger,28,1,-1);
			call(KeyObjActiveSegment,0,28);
		}

		CurEnvTrigger("lid02");
		if(VKeyObjTriggered==0)
		{
			call(KeyObjTrigger,34,1,-1);
			call(KeyObjActiveSegment,0,34);
		}
					
		if(VAICon==0)
		{
			CurEnvTrigger("pelisse2");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(Sub_SetCameraNormal);
			}

			CurEnvTrigger("pelisse");
			if(VTrigger==_DIREnvTrigger)
			{
				Camera(elevator_camera_distance,elevator_camera_angle);
				Target(elevator_camera_Tdistance,elevator_camera_Tangle);
			}

			CurEnvTrigger("pelisse4");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(Sub_SetCameraNormal);
			}

			CurEnvTrigger("pelisse3");
			if(VTrigger==_DIREnvTrigger)
			{
				Camera(200,400);
				Target(-10,20);
			}
		}
		if(VarBit&!=Help01 && VarBit&=Help02)
		{
			if(VAICon!=0 && VPathID==3)
			{
				call(AIfindpathwithspecificid,4);
				float(_clr,Varbit,Help02);
			}
		}
		CurEnvTrigger("bounce");
		if(VTrigger==_DIREnvTrigger && VTrigger!=_DIRMove && VAICon==0)
		{
			if(VAIClass==_AIClassPimp)
			{
				if(VarBit&=Help01)
				{
					dmessage("You may go in@ Mr. Daddy",50,200);
					float(_clr,VarBit,Help01);
				}
			}
			else
			{
				dmessage("Club Kyd Is Full. Please Come Back Later",50,200);
				sample(SFXAccessDenied,Gactorpos);
			}
		}

		CurEnvTrigger("foyerdoor");
		if(VTrigger==_DIREnvTrigger && VTRigger==_DIRaction)
		{
			if(VAIClass==_AIClassPimp)
			{
				callsub(DoorOpen,1,1);
			}
			else
			{
				ClearDMessage();
				dmessage("I thought I told you it was full !",50,200);
				call(AIchangeplayertoenemy);
			}
		}

		CurEnvTrigger("dr_bars");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction && VKeyObjTriggered==0 && VAICon==0)
		{
			if(VarKey2==2)
			{
				call(ActivateButton,"Door Unlocked To Your Right.",-1,FALSE);
				call(ActivateButtonSample,SFXValidFunction);
				vector(_set,Gactorpos,-6506,17328,11129);
				samplestop(SFXElectric4,Gactorpos);
				sample(SFXScanHumm02,Gactorpos);
				float(_set,VarKey2,3);
				direction(_clr,_DIRaction);
			}
			else
			{
				call(ActivateButton,"System Deficiency - Circuit Box Needs Repair",-1,FALSE);
				call(ActivateButtonSample,SFXInvalidFunction);
				direction(_clr,_DIRaction);
			}
		}

		if(VarKey2==3)
		{
			float(_add,timer3,1);
			if(timer3>=100)
			{
				CurEnvTrigger("dr_bars");
				callsub(DoorOpen,1,1);
				float(_set,VarKey2,4);
				float(_set,timer3,0);
			}
		}

		CurEnvTrigger("zap");
		if(VarKey2<4)
		{
			if(VTrigger==_DIREnvTrigger)
			{
				colstate(_or,_COLelectricity);
			}
		}

		CurEnvTrigger("repair");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAIClass==_AIClassWorker)
			{
				if(VAIcon==0)
				{
					if(VarKey2==0)
					{
						call(ActivateButton,"Power restored",-1,FALSE);
						call(ActivateButtonSample,SFXValidFunction);
						vector(_set,Gactorpos,-8683,17634,10020);
						samplestop(SFXSmallSparks,Gactorpos);
						call(KeyObjTrigger,255,1);
						CurEnvTrigger("repair");
						float(_set,TmpFloat,0xff0000);
						call(expset1,1,TmpFloat);
						call(expset2,1,TmpFloat);
						CurEnvTrigger("dr_bars");
						call(expset1,1,TmpFloat);
						call(expset2,1,TmpFloat);
						float(_set,VarKey2,1);
						call(PlayerInput,0);
						CutScene("camera01");
						float(_set,timer3,0);
						direction(_clr,_DIRaction);
					}
					else
					{
						call(ActivateButton,"Circuit Box Has Been Repaired",-1,FALSE);
						call(ActivateButtonSample,SFXInvalidFunction);
					}
				}
			}
			else
			{
				call(ActivateButton,"What is this thing doing?",-1,FALSE);
				call(ActivateButtonSample,SFXInvalidFunction);
			}
		}
	}
	elseif(VCurSet=="acs03")
	{
		CurEnvTrigger("diecheck");
		callsub(Fall2Death);

		CurEnvTrigger("doorslam");
		if(VTrigger==_DIREnvTrigger);
		{
			CurEnvTrigger("slam");
			if(VKeyObjTriggered==0 && VarKey2==4)
			{
				call(KeyObjTrigger,255,1);
				vector(_set,Gactorpos,-6220,17219,11146);
				sample(SFXBigDoorSlamShut,Gactorpos);
				call(ScreenShake,0,10,0,0.8);
				float(_set,VarKey2,5);
			}
		}

		CurEnvTrigger("elecarc");
		if(Vrnd<5)
		{
			float(_set,TmpFloat,0xffffff);
			call(expset1,1,TmpFloat,0);
		//	vector(_set,gactorpos,-15069,22138,11846);
		//	vector(_set,tmpvector,18,167,236);
		//	spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);

		//	vector(_set,gactorpos,-15069,21202,11846);
		//	vector(_set,tmpvector,18,167,236);
		//	spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,250);
		}
		else
		{
			float(_set,TmpFloat,0x000000);
			call(expset1,1,TmpFloat,0);
		}
	}
	elseif(VCurSet=="acs04")
	{
		if(VKey==KEY_L)
		{
			float(_set,VarKey59,5);
		}

		CurEnvTrigger("diecheck");
		callsub(Fall2Death);

		CurEnvTrigger("fake");
		if(VTrigger==_DIREnvTrigger && Vtrigger==_DIRaction)
		{
			message("Door Is Inaccessible",120,10);
			sample(SFXAccessDenied,Gactorpos);
		}

		CurEnvTrigger("opdoor");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VarKey59>=4 && VKeyObjFrame==0)
			{
				call(KeyObjTrigger,255,1);
				kfsample(SFXLatchSpecial,SFXVaultMove,-1,SFXLatchSpecial);
				direction(_clr,_DIRaction);
			}
		}

		CurEnvTrigger("strip");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VarKey59<4)
			{	
				colstate(_or,_COLelectricity);
			}
		}


		CurEnvTrigger("console");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICon==0)
			{
				if(VarKey59==0)
				{
					call(ActivateButton,"Cooling Fan Power Surge",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					call(PlayerInput,0);
					float(_set,VarKey59,1);
					float(_set,timer2,0);
					direction(_clr,_DIRaction);
				}
				else
				{
					call(ActivateButton,"Console Already In Use",-1,FALSE);
					call(ActivateButtonSample,SFXInvalidFunction);
					direction(_clr,_DIRaction);
				}
			}
		}

		if(VKeyObjTriggered!=0)
		{
			if(VKeyObjFrame>16 && VKeyObjFrame<24)
			{
				vector(_set,Gactorpos,-7733,18311,15399);
				vector(_set,tmpvector,0,100,250);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				vector(_set,Gactorpos,-5576,18277,15348);
				sample(SFXTeslaCoil,Gactorpos);
			}
			if(VKeyObjFrame>28 && VKeyObjFrame<36)
			{
				vector(_set,Gactorpos,-7733,18311,15399);
				vector(_set,tmpvector,0,100,250);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				vector(_set,Gactorpos,-5576,18277,15348);
				sample(SFXTeslaCoil,Gactorpos);
			}
			if(VKeyObjFrame==30)
			{
				vector(_set,Gactorpos,-5576,18277,15348);
				sample(SFXBazookaExplode,Gactorpos);
				call(wCheckViewCollision,-1,-1,-1);
				call(SetParticleSetID,"acs04");
				vector(_set,fxvector,0,100,0);
				vector(_set,tmpvector,255,0,0);
				vector(_set,Gactorpos,-7800,18250,15600);
				vector(_add,gactorpos,fxvector);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				spawnlight(flash_light,-1,Gactorpos,tmpvector,EmptyVector,1500);
				vector(_add,gactorpos,fxvector);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,-1);
				vector(_add,gactorpos,fxvector);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,fx_antirotate8);
				vector(_add,gactorpos,fxvector);
				spawnparticle(fx_mainexplosion,-1,gactorpos,emptyvector,-1);
				float(_set,VarKey59,4);
			}
		}

		if(VarKey61==0)
		{
			call(CheckTriggerObjFlag,TmpFloat,1,_SXObjDynamicObj);
			if(TmpFloat==TRUE)
			{
				vector(_set,Gactorpos,-4879,18325,15352);
				sample(SFXWindBlow,Gactorpos);
				float(_set,VarKey61,1);
			}
		}
		if(VarKey59==1)
		{
			float(_add,timer2,1);
			if(timer2>=80)
			{
				CutScene("mungsucker");
				float(_set,VarKey59,2);
				float(_set,timer2,0);
			}
		}
		
		if(VCutSceneFrame>=165 && VCutSceneFrame<=170 && VarKey59!=0)
		{
			CurEnvTrigger("console");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,255,1);
			}
		}
		if(VCutSceneFrame>=250 && VCutSceneFrame<=280)
		{
			call(ChangeCutScene,_SXCUTflag,_or,_SXCUTnosmooth);
		}
		if(VCutSceneFrame>=290 && VarKey59<5)
		{
			call(ChangeCutScene,_SXCUTflag,_clr,_SXCUTnosmooth);
			call(PlayerInput,1);
			float(_set,VarKey59,5);
		}
	}
	elseif(VCurSet=="acs05")
	{
		CurEnvTrigger("diecheck");
		callsub(Fall2Death);

		CurEnvTrigger("opdoor");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,2,1);
		}

		COLobj("lightdummy");
		if(VTrigger==_DIRTempFlag)
		{
			colstate(_or,_COLelectricity);
		}
	}
	elseif(VCurSet=="acs06")
	{
		CurEnvTrigger("diecheck");
		callsub(Fall2Death);
	}

	elseif(VCurSet=="acsvent")
	{
		CurEnvTrigger("wayin");
		if(VTrigger==_DIREnvTrigger && VFirstPerson==0)
		{
			firstperson(1,1);
		}
	
		CurEnvTrigger("gridin");
		if(VTrigger==_DIREnvTrigger && VFirstPerson==1)
		{
			firstperson(0,0);
		}

		CurEnvTrigger("gridout");
		if(VTrigger==_DIREnvTrigger && VFirstPerson==0)
		{
			firstperson(1,1);
		}

		CurEnvTrigger("wayout");
		if(VTrigger==_DIREnvTrigger)
		{
			firstperson(0,0);
		}

		CurEnvTrigger("fall");
		if(VTrigger==_DIREnvTrigger && VKeyObjFrame==0 && VKeyObjTriggered==0 && VarKey59==0)
		{
			call(KeyObjTrigger,255,1);
			sample(SFXRustDoorClose2,-1);
		}
	}
	elseif(VCurSet=="acsbooth")
	{
		CurEnvTrigger("fakedr");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			message("Access Denied",120,10);
			sample(SFXInvalidFunction,Gactorpos);
		}
	}
	elseif(VCurSet=="acs07")
	{
		if(VarKey55==6)
		{
			CurEnvTrigger("Lift2Club");
			samplestop(SFXLiftMove);
			sample(SFXSmallLiftStop2,Gactorpos);
			call(KeyObjTrigger,1,1);
			float(_set,VarKey55,7);
		}

		if(VarKey55==3)
		{
			CurEnvTrigger("Lift2Club");
			if(VTrigger==_DIREnvTrigger)
			{
				if(VAICON==0)
				{
					message("Lift Called - Please Wait a Moment",120,10);
					sample(SFXAccessOk,Gactorpos);
					vector(_set,Gactorpos,-9800,19543,13091);
					sample(SFXLiftMove,Gactorpos);
					call(expset1,1,1,15);
				}

				if(VAIClass==_AIClassDweller && VAICon!=0)
				{
					dmessage("killed the dweller",50,150);
					killactor();
				}
				vector(_set,Gactorangle,0,-1024,0);
				vector(_set,Gactorpos,-9596,18626,13060);
				InitActor(dweller1,Gactorpos,Gactorangle,"acs07",FALSE,0);
				vector(_set,Gactorpos,-9596,18668,13060);
				InitActor(WeaponPumpGun,Gactorpos,Gactorangle,"acs07");
				float(_set,VarKey55,4);
			}
		}
		if(VarKey55==4 && VAICon==0)
		{
			CurEnvTrigger("lifty");
			call(KeyObjTrigger,2,1);
			float(_set,VarKey55,5);
		}

		CurEnvTrigger("diecheck");
		callsub(Fall2Death);

		CurEnvTrigger("inlift");
		if(VTrigger==_DIREnvTrigger && VAIcon==0)
		{
			CurEnvTrigger("Lift2Club");
			call(KeyObjTrigger,2,1);
			CurEnvTrigger("lifty");
			call(KeyObjTrigger,3,1);
		}

		CurEnvTrigger("clubenter");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction && VarBit&!=Help09)
		{
			if(VAICON==0)
			{
				message("Welcome to the Club Kyd !",120,10);
			}
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="acs08")
	{
		CurEnvTrigger("doorslam");
		if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
		{
			callsub(DoorOpen,2,0);
			direction(_clr,_DIRaction);
			float(_set,timer2,0);
		}
	}

	elseif(VCurSet=="acs09")
	{
		if(VAICon==0)
		{
			if(VarKey68&!=4)
			{
				CurEnvTriggerSet("acs10","pilon1");
				if(VKeyObjTriggered==0)
				{
					call(KeyObjTrigger,110,1,-1);
					call(KeyObjActiveSegment,0,110);
				}
				CurEnvTriggerSet("acs10","pilon2");
				if(VKeyObjTriggered==0)
				{
					call(KeyObjTrigger,110,1,-1);
					call(KeyObjActiveSegment,0,110);
				}
			}
			
			CurEnvTrigger("piege");
			if(VTrigger==_DIREnvTrigger)
			{
				if(VarKey68&!=4)
				{
					setkeyframe("acs07","lifty",1);
					call(PlayerInput,0);
					float(_or,VarKey68,4);
					float(_set,timer2,0);
				}
			}
		}
		if(VarKey68&=4 && VarKey68&!=8)
		{
			if(VAIClass==_AIClassWorker)
			{
				if(Vaction==WorkerWeldingKneel)
				{
					spawnaction(WorkerKneelCrush);
					sample(SFXShaftRotate2,Gactorpos);
				}
			}

			float(_add,Timer2,1);
			if(timer2==120)
			{
				CurEnvTrigger("panel");
				call(KeyObjTrigger,255,1);
				sample(SFXGunTurretHatch,-1);
			}
			if(timer2>=210)
			{
				float(_or,VarKey68,8);
				float(_set,timer2,0);
			}
		}
		if(VarKey68&=8)
		{
			CurEnvTrigger("piege");
			if(VKeyObjTriggered==0)
			{
				call(KeyObjTrigger,110,1,-1);
				call(KeyObjActiveSegment,0,110);
			}

			if(VKeyObjFrame==6 || VKeyObjFrame==61)
			{
				vector(_set,Gactorpos,-7636,19470,13946);
				sample(SFXShaftLock,Gactorpos);
				float(_clr,VarKey68,8);
				float(_or,VarKey68,16);
				float(_set,timer3,0);
			}
		}
		if(VarKey68&=16)
		{
			if(AngelReact==0)
			{
				float(_set,AngelReact,1);
			}
			if(VAIClass==_AIClassWorker)
			{
				if(Vaction==WorkerKneelCrush)
				{
					vector(_set,Gactorpos,-7636,19470,13946);
					vector(_set,tmpvector,250,250,250);
					spawnlight(Omni_Flash,-1,Gactorpos,tmpvector,EmptyVector,600);
					sample(SFXWorkerKneelCrush,Gactorpos);
					spawnaction(WorkerKneelDead);
					call(CheckAttached,_CADropWeaponAndShells);
					Direction(_clr,_DIRalive);
					State(_or,StateDead);
				}
			}
			if(VAICon==0)
			{
				float(_add,timer3,1);
			}
			if(timer3<=20)
			{
				vector(_set,BloodPos,-7636,19470,13946);
				vector(_set,gactorine,0,0,0);
				float(_rnd2,tmpfloat,128);
				float(_sub,tmpfloat,64);
				vector(_setx,gactorine,tmpfloat);
				float(_rnd2,tmpfloat,128);
				float(_sub,tmpfloat,64);
				vector(_setz,gactorine,tmpfloat);
				vector(_add,BloodPos,gactorine);
				callsub(Sub_BloodFxSprayAbs);
				callsub(Sub_BloodFx2Abs);
			}
			else
			{
				float(_clr,VarKey68,16);
				float(_or,VarKey68,8);
			}
		}
		if(AngelReact==1)
		{
			if(VAIClass==_AIClassAngel)
			{
				spawnaction(BobBangHead);
				call(PlayerInput,1);
				float(_set,AngelReact,2);
			}
		}
	}

	elseif(VCurSet=="acs10")
	{
		CurEnvTrigger("entrance");
		if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0 && VAICon==0)
		{
			callsub(DoorOpen,2,1);
		}
		CurEnvTrigger("pilon1");
		if(VKeyObjFrame==100 || VKeyObjFrame==46 || VKeyObjFrame==6 || VKeyObjFrame==61)
		{
			vector(_set,Gactorpos,-6357,19555,12627);
			sample(SFXShaftLock,Gactorpos);
		}

		CurEnvTrigger("pilon2");
		if(VKeyObjFrame==100 || VKeyObjFrame==46 || VKeyObjFrame==6 || VKeyObjFrame==61)
		{
			vector(_set,Gactorpos,-6357,19555,12627);
			sample(SFXShaftLock,Gactorpos);
		}
	}

	elseif(VCurSet=="acs11")
	{
		CurEnvtrigger("breakleg");
		if(VTrigger==_DIREnvTrigger)
		{
			if(VarKey68&!=1)
			{
				if(VAIClass==_AIClassWorker)
				{
					state(_or,StateCrawling)
					state(_clr,StateExecuteAnim);
					sample(SFXPainMale1,-1);
					call(CheckAttached,_CADropWeaponAndShells);
					CallSub(Sub_ChangeStateToNormal);
					float(_or,VarKey68,1);
				}
			}
		}

		CurEnvTrigger("trap");
		if(VKeyObjFrame==20)
		{
			CurEnvTrigger("entrance");
			if(VTrigger==_DIREnvTrigger)
			{
				if(VAIcon==0)
				{
					call(LockCamera,1);
					call(PlayerInput,0);
					Direction(_clr,_DIRalive);
					State(_or,StateDead);
				}
			}
		}

		CurEnvTrigger("workdor");
		if(Vtrigger==_DIRaction && VTrigger==_DIREnvTrigger && VAICon==0)
		{
			if(VAIClass==_AIClassWorker)
			{
				if(MissionLevel1!=0)
				{
					message("All System Back To Normal",120,10);
					float(_set,TmpFloat,0x00ff00);
					call(expset1,1,TmpFloat,0);
					CurEnvTrigger("trap");
					call(KeySpeed,20,1000);
					call(KeyObjTrigger,0,-1);
					float(_set,VarKey55,2);
					vector(_set,Gactorpos,-8908,19729,12936);
					KillLight(LightPulseOmni3,Gactorpos,16);
					samplestop(SFXSirenAlert,Gactorpos)
					direction(_clr,_DIRaction);
				}
				else
				{
					message("Door Unlocked",120,10);
					CurEnvTrigger("workdor");
					if(VKeyObjFrame==0)
					{
						call(KeyObjTrigger,255,1);
						float(_set,TmpFloat,0x00ff00);
						call(expset2,1,TmpFloat,0);
						sample(SFXActivateComp,Gactorpos);
						vector(_set,Gactorpos,-9179,19558,13054);
						sample(SFXPneumatik2,Gactorpos);
						float(_set,VarKey55,3);
					}
				}
			}
			else
			{
				CurEnvTrigger("trap");
				if(VKeyObjFrame==0)
				{
					message("INTRUDER ALERT - EMERGENCY PROCEDURE",120,10);
					vector(_set,Gactorpos,-8715,19593,13054);
					sample(SFXIndustrial12,Gactorpos);
					float(_set,TmpFloat,0xff0000);
					call(expset1,1,TmpFloat,0);
					float(_set,MissionLevel1,1)
				}
			}
		}
		if(MissionLevel1==1)
		{
			CutScene("mungsucker");
			float(_set,MissionLevel1,2);
			float(_set,timer3,0);
		}
		if(MissionLevel1==2 && VCutSceneFrame==90)
		{	
			CurEnvTrigger("trap");
			call(KeyObjTrigger,10,1);
			sample(SFXGunTurretHatch,-1);
			direction(_clr,_DIRaction);
			float(_clr,VarBit,Help08);
			vector(_set,tmpvector,80,-50,-100);
			vector(_set,Gactorpos,-8908,19729,12936);
			spawnlight(LightPulseOmni3,-1,Gactorpos,tmpvector,EmptyVector,1000);
			sample(SFXSirenAlert,Gactorpos)
			float(_set,MissionLevel1,3);
		}
		if(MissionLevel1==3 && VCutSceneFrame>=190)
		{
			CurEnvTrigger("trap");
			call(KeyObjTrigger,255,1);
			sample(SFXRustDoorClose,-1);
			float(_set,MissionLevel1,4);
		}
	}
	elseif(VCurSet=="clubsas")
	{
		float(_add,timer,1);

		CurEnvTrigger("trap");
		if(VTrigger==_DIREnvTrigger && VarKey51==0 && VAICon==0)
		{
			call(KeyObjTrigger,9,1);
			vector(_set,Gactorpos,-8915,21411,13067);
			sample(SFXPneumatik,Gactorpos)
			message("Weapon Detector Activated - Put your Hand on the Console",200,10);
			float(_set,VarKey51,1);
		}
		if(VKeyObjTriggered==0 && VarKey51==1)
		{
			float(_set,VarKey51,2);
		}

		if(timer>300 && VarKey51==3)
		{
			if(Vtrigger==_DIRhavegun)
			{
				message("Weapon Detected - Drop it on the Plate Behind You",200,10);
				CurEnvTrigger("detector");
				call(KeyObjTrigger,4,1);
				sample(SFXWepPlate,Gactorpos);
				CurEnvTrigger("console");
				call(KeyObjTrigger,0,-1);
				float(_set,timer,0);
				float(_set,VarKey51,5);
			}
			else
			{
				message("No Weapon Detected - You May Proceed",200,10);
				CurEnvTrigger("trap");
				call(KeyObjTrigger,255,1);
				vector(_set,Gactorpos,-8915,21411,13067);
				sample(SFXPneumatik,Gactorpos)
				CurEnvTrigger("console");
				call(KeyObjTrigger,255,1);
				sample(SFXClawSpin,Gactorpos);
				sample(SFXOpenPipe,Gactorpos);
				float(_set,timer,0);
				float(_set,VarKey51,4);
			}
			samplestop(SFXScanningAmbient);
		}

		CurEnvTrigger("check");
		if(VTrigger==_DIREnvTrigger&&VOTrigger==_DIRActionHold&&VTrigger!=_DIRAction&&VarKey51==5)
		{
			float(_set,VarKey51,6);
		}

		if(VTrigger!=_DIREnvTrigger && VarKey51==6)
		{
			CurEnvTrigger("detector");
			call(KeyObjTrigger,0,-1);
			sample(SFXWepPlate,Gactorpos);
			message("Use The Console Again For Another Test",200,10);
			float(_set,VarKey51,2)
		}

		CurEnvTrigger("console");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction && VarKey51==2)
		{
			call(KeyObjTrigger,9,1);
			call(ActivateButton,"Scanning for Identification",-1,FALSE);
			call(ActivateButtonSample,SFXActivate1);
			sample(SFXClawSpin,Gactorpos);
			sample(SFXOpenPipe,Gactorpos);
			sample(SFXScanning,Gactorpos);
			vector(_set,Gactorpos,-8915,21411,13067);
			vector(_set,tmpvector,0,250,130);
			vector(_set,tmpvector1,0,0,1);
			SpawnLight(Rplanelight,-1,Gactorpos,tmpvector,tmpvector1,1000);
			sample(SFXScanningAmbient,Gactorpos);
			direction(_clr,_DIRaction);
			float(_set,timer,0);
			float(_set,VarKey51,3);
		}

		CurEnvTrigger("enter");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			message("Thanks for playing the Messiah Preview!  Club Perimeter Complete.",250,10);
			sample(SFXAccessDenied,Gactorpos);
			direction(_clr,_DIRaction);
		}
		

		CurEnvTrigger("Clubenter");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICON==0)
			{
				message("This is not an Exit - Please Proceed to the Exit on the last floor",250,10);
				sample(SFXInvalidFunction,Gactorpos);
			}
			direction(_clr,_DIRaction);
		}
	}
//////////////////////////
//// REDLITE DISTRICT ////
//////////////////////////
	if(VCurSet=="rlpimp2")
	{
		if(VAICon==0)
		{
			CurEnvTrigger("detect");
			if(VTrigger==_DIREnvTrigger)
			{
				if(VAIClass==_AIClassPimp)
				{
					if(VKeyObjTriggered==0 && VarKey52==0)
					{
						call(KeyObjTrigger,255,1);
						message("Welcome Mr Pimp Daddy.",120,10);
						sample(SFXAccessOk,Gactorpos);
						sample(SFXSmlDoor,Gactorpos);
						float(_set,VarKey52,1);
					}
					if(VKeyObjFrame==9 && VarKey52==1)
					{
						sample(SFXSmlDoor,Gactorpos);
						float(_set,VarKey52,2);
					}
				}
				else
				{
					message("Pimp Daddy must be scanning fingerprints",120,10);
				}
			}

			if(VTrigger==_DIRaction && VAIClass==_AIClassPimp && VarKey52==2)
			{
				CurEnvTrigger("pimp");
				if(Vtrigger==_DIREnvTrigger)
				{
					call(ActivateButton,"Your private lift has been activated",-1,FALSE);
					call(ActivateButtonSample,SFXValidFunction);
					call(KeyObjTrigger,255,1);
					sample(SFXLiftHatchLoop,Gactorpos);
					call(PlayerInput,FALSE);
					//	do sequence here
					//
					call(ExpSet2,4096,1,1);	//expcamera position, inf seconds, use exp1 for target
					float(_set,VarKey52,3);
				}
			}
			if(VarKey52==3)
			{
				move(0,-2,0);				//force a smooth down elevator action
				CurEnvTrigger("pimp");
				if(VKeyObjTriggered==0)		//has the platform stopped moving down there?
				{
					float(_set,VarKey52,4);
					call(ExpSet2,-1,0,0);	//turn expcamera off
					CutScene("camera01");	//play camera sequence
					call(ChangeCutScene,_SXCUTflag,_or,_SXCUTnosmooth);
					call(ChangeCutScene,_SXCUTflag,_or,_SXCUTdontreset);
					call(ChangeCutScene,_SXCUTspeed,250);
				}
			}
			elseif(VarKey52==4)
			{
				if(VCutScene==0)
				{
					SetActorToTrigger("Rlpimp3","PimpPos");
					call(SetTriggerObjFlag,1,_clr,_SXObjInvisible);
					call(PlayerInput,TRUE);
					float(_set,VarKey52,5);
				}
			}
		}
	}
	elseif(VCurSet=="rlhsin")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("DR_PIMP12");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
			CurEnvTrigger("DR_HSTN1C");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
				float(_or,VarKey58,2);
			}
			CurEnvTrigger("Dr_hstn2c");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("legate");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,2,1);
			}
		}
	}
	elseif(VCurSet=="rlhstn1")
	{
		if(VTrigger==_DIRaction)
		{
			if(VarKey58&=2)
			{
				CurEnvTrigger("DR_HSTN1C");
				if(VTrigger==_DIREnvTrigger)
				{
					callsub(DoorOpen,1,1);
				}
			}
			else
			{
				Message("This door is locked from the inside",200,10);
			}

			CurEnvTrigger("Dr_hstn1a");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
		}
	}  
	elseif(VCurSet=="rlhstn2")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("Dr_hstn2a");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
			
			CurEnvTrigger("Dr_hstn2c");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
		}
	}  
	elseif(VCurSet=="rlhsapt1")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("HSNGDR01");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}  
	elseif(VCurSet=="rlhsapt2")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("HSNGDR02");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}  
	elseif(VCurSet=="rlhsapt2")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("HSNGDR02");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}  
	elseif(VCurSet=="rlpimp1")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("DR_PIMP12");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlpimp3")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("DR_PIMP2");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlhsstr1")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("HSNGDR01");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlhsng2a")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("HSNGDR01");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
			CurEnvTrigger("HSNGDR02");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlhsng3a")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("HSNGDR01");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlplin")
	{
		if(VarKey56==0)
		{
			CurEnvTrigger("vidball");
			call(KeyObjTrigger,23,1,-1);
			call(KeyObjActiveSegment,0,23);
			float(_set,VarKey56,1);
		}

		if(VTrigger==_DIRaction)
		{
			if(VAICon==0)
			{
				CurEnvTrigger("dr_acs01");

				if(VTrigger==_DIREnvTrigger && VKeyObjTriggered==0)
				{
					if(VAIClass==_AIclasspimp || VarKey58&=1)
					{
						Message("Lift accessed message here",200,10);
					}
					else
					{
						Message("Lift access denied message here",200,10);
					}
				}
			}

			CurEnvTrigger("dr_pltn34");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
		}
	}
	elseif(VCurSet=="rlpltn")
	{
		CurEnvTrigger("Dr_pltn34");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}

		CurEnvTrigger("Dr_pltn12");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,1,1);
		}
	}
	elseif(VCurSet=="rlquar")
	{
		if(VarKey54&=4)
		{
			CurEnvTrigger("Dr_quar12");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
			{
				callsub(DoorOpen,1,1);
			}

			CurEnvTrigger("Dr_quar34");
			if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
			{
				callsub(DoorOpen,1,1);
			}
		}
		else
		{
			if(VarKey54&=2)
			{
				CurEnvTrigger("Dr_quar12");
				if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
				{
					Message("Decontamination procedure still in progress",200,10);
				}

				CurEnvTrigger("Dr_quar34");
				if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
				{
					Message("Decontamination procedure still in progress",200,10);
				}
			}
			else
			{
				CurEnvTrigger("Dr_quar12");
				if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
				{
					float(_or,VarKey54,2);
				}

				CurEnvTrigger("Dr_quar34");
				if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
				{
					float(_or,VarKey54,2);
				}
			}
		}
	}
	elseif(VCurSet=="RLHSNG1")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("DR_HSTN1A");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("DR_HSTN2A");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
		}
	}
	elseif(VCurSet=="RLHSNG4")
	{
		float(_clr,VarKey54,4);			//turn contamination back to normal
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("DR_QUAR34");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
		}
	}
	elseif(VCurSet=="rlplza3b")
	{
		if(VAICon==0)
		{
			CurEnvTrigger("ChkPoint");
			if(VTrigger==_DIREnvTrigger)
			{
				if(VClass==_ClassCop)
				{
					if(VRank<_RankSergeantH)
					{
						Message("No lower ranking officer is allowed past this point!",200,10);
					}
					else
					{
						Message("Watch out for those evil subgirls sir!",200,10);
					}
				}
				else
				{
					Message("The housing district has been quarantined@ go away!",200,10);
				}
			}
		}
	}
	elseif(VCurSet=="RLPLZA1")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("dr_pltn12");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="RLPLZA2A")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("LoveDoor");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="RLPLZA3A")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("LoveDoor");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlplshp1")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("LoveDoor");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlplshp2")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("LoveDoor");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="rlplshp3")
	{
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("LoveDoor");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}
	}
	elseif(VCurSet=="RLPLZA4")
	{
		float(_clr,VarKey54,4);			//turn contamination back to normal
		if(VTrigger==_DIRaction)
		{
			CurEnvTrigger("Dr_quar12");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,1,1);
			}
			CurEnvTrigger("LoveDoor");
			if(VTrigger==_DIREnvTrigger)
			{
				callsub(DoorOpen,0,1);
			}
		}

		if(VAIClass==_AIclasscop && VRank>=_RankSergeantH)
		{
			//	You're ok, nobody will kill you
			//
		}
		else
		{
			CurEnvTrigger("Police01");
			if(VTrigger==_DIREnvTrigger)
			{
				call(AIchangemetoenemy);
			}
			CurEnvTrigger("Police02");
			if(VTrigger==_DIREnvTrigger)
			{
				call(AIchangemetoenemy);
			}
			CurEnvTrigger("Police03");
			if(VTrigger==_DIREnvTrigger)
			{
				call(AIchangemetoenemy);
			}
			CurEnvTrigger("Police04");
			if(VTrigger==_DIREnvTrigger)
			{
				call(AIchangemetoenemy);
			}
		}
	}
	elseif(VCurSet=="rlhsrm1")
	{
		CurEnvTrigger("DR_HSRM1A");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			callsub(DoorOpen,0,1);
		}
	}

//////////////////
//// Club KYD ////
//////////////////
	elseif(VCurSet=="clubsas")
	{
		float(_add,timer,1);

		CurEnvTrigger("trap");
		if(VTrigger==_DIREnvTrigger && VarKey51==0)
		{
			call(KeyObjTrigger,9,1);
			vector(_set,Gactorpos,-8915,21411,13067);
			sample(SFXPneumatik,Gactorpos)
			if(VAICON==0)
			{
				message("Weapon Detector Activated - Put your Hand on the Console",200,10);
			}
			float(_set,VarKey51,1);
		}
		if(VKeyObjTriggered==0 && VarKey51==1)
		{
			float(_set,VarKey51,2);
		}

		if(timer>300 && VarKey51==3)
		{
			if(Vtrigger==_DIRhavegun)
			{
				message("Weapon Detected - Drop it on the Plate Behind You",200,10);
				CurEnvTrigger("detector");
				call(KeyObjTrigger,255,1);
				sample(SFXWepPlate,Gactorpos);
				CurEnvTrigger("console");
				call(KeyObjTrigger,255,1);
				float(_set,timer,0);
				float(_set,VarKey51,5);
			}
			else
			{
				message("No Weapon Detected - You May Proceed",200,10);
				CurEnvTrigger("trap");
				call(KeyObjTrigger,255,1);
				vector(_set,Gactorpos,-8915,21411,13067);
				sample(SFXPneumatik,Gactorpos)
				CurEnvTrigger("console");
				call(KeyObjTrigger,255,1);
				sample(SFXClawSpin,Gactorpos);
				sample(SFXOpenPipe,Gactorpos);
				float(_set,timer,0);
				float(_set,VarKey51,4);
			}
			samplestop(SFXScanningAmbient);
		}

		CurEnvTrigger("check");
		if(VTrigger==_DIREnvTrigger&&VOTrigger==_DIRActionHold&&VTrigger!=_DIRAction&&VarKey51==5)
		{
			setkeyframe("clubsas","console",0);
			float(_set,VarKey51,6);
		}

		if(VTrigger!=_DIREnvTrigger && VarKey51==6)
		{
			CurEnvTrigger("detector");
			call(KeyObjTrigger,0,-1);
			sample(SFXWepPlate,Gactorpos);
			message("Use The Console Again For Another Test",200,10);
			float(_set,VarKey51,2)
		}

		CurEnvTrigger("console");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction && VarKey51==2)
		{
			setkeyframe("clubsas","check",0);
			call(KeyObjTrigger,10,1);
			call(ActivateButton,"Scanning for Identification",-1,FALSE);
			call(ActivateButtonSample,SFXActivate1);
			sample(SFXClawSpin,Gactorpos);
			sample(SFXOpenPipe,Gactorpos);
			sample(SFXScanning,Gactorpos);
			vector(_set,Gactorpos,-8915,21411,13067);
			vector(_set,tmpvector,0,250,130);
			vector(_set,tmpvector1,0,0,1);
			SpawnLight(Rplanelight,-1,Gactorpos,tmpvector,tmpvector1,1000);
			sample(SFXScanningAmbient,Gactorpos);
			float(_set,timer,0);
			float(_set,VarKey51,3);
		}

		CurEnvTrigger("enter");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VarKey51<4)
			{
				if(VAICON==0)
				{
					message("Customer Not Scanned - Access Denied For Safety Reasons",250,10);
					sample(SFXInvalidFunction,Gactorpos);
				}
				direction(_clr,_DIRaction);
			}
			else
			{
				if(VAICON==0)
				{
					dmessage("Welcome to the Club Kyd",60,150);
				}
				callsub(DoorOpen,1,1);
			}
		}

		CurEnvTrigger("outside");
		if(VTrigger==_DIREnvTrigger && VTrigger==_DIRaction)
		{
			if(VAICON==0)
			{
				message("This is not an Exit - Please Proceed to the Exit on the last floor",250,10);
				sample(SFXInvalidFunction,Gactorpos);
			}
			direction(_clr,_DIRaction);
		}
	}
}
